require([
    "dojox/mobile/parser",
    "dojox/mobile",
    "dojox/mobile/compat",
    "dojox/mobile/SwapView",
    "dojox/mobile/ScrollableView",
    "dojox/mobile/Accordion",
    "dojox/mobile/ContentPane",
    "dojox/mobile/TabBar",
    "dojox/mobile/TabBarButton",
    "dojox/mobile/TextBox",
    "dojox/mobile/SimpleDialog",
    "dojox/mobile/Video",
    "dojox/gesture/swipe",
    "dojo/on",
    "dojo/io/script",
    "dojo/parser",
    "dojox/mobile/Accordion",
    "dojox/mobile/ContentPane",
    "dojo/dom",
    "dojox/mobile/FormLayout",
    "dojox/mobile/TextBox",
    "dojox/mobile/TextArea",
    "dojox/mobile/CheckBox",
    "dojox/mobile/RadioButton",
    "dojox/mobile/ScrollablePane",
    "dojox/mobile/Pane",
    "dojox/mobile/GridLayout"
]);


var serverUrl ="http://mobile.umooc.com.cn/mobile8";
//var serverUrl = "http://166.111.92.26/mobile8test";
//var serverUrl = "http://192.168.3.5:8080/mobile";
//var serverUrl = "http://166.111.92.19/mobilemeol";
//var serverUrl = "http://166.111.92.26/mobile";
// var serverUrl = "http://218.241.129.138:8081/mobile8test";

var hostCode = "";
var hostName ="";
var hostUrl = "";   //各院校服务器IP
//hostUrl = "http://192.168.3.12:8080/mobiledev";   //测试
var version = "8.5.2";  //版本号
var logonFlag = false;  //是否登录
var menuFlag = false;   //是否弹出菜单
var userName = "";  //用户名
var photoFileId = "";  //用户头像Id
var userRealName = "";  //用户姓名
var loginTimes = "";    //登录次数
var lastLoginDate = ""; //最后登录时间
var userRole = 0;   //用户角色，0学生， 1老师
var courseId = "";  //课程id
var courseName = "";    //课程名称
var courseMode = "";    //进入课程类型  0学习单元 1栏目
var mySet = new setting();
var backMethod = [];    //用于返回操作
var backParam = [];
var loadingFile = [];   //用于资源下载
var landscapeScrollHeight = 615;
var portraitScrollHeight = 335;
var ft = null;
var myScroll;   //滑动
var courseRole = 3;
var mediaRec;   //用于录音
var mediaSrc;
var recordStatus = 0;
var audioInt;
var JSESSIONID = 0;
var transcode="2";    //2为md5   1为明文
var backForumMethod = [];    //用于播客单元话题返回操作
var backForumParam = [];


var totalPreTime;
var totalNowTime;
var totalOnlineTime = 0;
var preCourseId = "";
var coursePreTime;
var courseNowTime;
var totalCourseTime = 0;
var courseInt = 0;

var videopath="";

var videoInt;
var lastViewTime=0;
var videoEnd=0;

var videoPause=0;
var videoStart=0;

var resId;
var logId;
var resLogId;
var articleId = "";
var resPreTime;
var resNowTime;

var totalResTime = 0;
var totalInt = 0;    //栏目计时器
var resInt = 0;
//当前栏目id
var preColumnId=-1;
var columnPreTime;
var columnNowTime;
var columnOnlineTime = 0;
var columnInt = 0;
//var columnRootId=0;

//随堂教学是否过期 0为已过期
var inClassIsOutDate=0;
//随堂教学id
var inClassRoomTeachingId="";
var updateloadvideoTime=0;//播课本地记录计时器

var tmpId = 0;

var idindex = 0;

//操作记录
function addBackMethod(name, param) {
    backMethod[backMethod.length] = name;
    backParam[backParam.length] = param;
}

//返回后去掉最后的操作记录
function delBackMethod(time) {
    backMethod.splice(backMethod.length - time, time);
    backParam.splice(backParam.length - time, time);
    if($("#ifoot").css("display") == "none"){//判断底部选项卡的显隐状态
        //隐藏底部选项卡
        $("#ifoot").show();
        //从内容中减去底部选项卡的高度
        $("#iscrollContent").height($("#iscrollContent").height()-60);
        clearTimeout(test.timer);
        test.testAnswerId="";
        test.testId="";

    }
}

//清空操作记录
function clearBackMethod(name, param) {
    backMethod = [name];
    backParam = [param];
}

//重置操作记录
function resetBackMethod(name, param) {
    backMethod = ["courseList", name];
    backParam = ["", param];
}

//获取最后一次操作
function getBackMethod() {
    return backMethod[backMethod.length - 1] + "(" + backParam[backMethod.length - 1] + ")";
}

function getBackParam(param) {
    var strParam = "";
    for(var i = 0; i < param.length; i++) {
        if(param[i] && param[i] != "undefined") {
            if(strParam == "")
                strParam += "'"+param[i]+"'";
            else
                strParam += "," + "'"+param[i]+"'";
        }
    }
    return strParam;
}


//博客单眼话题返回
function addBackForumMethod(name, param) {
    backForumMethod[backForumMethod.length] = name;
    backForumParam[backForumParam.length] = param;
}

//返回后去掉最后的操作记录
function delBackForumMethod(time) {
    backForumMethod.splice(backForumMethod.length - time, time);
    backForumParam.splice(backForumParam.length - time, time);
}

//清空操作记录
function clearBackForumMethod(name, param) {
    backForumMethod = [name];
    backForumParam = [param];
}

//重置操作记录
function resetBackForumMethod(name, param) {
    backForumMethod = ["blogForumList", name];
    backForumParam = ["", param];
}

//获取最后一次操作
function getBackForumMethod() {
    return backForumMethod[backForumMethod.length - 1] + "(" + backForumParam[backForumMethod.length - 1] + ")";
}

function getBackForumParam(param) {
    var strParam = "";
    for(var i = 0; i < param.length; i++) {
        if(param[i] && param[i] != "undefined") {
            if(strParam == "")
                strParam += "'"+param[i]+"'";
            else
                strParam += "," + "'"+param[i]+"'";
        }
    }
    return strParam;
}

//配置文件信息
function setting() {
    this.wifi = true;
    this.cell = false;
    this.autologon = false;
    this.username = "";
    this.password = "";
    this.dir = "Download/eol";
}

//页面头
function dojoHead() {

    this.label = "";
    this.hasMenu = false;
    this.hasBack = false;
    this.hasSearch = false;
    this.hasCourseSearch = false;
    this.backUrl = "";
    this.hostUrl = hostUrl;
    this.hasVideoForum = false;
    this.hasVideo = false;
    this.videoWidth = document.body.scrollWidth;
    this.videoHeight = document.body.scrollHeight * 0.4;
    this.videoUrl = "";
    this.unitId = 0;
    this.nextId = 0;
    this.hasClassRoom=false;
    this.courseId = "";
    this.addClassRoom=false;
    this.addFaq=false;
    this.hasForm = false;
    this.userCenter = false;
    this.photoFileId = photoFileId;
    this.userRealName = userRealName;
    this.loginTimes = loginTimes;
    this.lastLoginDate = lastLoginDate;
    this.columnId="";
    this.hasTest=false;
    this.testScore=0;

}

//页面头模版加载
dojoHead.prototype.renderTemplate = function(){
    renderTemplate("head", {"label": this.label, "hasMenu": this.hasMenu, "hasBack": this.hasBack, "backUrl": this.backUrl, "courseId": this.courseId, "hasForm": this.hasForm, "hasSearch": this.hasSearch, "hasCourseSearch": this.hasCourseSearch,"hasClassRoom":this.hasClassRoom}, function(html) {
        $("#ihead").html(html);
        dojo.parser.parse(document.getElementById("ihead"));
    });
};


//启动加载
document.addEventListener("deviceready", initMobile, false);
document.addEventListener("pause", onBackground, false);
document.addEventListener("resume", onFront, false);

//版本检查
function versionCheck(type) {

    //Android
    if(getNetState() != "None" && getNetState() != "Unknown") {
        cordovaHTTP.post(serverUrl + "/checkVersion.do", {}, { Authorization: "OAuth2: token"},
            function(response) {
                response = JSON.parse(response.data);

                if(response.datas.latestVersion != version) {
                    iconfirm("有新的版本，是否更新？",function(){
                        window.open(serverUrl + response.datas.latestVersionFile, "_system");
                    });
                }else{
                    if(type ==1)
                        ialert("当前版本已是最新版本！");
                }
            },
            function(type) {
                ialert("网络不给力，请检查网络重试");
            });
    }


    //IOS
    // if(getNetState() != "None" && getNetState() != "Unknown") {
    //     cordovaHTTP.post(serverUrl + "/checkIOSVersion.do", {}, { Authorization: "OAuth2: token"},
    //         function(response) {
    //             response = JSON.parse(response.data);
    //
    //             if(response.datas.latestVersion != version) {
    //                 iconfirm("有新的版本，是否更新？",function(){
    //                     window.open("", "_system");
    //                 });
    //             }else{
    //                 if(type ==1)
    //                     ialert("当前版本已是最新版本！");
    //             }
    //         },
    //         function(type) {
    //             ialert("网络不给力，请检查网络重试");
    //         });
    // }
}

//android的返回键操作
function onBackKeyDown() {
    if(backMethod.length < 2) {
        if(loadingFile.length > 0) {
            iconfirm("当前仍有下载任务未完成，确定要退出教学平台么？",function(){
                for(var i = 0; i < loadingFile.length; i++) {
                    loadingFile[i][3].abort();
                }
                navigator.app.exitApp();
            });
        }else {
            iconfirm("确定要退出教学平台么？",function(){
                navigator.app.exitApp();
            });
        }
    }else {
        if(menuFlag)
            hideMenu();
        else {
            if(mediaRec){mediaRec.stopRecord();}
            delBackMethod(1);
            var submitUrl = getBackMethod();
            delBackMethod(1);
            (new Function(submitUrl))();
        }
    }
}

//初始化读取配置文件
function initMobile() {
    document.addEventListener("backbutton", onBackKeyDown, false);
    document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);
    navigator.splashscreen.hide();
    //android
    dojo.parser.parse(document.getElementsByTagName("body")[0]);
    loadScroll();


    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem) {
        fileSystem.root.getDirectory("Download",{create: true, exclusive: false},
            function() {
                fileSystem.root.getDirectory(mySet.dir,{create: true, exclusive: false},
                    function(dirEntry) {
                        mediaSrc = dirEntry.toURL() + "recording.wav";
                        fileSystem.root.getFile(mySet.dir+"/setting",{create: true, exclusive: false},
                            function(fileEntry){
                                fileEntry.file(function(file) {
                                        var reader = new FileReader();
                                        reader.onloadend = function(evt) {
                                            var data = {"hostCode": hostCode, "hostName": hostName, "hostUrl": hostUrl, "wifi": mySet.wifi, "cell": mySet.cell, "autologon": mySet.autologon, "username": mySet.username, "password": mySet.password, "dir": mySet.dir,"transcode":transcode};
                                            if(evt.target.result == null || evt.target.result == "") {
                                                fileEntry.createWriter(
                                                    function(writer) {
                                                        writer.write(JSON.stringify(data));
                                                    },
                                                    function() {ialert("写设置文件出现错误");}
                                                );
                                            }else {
                                                try{
                                                    data = JSON.parse(evt.target.result);
                                                }catch (e) {
                                                    data = {"hostCode": hostCode, "hostName": hostName, "hostUrl": hostUrl, "wifi": mySet.wifi, "cell": mySet.cell, "autologon": mySet.autologon, "username": mySet.username, "password": mySet.password, "dir": mySet.dir,"transcode":transcode};
                                                }
                                                hostCode = data.hostCode;
                                                hostName = data.hostName;
                                                hostUrl = data.hostUrl;
                                                mySet.wifi = data.wifi;
                                                mySet.cell = data.cell;
                                                mySet.autologon = data.autologon;
                                                mySet.username = data.username;
                                                mySet.password = data.password;
                                                mySet.dir = data.dir;
                                                transcode=data.transcode;
                                            }
                                            if(hostCode == undefined)
                                                hostCode = "";
                                            if(hostName == undefined)
                                                hostName = "";
                                            if(hostUrl == undefined)
                                                hostUrl = "";
                                            if(transcode == undefined||transcode=="")
                                            {
                                                transcode = "2";
                                            }
//                                            hostUrl = "http://192.168.3.12:8080/mobiledev";  // 测试
                                            if(hostUrl == "") {
                                                dijit.registry.byId("underlay").show();
                                                cordovaHTTP.post(serverUrl + "/userCheck.do", {"uuid": device.uuid, "name": device.model, "version": version}, { Authorization: "OAuth2: token"},
                                                    function(response) {
                                                        response = JSON.parse(response.data);
                                                        dijit.registry.byId("underlay").hide();
                                                        if(response.status == 0) {
                                                            if(response.datas.custom!=null && response.datas.custom.webip!=null && response.datas.custom.webip!="" && response.datas.custom.webdir!=null && response.datas.custom.webdir!="")
                                                            {
                                                                hostCode = response.datas.custom.code;
                                                                hostName = response.datas.custom.name;
                                                                hostUrl = "http://" + response.datas.custom.webip + "/" + response.datas.custom.webdir;
                                                                if(mySet.autologon)
                                                                    logon(data.username, data.password, "courseList");
                                                                else
                                                                    courseList();

                                                                setChange("host", {"code": hostCode, "name": hostName, "url": hostUrl,"transcode":transcode});
                                                            }else
                                                                schoolList("courseList");
                                                        }else {
                                                            hostCode = "";
                                                            hostName = "";
                                                            hostUrl = "";
                                                            schoolList("courseList");
                                                        }
                                                    },
                                                    function() {
                                                        schoolList("courseList");
                                                    });
                                            }else{

                                                cordovaHTTP.post(serverUrl + "/hostCheck.do", {"uuid": device.uuid, "hostCode": hostCode}, { Authorization: "OAuth2: token"},
                                                    function(response) {
                                                        response = JSON.parse(response.data);

                                                        if(response.status == 0) {
                                                            if (hostName != response.datas.name || hostUrl != "http://" + response.datas.webip + "/" + response.datas.webdir) {
                                                                if (hostName != response.datas.name)
                                                                    hostName = response.datas.name;
                                                                if (hostUrl != "http://" + response.datas.webip + "/" + response.datas.webdir)
                                                                    hostUrl = "http://" + response.datas.webip + "/" + response.datas.webdir;
//                                                                hostUrl = "http://192.168.3.12:8080/mobiledev"; // 测试

                                                                setChange("host", {"code": hostCode, "name": hostName, "url": hostUrl,"transcode": transcode});
                                                            }
                                                        }else {
                                                            hostCode = "";
                                                            hostName = "";
                                                            hostUrl = "";
                                                        }
//                                                        hostUrl = "http://192.168.3.12:8080/mobiledev"; // 测试
                                                    },
                                                    function() {});
//                                                hostUrl = "http://192.168.3.12:8080/mobiledev"; // 测试
                                                if(mySet.autologon)
                                                    logon(data.username, data.password, "courseList");
                                                else
                                                    courseList();
                                            }
                                        };
                                        reader.readAsText(file);
                                    },
                                    function(){ialert("写设置文件出现错误");}
                                );
                            },
                            function(){ialert("加载设置文件出现错误");});
                    },
                    function(){ialert("加载下载目录出现错误");});
            },
            function(){ialert("加载下载目录出现错误");});
    }, function(){
        ialert("加载文件系统出现错误");
    });


    $("#iscrollContent").on("swiperight",function(){
        if(courseId != "")
            if(inClassRoomTeachingId=="")
                showMenu();
    });
    $("#iscrollContent").on("swipeleft",function(){
        if(courseId != "")
            hideMenu();
    });
    $("#imenu").on("swiperight",function(){
        if(courseId != "")
            if(inClassRoomTeachingId=="")
                showMenu();
    });
    $("#imenu").on("swipeleft",function(){
        if(courseId != "")
            hideMenu();
    });

    //IOS删除下面1行
    versionCheck(0);
    //myScroll = new IScroll('#iscrollContent', {scrollbars: true, fadeScrollbars: true});
}

function onBackground(){
    /* totalNowTime = new Date();
     totalOnlineTime += (totalNowTime.getTime()-totalPreTime.getTime());
     totalPreTime = totalNowTime;*/
    if(logonFlag){
        totalNowTime = new Date();
        totalOnlineTime += (totalNowTime.getTime()-totalPreTime.getTime());
        totalPreTime = totalNowTime;

        cordovaHTTP.post(hostUrl + "/logTotalTime.do", {"totalTime":Math.floor(totalOnlineTime/1000)}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function() {totalOnlineTime = 0;},
            function() {});
        //logTotalTime(Math.floor(totalOnlineTime/60/1000));


    }
    clearInterval(totalInt);


    /*
     if(courseId != "") {
     courseNowTime = new Date();
     totalCourseTime += (courseNowTime.getTime() - coursePreTime.getTime());
     coursePreTime = courseNowTime;
     if (totalCourseTime > 5 * 60 * 1000) {
     cordovaHTTP.post(hostUrl + "/logTotalTime.do", {"totalTime":Math.floor(totalCourseTime/60/1000),"courseId":courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
     function() {totalCourseTime = 0;},
     function() {});
     }
     }
     clearInterval(courseInt);*/

    if(document.getElementById("_courseArticle")&&articleId != "") {
        resNowTime = new Date();
        totalResTime += (resNowTime.getTime() - resPreTime.getTime());
        resPreTime = resNowTime;
        if (totalResTime > 60 * 1000) {
            cordovaHTTP.post(hostUrl + "/logResTime.do", {"totalTime":Math.floor(totalResTime/1000),"courseId":courseId,"resId":articleId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                function() {totalResTime = 0;},
                function() {});
        }
    }
    clearInterval(resInt);


    if((preColumnId!=""&&preColumnId!=-1)||preColumnId==0)
    {
        columnNowTime=new Date();
        columnOnlineTime+= (columnNowTime.getTime() - columnPreTime.getTime());
        columnPreTime= columnNowTime;
        cordovaHTTP.post(hostUrl + "/addonlineLessColumnTime.do", {"totalTime":Math.floor(columnOnlineTime/1000),"courseId":courseId,"resId":preColumnId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function() {columnOnlineTime = 0;},
            function() {});
    }
    clearInterval(columnInt);

    if(document.getElementById("_videoAct")&&(!document.getElementById("_videoAct").paused))
    {
        document.getElementById('_videoAct').pause();
    }
    clearTimeout(test.timer);


}

function onFront(){
    totalNowTime = new Date();
    totalPreTime = totalNowTime;
    if(logonFlag) {
        totalInt = setInterval(logTotalTime, 60000);
    }
    /*    courseNowTime = new Date();
     coursePreTime = courseNowTime;
     logCourseTime();*/

    resNowTime = new Date();
    resPreTime = resNowTime;
    logResTime();

    columnNowTime=new Date();
    columnPreTime= columnNowTime;
    logColumnTime(-1);
    /*
     inClassNowTime = new Date();
     inClassPreTime = inClassNowTime;
     inClassPreResTimeByStu();*/
    if(test.testAnswerId!=""&&test.testAnswerId!=undefined)
    {

        dijit.registry.byId("underlay").show();
        cordovaHTTP.post(hostUrl + "/updateLimitedTime.do", {"testAnswerId":test.testAnswerId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function(response) {
                dijit.registry.byId("underlay").hide();
                response = JSON.parse(response.data);
                if (response.status ==1)
                {
                    clearTimeout(test.timer);
                    test.convertTime((response.datas.limitedTime/1000),'timelater');
                }
                else if(response.status==-1){
                    clearTimeout(test.timer);
                    test.testId="";
                    test.testAnswerId="";
                    ialert("该试卷已提交！");
                    delBackMethod(1);
                    var submitUrl = getBackMethod();
                    delBackMethod(1);
                    (new Function(submitUrl))();
                }
                else{
                    clearTimeout(test.timer);
                    ialert("时间到，自动提交！");
                    saveTestQuestionAnswer('','',true);
                }
            },
            function() {
                dijit.registry.byId("underlay").hide();
            }
        );
    }
}

function logTotalTime(){
    if(logonFlag){
        totalNowTime = new Date();
        totalOnlineTime += (totalNowTime.getTime()-totalPreTime.getTime());
        totalPreTime = totalNowTime;
        if(totalOnlineTime>=60*1000){
            cordovaHTTP.post(hostUrl + "/logTotalTime.do", {"totalTime":Math.floor(totalOnlineTime/1000)}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                function() {totalOnlineTime = 0;},
                function() {});
            //logTotalTime(Math.floor(totalOnlineTime/60/1000));
        }
    }
    else {
        clearInterval(totalInt);
    }

}

function logCourseTime(){
    clearInterval(courseInt);
    courseInt = setInterval(function () {
        if(courseId != "") {
            courseNowTime = new Date();
            totalCourseTime += (courseNowTime.getTime() - coursePreTime.getTime());
            coursePreTime = courseNowTime;
            if (totalCourseTime > 5 * 60 * 1000) {
                cordovaHTTP.post(hostUrl + "/logCourseTime.do", {"totalTime":Math.floor(totalCourseTime/60/1000),"courseId":courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                    function() {totalCourseTime = 0;},
                    function() {});
            }
        }else{
            clearInterval(courseInt);
        }
    }, 60000);
}

function logVideoTime(){
}

function logResTime(){
    clearInterval(resInt);
    resInt = setInterval(function () {
        if(document.getElementById("_courseArticle")&&articleId != "") {
            resNowTime = new Date();
            totalResTime += (resNowTime.getTime() - resPreTime.getTime());
            resPreTime = resNowTime;
            if (totalResTime > 60 * 1000) {
                cordovaHTTP.post(hostUrl + "/logResTime.do", {"totalTime":Math.floor(totalResTime/1000),"courseId":courseId,"resId":articleId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                    function() {totalResTime = 0;},
                    function() {});
            }
        }else{
            clearInterval(resInt);
        }
    }, 60000);
}


function logColumnTime(id){
    clearInterval(columnInt);
    //alert(preColumnId+"进来");
    if((preColumnId!=""&&preColumnId!=-1)||preColumnId==0)
    {
        /*  alert("columnNowTime:"+columnNowTime+"columnPreTime:"+columnPreTime);*/
        //  alert("上传");
        columnNowTime=new Date();
        columnOnlineTime+= (columnNowTime.getTime() - columnPreTime.getTime());
        columnPreTime= columnNowTime;

        cordovaHTTP.post(hostUrl + "/addonlineLessColumnTime.do", {"totalTime":Math.floor(columnOnlineTime/1000),"courseId":courseId,"resId":preColumnId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function() {columnOnlineTime = 0;},
            function() {}
        );

        //上传
    }
    if(id==-2)
    {
        return;
    }
    if(id!=-1)
    {
        preColumnId=id;
    }
    columnPreTime= new Date();
    // alert("开启计时器");
    columnOnlineTime = 0;
    columnInt = setInterval(function () {
        if((preColumnId != ""&&preColumnId!=-1)||preColumnId==0) {
            columnNowTime=new Date();
            columnOnlineTime+= (columnNowTime.getTime() - columnPreTime.getTime());
            columnPreTime= columnNowTime;
            if (columnOnlineTime > 60 * 1000) {
                //  alert(columnOnlineTime/1000+"preColumnId:"+preColumnId);
                //alert("计时器上传");
                cordovaHTTP.post(hostUrl + "/addonlineLessColumnTime.do", {"totalTime":Math.floor(columnOnlineTime/1000),"courseId":courseId,"resId":preColumnId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                    function() {columnOnlineTime = 0;},
                    function() {});
            }
        }else{
            clearInterval(columnInt);
        }
    }, 60000);
}


function configRead(evt){
    var data = {"hostCode": hostCode, "hostName": hostName, "hostUrl": hostUrl, "wifi": mySet.wifi, "cell": mySet.cell, "autologon": mySet.autologon, "username": mySet.username, "password": mySet.password, "dir": mySet.dir};
    if(evt.target.result == null || evt.target.result == "") {
        fileEntry.createWriter(
            function(writer) {
                var strData = JSON.stringify(data).split("autologon");
                writer.onwrite = function(evt) {
                    fileEntry.createWriter(
                        function(writer) {
                            writer.seek(writer.length);
                            writer.write("autologon" + strData[1]);
                        },
                        function() {ialert("写设置文件出现错误");}
                    );
                };
                writer.write(strData[0]);

            },
            function() {ialert("写设置文件出现错误");}
        );
    }else {
        try{
            data = JSON.parse(evt.target.result);
        }catch (e) {
            data = {"hostCode": hostCode, "hostName": hostName, "hostUrl": hostUrl, "wifi": mySet.wifi, "cell": mySet.cell, "autologon": mySet.autologon, "username": mySet.username, "password": mySet.password, "dir": mySet.dir};
        }
        hostCode = data.hostCode;
        hostName = data.hostName;
        hostUrl = data.hostUrl;
        mySet.wifi = data.wifi;
        mySet.cell = data.cell;
        mySet.autologon = data.autologon;
        mySet.username = data.username;
        mySet.password = data.password;
        mySet.dir = data.dir;
    }
    if(hostCode == undefined)
        hostCode = "";
    if(hostName == undefined)
        hostName = "";
    if(hostUrl == undefined)
        hostUrl = "";
    if(hostUrl == "") {
        dijit.registry.byId("underlay").show();
        cordovaHTTP.post(serverUrl + "/userCheck.do", {"uuid": device.uuid, "name": device.model, "version": version}, { Authorization: "OAuth2: token"},
            function(response) {
                response = JSON.parse(response.data);
                dijit.registry.byId("underlay").hide();
                if(response.status == 0) {
                    if(response.datas.custom!=null && response.datas.custom.webip!=null && response.datas.custom.webip!="" && response.datas.custom.webdir!=null && response.datas.custom.webdir!="")
                    {
                        hostCode = response.datas.custom.code;
                        hostName = response.datas.custom.name;
                        hostUrl = "http://" + response.datas.custom.webip + "/" + response.datas.custom.webdir;
                        if(mySet.autologon)
                            logon(data.username, data.password, "courseList");
                        else
                            courseList();
                        setChange("host", {"code": hostCode, "name": hostName, "url": hostUrl});
                    }else
                        schoolList("courseList");
                }else {
                    hostCode = "";
                    hostName = "";
                    hostUrl = "";
                    schoolList("courseList");
                }
            },
            function() {
                schoolList("courseList");
            });
    }else{
        cordovaHTTP.post(serverUrl + "/hostCheck.do", {"hostCode": hostCode}, { Authorization: "OAuth2: token"},
            function(response) {
                response = JSON.parse(response.data);
                if(response.status == 0) {
                    if (hostName != response.datas.name || hostUrl != "http://" + response.datas.webip + "/" + response.datas.webdir) {
                        if (hostName != response.datas.name)
                            hostName = response.datas.name;
                        if (hostUrl != "http://" + response.datas.webip + "/" + response.datas.webdir)
                            hostUrl = "http://" + response.datas.webip + "/" + response.datas.webdir;
                        setChange("host", {"code": hostCode, "name": hostName, "url": hostUrl});
                    }
                }else {
                    hostCode = "";
                    hostName = "";
                    hostUrl = "";
                }
            },
            function() {});
        if(mySet.autologon)
            logon(data.username, data.password, "courseList");
        else
            courseList();
    }
}

//加载滚动模块 包括下拉刷新和上拉分页加载
function loadScroll(){
    var pulldownAction = function(){
        //alert("pulldownAction");
        var submitUrl = getBackMethod();
        delBackMethod(1);
        (new Function(submitUrl))();
        this.refresh();
    };
    var pullupAction = function(){
        //alert("pullupAction");
        if(_pageUp) {
            if (_totalNumberOfEntries > _pagingNumberPer) {
                var pageNum = parseInt(_totalNumberOfEntries / _pagingNumberPer);
                if (_totalNumberOfEntries % _pagingNumberPer != 0)
                    pageNum = pageNum + 1;
                if (++_curPageNum <= pageNum) {
                    var postParam = {"courseId": courseId, "pagingPage": _curPageNum};
                    dijit.registry.byId("underlay").show();
                    cordovaHTTP.post(hostUrl + _pageUrl, postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                        function (response) {
                            response = JSON.parse(response.data);
                            dijit.registry.byId("underlay").hide();
                            //console.log(response);
                            var data = {
                                comData: {"hostUrl": hostUrl, "courseId": courseId},
                                list: response
                            };
                            renderTemplateNoScrollTop(_ajaxPage, data,
                                function (html) {
                                    $("#" + _targetID).append(html);
                                    dojo.parser.parse(document.getElementById(_targetID));
                                    myScroll.refresh();
                                }
                            );
                        },
                        function (type) {
                            dijit.registry.byId("underlay").hide();
                            ialert("网络不给力，请检查网络重试");
                        });
                } else {
                    $("#pullup-label").html("已经到底了！");
                    $("#pullup").removeClass();
                }
            } else {
                $("#pullup-label").html("已经到底了！");
                $("#pullup").removeClass();
            }
        }
        this.refresh();
    };
    myScroll = iscrollAssist.newVerScrollForPull($('#iscrollContent'),pulldownAction,pullupAction,{},{"pulldownRefresh":"开始刷新"});
    myScroll.refresh();
//    $(window).on("orientationchange",function(){myScroll.refresh();}
}

//相册
function fromPhoto(){

    cordova.exec(
        function (results) {
            var data = {"photo": true, "list": results, "canDel": true};
            renderTemplateNoScrollTop("preFile", data, function (html) {
                $("#preFile").html($("#preFile").html()+html);
                dojo.parser.parse(document.getElementById("preFile"));
                myScroll.refresh();
            });
        },
        function () {
            ialert('加载相册出错!');
        },
        "ImagePicker", "getPictures", [
            {maximumImagesCount: 4}
        ]);

}

function setPhoto(){
    var files = document.getElementById("postFiles").files;
    var results = [];
    var j = 0;
    for(var i = 0; i < files.length; i++){
        var reader = new FileReader();
        reader.readAsDataURL(files[i]);
        reader.onload = function(e){
            results[j] = this.result;
            if(j == files.length - 1) {
                var data = {"photo": true, "list": results};
                renderTemplateNoScrollTop("preFile", data, function (html) {
                    $("#preFile").html($("#preFile").html()+html);
                    dojo.parser.parse(document.getElementById("preFile"));
                    myScroll.refresh();
                });
            }
            j++;
        }
    }
}

//相机
function fromCamera(){
    navigator.camera.getPicture(
        function(results){
            var data = {"camera": true, "list": results};
            renderTemplateNoScrollTop("preFile", data, function (html) {
                $("#preFile").html($("#preFile").html()+html);
                dojo.parser.parse(document.getElementById("preFile"));
                myScroll.refresh();
            });
        },
        function(){
            ialert('加载照相机出错!');
        },
        {
            quality : 50,
            destinationType : navigator.camera.DestinationType.FILE_URI,
            sourceType : navigator.camera.PictureSourceType.CAMERA
        }
    );
}

//function fromAudio() {
//    navigator.device.capture.captureAudio(
//        function(results) {
//            var data = {"audio": true, "list": results};
//            renderTemplate("preFile", data, function (html) {
//                $("#preFile").html(html);
//                dojo.parser.parse(document.getElementById("preFile"));
//                myScroll.refresh();
//            });
//        },
//        function(error) {
//            ialert('加载音频出错!');
//        }, {limit: 1}
//    );
//}

function byPhoto(){
    navigator.camera.getPicture(
        function(results){
            document.getElementById("_photo").src = results;
        },
        function(){
            ialert('加载相册出错!');
        },
        {
            quality : 50,
            destinationType : navigator.camera.DestinationType.FILE_URI,
            sourceType : navigator.camera.PictureSourceType.PHOTOLIBRARY,
            allowEdit: true,
            targetWidth:600,
            targetHeight:600
        }
    );
}

function byCamera(){
    navigator.camera.getPicture(
        function(results){
            document.getElementById("_photo").src = results;
        },
        function(){
            ialert('加载照相机出错!');
        },
        {
            quality : 50,
            destinationType : navigator.camera.DestinationType.FILE_URI,
            sourceType : navigator.camera.PictureSourceType.CAMERA,
            allowEdit: true,
            targetWidth:600,
            targetHeight:600
        }
    );
}

//麦克
function fromAudio() {

    //   Android

        if(document.getElementById("audioSpace").src.indexOf("record_start") > 0) {
            if(recordStatus == 1){
                mediaRec.stopRecord();
            }
            mediaRec = new Media(mediaSrc,
                function() {
                    console.log("recordAudio():Audio Success");
                },
                function(err) {
                    console.log("recordAudio():Audio Error: "+ err.code);
                }
            );
            mediaRec.startRecord();
            recordStatus = 1;
            document.getElementById("audioSpace").src = "style/img/record_stop.png";
             $("#preFile").children(".audioWrap").next().remove();
            $("#preFile").children(".audioWrap").remove();

            dojo.parser.parse(document.getElementById("preFile"));
            myScroll.refresh();
            ialert("开始录音");
            setTimeout(function(){
                if(recordStatus == 1){
                    mediaRec.stopRecord();
                    recordStatus = 0;
                    if(document.getElementById("audioSpace")){
                        document.getElementById("audioSpace").src = "style/img/record_start.png";
                        var data = {"audio": true, "fullPath": mediaSrc};
                        renderTemplateNoScrollTop("preFile", data, function (html) {
                            $("#preFile").html($("#preFile").html()+html);
                            dojo.parser.parse(document.getElementById("preFile"));
                            myScroll.refresh();
                        });
                    }
                }
            },60000*10);
        }else if(document.getElementById("audioSpace").src.indexOf("record_stop") > 0){
            mediaRec.stopRecord();
            recordStatus = 0;
            document.getElementById("audioSpace").src = "style/img/record_start.png";
            var data = {"audio": true, "fullPath": mediaSrc};
            renderTemplateNoScrollTop("preFile", data, function (html) {
                $("#preFile").html($("#preFile").html()+html);
                dojo.parser.parse(document.getElementById("preFile"));
                myScroll.refresh();

            });
        }

    //录音方式2    IOS

    // $("#preFile").children(".audioWrap").next().remove();
    // $("#preFile").children(".audioWrap").remove();
    // navigator.device.capture.captureAudio(onSuccess, onError, {duration: 600});
    //
    // //录制成功
    // function onSuccess(mediaFiles) {
    //     var i, path, len;
    //     //遍历获取录制的文件（iOS只支持一次录制一个视频或音频）（没有发现这个)
    //     for (i = 0, len = mediaFiles.length; i < len; i += 1) {
    //         console.log(mediaFiles);
    //         path = mediaFiles[i].fullPath;
    //         // alert("录制成功！\n\n"
    //         //     + "文件名：" + mediaFiles[i].name + "\n"
    //         //     + "大小：" + mediaFiles[i].size + "\n\n"
    //         //     + "localURL地址：" + mediaFiles[i].localURL + "\n\n"
    //         //     + "fullPath地址：" + path);
    //         var data = {"audio": true, "fullPath": path};
    //         renderTemplateNoScrollTop("preFile", data, function (html) {
    //             $("#preFile").html($("#preFile").html()+"</br>"+html);
    //             dojo.parser.parse(document.getElementById("preFile"));
    //             myScroll.refresh();
    //         });
    //     }
    // }
    //
    // //录制失败
    // function onError(error) {
    //     ialert('录制失败！');         //错误码： + error.code
    // };
}
function fromVideo(){
    $("#preFile").children(".videoWrap").next().remove();
    $("#preFile").children(".videoWrap").remove();
    navigator.device.capture.captureVideo(onSuccess, onError, {duration: 15});

    //录制成功
    function onSuccess(mediaFiles) {
        var i, path, len;
        //遍历获取录制的文件（iOS只支持一次录制一个视频或音频） （没有发现这个)
        for (i = 0, len = mediaFiles.length; i < len; i += 1) {
            console.log(mediaFiles);
            path = mediaFiles[i].fullPath;
            // alert("录制成功！\n\n"
            //     + "文件名：" + mediaFiles[i].name + "\n"
            //     + "大小：" + mediaFiles[i].size + "\n\n"
            //     + "localURL地址：" + mediaFiles[i].localURL + "\n\n"
            //     + "fullPath地址：" + path);

            //android
            videopath=path;
            //IOS
            //videopath= path.replace('/private','file://');

            var data = {"video": true, "fullPath": path};
            renderTemplateNoScrollTop("preFile", data, function (html) {
                $("#preFile").html($("#preFile").html()+"</br>"+html);
                dojo.parser.parse(document.getElementById("preFile"));
                myScroll.refresh();
            });
        }
    }

    //录制失败
    function onError(error) {
        ialert('录制失败！错误码：' + error.code);
    }
}

function actMedia(){
    if(recordStatus == 0){
        if(document.getElementById("audioImg").src.indexOf("audio_normal") > 0) {
            mediaRec = new Media(mediaSrc, function () {
                clearInterval(audioInt);
                document.getElementById("audioImg").src = "style/img/audio_normal.png";
            }, function () {
            });
            mediaRec.play();
            audioInt = setInterval(function () {
                if (document.getElementById("_audio")) {
                    if (document.getElementById("audioImg").src.indexOf("audio_normal") > 0 || document.getElementById("audioImg").src.indexOf("audio_play3") > 0)
                        document.getElementById("audioImg").src = "style/img/audio_play1.png";
                    else if (document.getElementById("audioImg").src.indexOf("audio_play1") > 0)
                        document.getElementById("audioImg").src = "style/img/audio_play2.png";
                    else if (document.getElementById("audioImg").src.indexOf("audio_play2") > 0)
                        document.getElementById("audioImg").src = "style/img/audio_play3.png";
                } else {
                    mediaRec.stop();
                }
            }, 300);
        }else{
            mediaRec.stop();
        }
    } else {
        ialert("正在录音");
    }
}

function actAudio(id){
    clearInterval(audioInt);
    mediaRec.stop();
    if(document.getElementById("audioImg"+id).src.indexOf("audio_normal") > 0) {
        mediaRec = new Media(hostUrl+"/common/ckeditor/openfile.jsp?id="+id, function () {
            clearInterval(audioInt);
            document.getElementById("audioImg"+id).src = "style/img/audio_normal.png";
        }, function () {
        });
        mediaRec.play();
        audioInt = setInterval(function () {
            if (document.getElementById("audioImg"+id).src.indexOf("audio_normal") > 0 || document.getElementById("audioImg"+id).src.indexOf("audio_play3") > 0)
                document.getElementById("audioImg"+id).src = "style/img/audio_play1.png";
            else if (document.getElementById("audioImg"+id).src.indexOf("audio_play1") > 0)
                document.getElementById("audioImg"+id).src = "style/img/audio_play2.png";
            else if (document.getElementById("audioImg"+id).src.indexOf("audio_play2") > 0)
                document.getElementById("audioImg"+id).src = "style/img/audio_play3.png";
        }, 300);
    }
}

function stopMedia(){
    mediaRec.stop();
}

//删除待上传图片或音频
function fileDel(o){
    $(o).parents("li").remove();
}
function videoDel(e){
    $(e).prev().remove();
    $(e).remove();
}
function audioDel(e){
      //IOS
    // $(e).prev().remove();
    // $(e).remove();

    //Android
    $("#preFile").children(".audioWrap").remove();


}

function postFiles(){
    var url = hostUrl + "/forumThreadAdd.do";
    var subject = document.getElementById("subject").value;
    var content = document.getElementById("content").value;
    var fileType = document.getElementById("fileType").value;
    var postFile = [{"fileUrl": document.getElementById("_image").src}];
    cordova.exec(
        function(){
            ialert("上传成功");
        },
        function(message){
            ialert("上传失败");
        },
        "PostContent", "postContent", [url, subject, content, fileType, postFile]);
}

//上传操作
function uploadFile() {
    var imageURI = document.getElementById('_image').src;
    var options = new FileUploadOptions();
    options.fileKey = "imageFile";
    options.fileName = imageURI.substr(imageURI.lastIndexOf('/') + 1);
    options.mimeType = "image/jpeg";
    options.mimeType = "multipart/form-data";
    options.params = {"subject":"123"};
    var ft = new FileTransfer();
    ft.upload(
        imageURI,
        encodeURI(hostUrl+'/forumArticleAdd.do'),
        function(){ ialert('上传成功!');},
        function(){ ialert('上传失败!');},
        options);
}

//进入课程后的菜单
function menuAct() {
    if(menuFlag)
        hideMenu();
    else
        showMenu();
}

function showMenu(){
    scrollTopLeftMenu();

    $("#imenu").animate({left: '0'}, 300);
    $("#imain").animate({left: '80%'}, 300);
    menuFlag = true;
}

function hideMenu() {
    $("#imenu").animate({left:'-80%'},300);
    $("#imain").animate({left:'0'},300);
    menuFlag = false;
}
//获取这个单元活动的
function getColumnStatus(lid)
{

    var postParam = {"lid":lid};
    cordovaHTTP.post(hostUrl + "/getColumnStatusByResType.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            if (response.status == 0)
            {
                getPage(dojohead, "error", {"message": response.message});
            }
            else if  (response.status == 1){
               if(response.datas=="0")
               {
                  if(resType==19)
                  {
                      hideMenu();resetBackMethod("courseUnitList",getBackParam([courseId, courseName, 1]));if(preColumnId!=0)logColumnTime(0);getCourseSurveyList();
                  }


               }
               else {
                   ialert("模块暂未开放！");
               }
            }
        },
        function() {
            dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}


//重置滚动区域至最顶端
function scrollTop() {
    $('#iscrollContent').scrollTop(0);
    $('#iscroll').parent().css('-webkit-transform', 'translate3d(0px,0px,0px)');
}

function scrollTopLeftMenu(){
    $('#imscrollContent').scrollTop(0);
    $('#imscroll').parent().css('-webkit-transform', 'translate3d(0px,0px,0px)');
}

//模版加载接口
function renderTemplate(name, datas, callback) {
    if(!ich.templates[name]) {
        $.get("eol/" + name + ".html",function(template) {
            ich.addTemplate(name,template);
            callback.call(null,ich[name](datas));
        });
    } else {
        callback.call(null,ich[name](datas));
    }


    myScroll.scrollTo(0,0);
}

//模版加载  用于上拉加载
function renderTemplateNoScrollTop(name, datas, callback) {
    if(!ich.templates[name]) {
        $.get("eol/" + name + ".html",function(template) {
            ich.addTemplate(name,template);
            callback.call(null,ich[name](datas));

        });
    } else {
        callback.call(null,ich[name](datas));
    }
}

//页面头
function getHead(dojohead){
    renderTemplate("head", dojohead, function(html) {
        $("#ihead").html(html);
        dojo.parser.parse(document.getElementById("ihead"));
    });
}

function getMHead(dojohead) {
    $("#imhead").html(dojohead.label);
//    renderTemplate("mhead", dojohead, function(html) {
//        $("#imhead").html(html);
//        dojo.parser.parse(document.getElementById("imhead"));
//    });
}

//加载滚动区域内容接口 有向服务器请求
function getData(targetUrl, postParam, dojohead, template, lastParam) {



    if(document.getElementById("_videoAct")){
        document.getElementById("_videoAct").pause();
    }
    videoPause=0;
    videoEnd=0;
     //清除在线测试中的计时任务
    postParam = $.extend({"context": courseId}, postParam);
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + targetUrl, postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {

            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            if (response.status > 0) {
                if(targetUrl=="/unitColumnList.do"&&preColumnId!=postParam.id){
                    logColumnTime(postParam.id);
                }

                if(response.datas) {
                    if(template == "teacher/teaHwAnwerList" || template == "teacher/teaHwUnAnwerList" || template == "teacher/teaHwUnCommitStuList"){
                        if(response.datas.info.filters.title&&response.datas.info.filters.title!="")
                            dojohead.label = response.datas.info.filters.title;
                    }
                    if((template == "courseColumnList"||template == "courseFolderList")&&!response.datas.hasSubColumn&&!response.datas.hasModule&&!response.datas.isUnit){    //无子栏目无挂接

                        getPage(dojohead, "error", {"message": "无内容！"});
                    }else if((template == "courseColumnList"||template == "courseFolderList")&&!response.datas.hasSubColumn&&response.datas.hasModule&&response.datas.article&&response.datas.article.subjectLink) {  //链接类型
                        delBackMethod(1);
                        cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId":courseId,"resId":response.datas.article.id}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                            function() {},
                            function() {});
                        window.open(escape2Html(response.datas.article.subjectLink), "_system");
                    }else if ((template == "courseColumnList"||template == "courseFolderList")&&!response.datas.hasSubColumn&&response.datas.hasModule&&response.datas.columnModuleMethod) {  //无子栏目有挂接
                        if (response.datas.columnModuleMethod != "none" && response.datas.current.moduleId != null) {
                            var moduleId = response.datas.current.moduleId;
                            if (moduleId == 0)
                                moduleId = "";
                            var columnModuleMethod = response.datas.columnModuleMethod + "(" + moduleId + ")";
                            delBackMethod(1);
                            (new Function(columnModuleMethod))();
                        } else {

                            getPage(dojohead, "error", {"message": "移动端暂不支持或未设置，请前往PC端查看！"});
                        }
                    }else if (template != "") {

                        if(response.datas.learningGuide)
                        {
                            if(response.datas.jxrl)
                            {
                                dojohead.label = response.datas.jxrl;
                            }

                            if(response.datas.jxdg)
                            {
                                dojohead.label = response.datas.jxdg;
                            }
                        }

                        var flag = true;
                        if (template == "courseSectionList"&&response.status == 2)
                            flag = false;
                        if ((template == "courseColumnList"||template == "courseFolderList")&&response.datas.article&&response.datas.article.fileType&&response.datas.article.subjectFile) {
                            for (var i = 0; i < loadingFile.length; i++) {
                                if (loadingFile[i][0] == response.datas.article.subjectFile) {
                                    flag = false;
                                    break;
                                }
                            }
                            cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId":courseId,"resId":response.datas.article.id}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                                function() {},
                                function() {});
                        }
                        if (template == "courseArticleDetail"&&response.datas.fileType&&response.datas.subjectFile) {
                            if(response.datas.fileType.indexOf("flash") >= 0){
                                getPage(dojohead, "error", {"message": "移动端暂不支持flash，请前往PC端查看！"});
                                return;
                            }
                            for (var i = 0; i < loadingFile.length; i++) {
                                if (loadingFile[i][0] == response.datas.subjectFile) {
                                    flag = false;
                                    break;
                                }
                            }
                            cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": response.datas.id}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
                                function () {
                                },
                                function () {
                                });

                        }
                        if (template == "inClassCourseArticleDetail"&&response.datas.fileType&&response.datas.subjectFile) {


                            if(response.datas.fileType.indexOf("flash") >= 0){
                                getPage(dojohead, "error", {"message": "移动端暂不支持flash，请前往PC端查看！"});
                                return;
                            }

                            for (var i = 0; i < loadingFile.length; i++) {
                                if (loadingFile[i][0] == response.datas.subjectFile) {
                                    flag = false;
                                    break;
                                }
                            }
                            cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": response.datas.id}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
                                function () {
                                },
                                function () {
                                });
                        }
                        var data = {
                            "comData": {"hostUrl": hostUrl, "videoHeight": document.body.scrollHeight * 0.4,"random":Math.floor(Math.random() * ( 1000 + 1)), "idindex":++idindex, "userName": userName, "userRealName": userRealName, "loginTimes": loginTimes, "courseId": courseId, "flag": flag, "version": version, "lastParam": lastParam},
                            "list": response
                        };
                        // data=HTMLDecode(JSON.stringify(data));
                        //在线测试分数显示
                        if(dojohead.hasTest)
                        {
                            dojohead.testScore=response.datas.score;
                        }
                        renderTemplate(template, data,
                            function (html) {

                                $("#iscroll").html(html);
                                dojo.parser.parse(document.getElementById("iscroll"));
                                myScroll.refresh();

                                if (dojohead != null)
                                    if (postParam.resActId != 0) {{        //博客单元
                                        if (response.datas.current&&response.datas.current.learningRes&&response.datas.current.learningRes.file&&response.datas.current.learningRes.file.videoUrl) {
                                            dojohead.hasVideo = true;
                                            dojohead.videoUrl = response.datas.current.learningRes.file.videoUrl;
                                            dojohead.videoHeight = document.body.scrollHeight * 0.4;
                                            dojohead.unitId = response.datas.current.microLessonUnitId;
                                            if(response.datas.list) {
                                                for (var i = 0; i < response.datas.list.length; i++) {
                                                    if (response.datas.list[i].seq == response.datas.current.seq + 1) {
                                                        dojohead.nextId = response.datas.list[i].id;
                                                        break;
                                                    }
                                                    if(i==response.datas.list.length-1)
                                                    {
                                                        dojohead.nextId = response.datas.list[0].id;
                                                    }
                                                }
                                            }
                                            resId = response.datas.current.id;
                                            logId = JSESSIONID;
                                            if(response.datas.logId)
                                                resLogId = response.datas.logId;
                                        }
                                        if (response.datas.current&&response.datas.current.learningAct) {

                                            dojohead.unitId = response.datas.current.microLessonUnitId;
                                            if(response.datas.list) {
                                                for (var i = 0; i < response.datas.list.length; i++) {
                                                    if (response.datas.list[i].seq == response.datas.current.seq + 1) {
                                                        dojohead.nextId = response.datas.list[i].id;
                                                        break;
                                                    }
                                                    if(i==response.datas.list.length-1)
                                                    {
                                                        dojohead.nextId = response.datas.list[0].id;
                                                    }
                                                }
                                            }
                                            delBackMethod(1);
                                            addBackMethod("videoBlogResList", getBackParam([dojohead.unitId, dojohead.nextId,response.datas.current.type]));    //博客单元
                                            if(courseRole == 2) {
                                                if(!response.datas.current.learningAct.joinStatus){
                                                    iconfirm("你确定要开始测试吗?", function () {
                                                        courseMicroLessonTestPreAdd(response.datas.current.learningAct.objId);
                                                    });
                                                }
                                                else {
                                                    iconfirm("你确定要查看测试吗?", function () {
                                                        courseMicroTestView(response.datas.current.learningAct.objId,response.datas.current.learningAct.reExam);
                                                    });
                                                }



                                            }else if(courseRole == 0){
                                                iconfirm("你确定要查看测试吗?", function () {
                                                    teaCourseTestView(response.datas.current.learningAct.objId);
                                                });
                                            }
                                        }
                                        if(response.datas.current&&response.datas.current.forumId&&response.datas.current.forumId!=null){
                                            if(courseRole == 2){
                                                blogForumList(response.datas.current.forumId);
                                            }else if(courseRole == 0){
                                                teaBlogForumList(response.datas.current.forumId);
                                            }
                                        }

                                    }
                                        renderTemplate("head", dojohead,
                                            function (html) {
                                                $("#ihead").html(html);

                                                dojo.parser.parse(document.getElementById("ihead"));
                                            }
                                        );
                                        if (response.message) {
                                            getPage(dojohead, "error", {"message": response.message});
                                        }
                                    }
                                if ((template == "courseColumnList"||template == "courseFolderList")&&!response.datas.hasSubColumn&&response.datas.hasModule&&response.datas.article&&response.datas.article.body) {  //无子栏目有挂接富文本
                                    articleId = response.datas.article.id;
                                    resPreTime = new Date();
                                    cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId":courseId,"resId":articleId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                                        function() {},
                                        function() {});
                                    logResTime();
                                }else if (template == "courseArticleDetail"&&response.datas.body) {
                                    articleId = response.datas.id;
                                    resPreTime = new Date();
                                    cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": articleId}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
                                        function () {
                                        },
                                        function () {
                                        });
                                    logResTime();
                                }else if (template == "inClassCourseArticleDetail"&&response.datas.body) {
                                    articleId = response.datas.id;
                                    resPreTime = new Date();

                                    cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": articleId}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
                                        function () {
                                        },
                                        function () {
                                        });
                                    logResTime();
                                }
                                else if(template == "teacher/courseVoteView"){
                                    inclassVoteChart(response.datas.abc,response.datas.countList);
                                    /* var data_arr = [];
                                     var text_arr = [];
                                     for(var i = 0; i < response.datas.problem.items.length; i++){
                                     data_arr[i] = response.datas.problem.items[i].selectPercent/100.0;
                                     text_arr[i] = "第"+(i+1)+"选项";
                                     }
                                     var color_arr = ["#FF0000", "#00FF00", "#0000FF", "#FF6600", "#00FFFF", "#FF00FF"];
                                     drawCircle("canvas_circle", data_arr, color_arr, text_arr);*/
                                }else if(template == "teacher/inClassPub"){
                                    signChart(response.datas.signedCount,response.datas.unSignedCount);
                                }
                                else if(template == "teacher/inClassPreview")
                                {
                                    previewChart(response.datas.dataList);
                                }
                                else if(template == "teacher/inClassVoteView"){
                                    inclassVoteChart(response.datas.abc,response.datas.countList);
                                }

                                else if(template == "inClassSurveyJoinDo"||template == "courseSurveyVoteDo"){
                                    //随堂教学的学生端：判断学生是否投票，若投票，则初始化柱状图
                                    if(response.datas.joinStatus>0)
                                        inclassVoteChart(response.datas.abc,response.datas.countList);
                                }
                                else if(template == "inClassSurveyJoinDo"||template == "courseSurveyVoteDo"||template == "teacher/courseSurveyVoteDo"){
                                    //是否投票，若投票，则初始化柱状图
                                    if(response.datas.joinStatus>0)
                                        inclassVoteChart(response.datas.abc,response.datas.countList);
                                }
                                else if(template == "inClassCourseTest")
                                {     //随堂教学的学生端 课程小测：开始测试   (添加日志)

                                    cordovaHTTP.post(hostUrl + "/storeInClassTestLog.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                                        function(response) {
                                        },
                                        function() {

                                        });
                                }
                                else if(template == "teacher/signCode")
                                {
                                    $('#code').qrcode("/addStudentSign.do?inClassId="+response.datas.id+"&signStamp="+response.datas.signStamp);
                                }
                            }
                        );
                    }else
                        getPage(dojohead, "error", {"error": "数据错误"});
                } else {
                    getPage(dojohead, "error", {"error": "数据错误"});
                }
            }
            else if (response.status == 0) {
                if (dojohead != null) {
                    renderTemplate("head", dojohead,
                        function (html) {
                            $("#ihead").html(html);
                            dojo.parser.parse(document.getElementById("ihead"));
                        }
                    );
                }
                if (response.message) {
                    getPage(dojohead, "error", {"message": response.message});
                } else {
                    getPage(dojohead, "error", {"error": "数据错误"});
                }
            }
            else if (response.status == -2) {
                var bMethod = "loadedCourse";
                if (backMethod.length > 0)
                    bMethod = backMethod[0];
                var data = {
                    "list": {"username": mySet.username, "autologon": mySet.autologon},
                    "hostName": hostName!=""?hostName:"学校设置",
                    "redirect": bMethod
                };
                ialert("登录超时，请重新登录");
                renderTemplate("logon", data,
                    function (html) {
                        $("#iscroll").html(html);
                        dojo.parser.parse(document.getElementById("iscroll"));
                        myScroll.refresh();
                        var dojohead = new dojoHead();
                        dojohead.label = "登录";
                        getHead(dojohead);
                    }
                );
            }
            else if (response.status == -3) {
                delBackMethod(1);
                ialert("无权限访问");
            } else {
                if (response.error) {
                    getPage(dojohead, "error", {"error": response.error});
                } else {
                    getPage(dojohead, "error", {"error": "数据错误"});
                }
            }
//            $("#iscroll").focus();
        },
        function() {
            //Android
            dijit.registry.byId("underlay").hide();
            getPage(dojohead, "error", {"error": "网络不给力，请检查网络重试"});

            //IOS

//             cordovaHTTP.post(hostUrl + targetUrl, postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
//                 function(response) {
//                     response = JSON.parse(response.data);
//                     dijit.registry.byId("underlay").hide();
//                     if (response.status > 0) {
//                         if(targetUrl=="/unitColumnList.do"&&preColumnId!=postParam.id){
//                             logColumnTime(postParam.id);
//                         }
//
//                         if(response.datas) {
//                             if(template == "teacher/teaHwAnwerList" || template == "teacher/teaHwUnAnwerList" || template == "teacher/teaHwUnCommitStuList"){
//                                 if(response.datas.info.filters.title&&response.datas.info.filters.title!="")
//                                     dojohead.label = response.datas.info.filters.title;
//                             }
//                             if((template == "courseColumnList"||template == "courseFolderList")&&!response.datas.hasSubColumn&&!response.datas.hasModule&&!response.datas.isUnit){    //无子栏目无挂接
//
//                                 getPage(dojohead, "error", {"message": "无内容！"});
//                             }else if((template == "courseColumnList"||template == "courseFolderList")&&!response.datas.hasSubColumn&&response.datas.hasModule&&response.datas.article&&response.datas.article.subjectLink) {  //链接类型
//                                 delBackMethod(1);
//                                 cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId":courseId,"resId":response.datas.article.id}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
//                                     function() {},
//                                     function() {});
//                                 window.open(response.datas.article.subjectLink, "_system");
//                             }else if ((template == "courseColumnList"||template == "courseFolderList")&&!response.datas.hasSubColumn&&response.datas.hasModule&&response.datas.columnModuleMethod) {  //无子栏目有挂接
//                                 if (response.datas.columnModuleMethod != "none" && response.datas.current.moduleId != null) {
//                                     var moduleId = response.datas.current.moduleId;
//                                     if (moduleId == 0)
//                                         moduleId = "";
//                                     var columnModuleMethod = response.datas.columnModuleMethod + "(" + moduleId + ")";
//                                     delBackMethod(1);
//                                     (new Function(columnModuleMethod))();
//                                 } else {
//
//                                     getPage(dojohead, "error", {"message": "移动端暂不支持或未设置，请前往PC端查看！"});
//                                 }
//                             }else if (template != "") {
//                                 var flag = true;
//                                 if (template == "courseSectionList"&&response.status == 2)
//                                     flag = false;
//                                 if ((template == "courseColumnList"||template == "courseFolderList")&&response.datas.article&&response.datas.article.fileType&&response.datas.article.subjectFile) {
//                                     for (var i = 0; i < loadingFile.length; i++) {
//                                         if (loadingFile[i][0] == response.datas.article.subjectFile) {
//                                             flag = false;
//                                             break;
//                                         }
//                                     }
//                                     cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId":courseId,"resId":response.datas.article.id}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
//                                         function() {},
//                                         function() {});
//                                 }
//                                 if (template == "courseArticleDetail"&&response.datas.fileType&&response.datas.subjectFile) {
//                                     if(response.datas.fileType.indexOf("flash") >= 0){
//                                         getPage(dojohead, "error", {"message": "移动端暂不支持flash，请前往PC端查看！"});
//                                         return;
//                                     }
//                                     for (var i = 0; i < loadingFile.length; i++) {
//                                         if (loadingFile[i][0] == response.datas.subjectFile) {
//                                             flag = false;
//                                             break;
//                                         }
//                                     }
//                                     cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": response.datas.id}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
//                                         function () {
//                                         },
//                                         function () {
//                                         });
//
//                                 }
//                                 if (template == "inClassCourseArticleDetail"&&response.datas.fileType&&response.datas.subjectFile) {
//
//
//                                     if(response.datas.fileType.indexOf("flash") >= 0){
//                                         getPage(dojohead, "error", {"message": "移动端暂不支持flash，请前往PC端查看！"});
//                                         return;
//                                     }
//
//                                     for (var i = 0; i < loadingFile.length; i++) {
//                                         if (loadingFile[i][0] == response.datas.subjectFile) {
//                                             flag = false;
//                                             break;
//                                         }
//                                     }
//                                     cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": response.datas.id}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
//                                         function () {
//                                         },
//                                         function () {
//                                         });
//                                 }
//                                 var data = {
//                                     "comData": {"hostUrl": hostUrl, "videoHeight": document.body.scrollHeight * 0.4,"random":Math.floor(Math.random() * ( 1000 + 1)), "idindex":++idindex, "userName": userName, "userRealName": userRealName, "loginTimes": loginTimes, "courseId": courseId, "flag": flag, "version": version, "lastParam": lastParam},
//                                     "list": response
//                                 };
//                                 // data=HTMLDecode(JSON.stringify(data));
//                                 //在线测试分数显示
//                                 if(dojohead.hasTest)
//                                 {
//                                     dojohead.testScore=response.datas.score;
//                                 }
//                                 renderTemplate(template, data,
//                                     function (html) {
//
//                                         $("#iscroll").html(html);
//                                         dojo.parser.parse(document.getElementById("iscroll"));
//                                         myScroll.refresh();
//
//                                         if (dojohead != null)
//                                             if (postParam.resActId != 0) {{
//                                                 if (response.datas.current&&response.datas.current.learningRes&&response.datas.current.learningRes.file&&response.datas.current.learningRes.file.videoUrl) {
//                                                     dojohead.hasVideo = true;
//                                                     dojohead.videoUrl = response.datas.current.learningRes.file.videoUrl;
//                                                     dojohead.videoHeight = document.body.scrollHeight * 0.4;
//                                                     dojohead.unitId = response.datas.current.microLessonUnitId;
//                                                     if(response.datas.list) {
//                                                         for (var i = 0; i < response.datas.list.length; i++) {
//                                                             if (response.datas.list[i].seq == response.datas.current.seq + 1) {
//                                                                 dojohead.nextId = response.datas.list[i].id;
//                                                                 break;
//                                                             }
//                                                             if(i==response.datas.list.length-1)
//                                                             {
//                                                                 dojohead.nextId = response.datas.list[0].id;
//                                                             }
//                                                         }
//                                                     }
//                                                     resId = response.datas.current.id;
//                                                     logId = JSESSIONID;
//                                                     if(response.datas.logId)
//                                                         resLogId = response.datas.logId;
//                                                 }
//                                                 if (response.datas.current&&response.datas.current.learningAct) {   //有资源内容恢复下载进度
//
//                                                     dojohead.unitId = response.datas.current.microLessonUnitId;
//                                                     if(response.datas.list) {
//                                                         for (var i = 0; i < response.datas.list.length; i++) {
//                                                             if (response.datas.list[i].seq == response.datas.current.seq + 1) {
//                                                                 dojohead.nextId = response.datas.list[i].id;
//                                                                 break;
//                                                             }
//                                                             if(i==response.datas.list.length-1)
//                                                             {
//                                                                 dojohead.nextId = response.datas.list[0].id;
//                                                             }
//                                                         }
//                                                     }
//                                                     delBackMethod(1);
//                                                     addBackMethod("videoBlogResList", getBackParam([dojohead.unitId, dojohead.nextId,response.datas.current.type]));    //博客单元
//                                                     if(courseRole == 2){
//                                                         iconfirm("你确定要测试吗?",function(){
//                                                             courseMicroLessonTestPreAdd(response.datas.current.learningAct.objId);
//                                                         });
//                                                     }else if(courseRole == 0){
//
//                                                         teaCourseTestView(response.datas.current.learningAct.objId);
//                                                     }
//                                                 }
//                                                 if(response.datas.current&&response.datas.current.forumId&&response.datas.current.forumId!=null){
//                                                     if(courseRole == 2){
//                                                         blogForumList(response.datas.current.forumId);
//                                                     }else if(courseRole == 0){
//                                                         teaBlogForumList(response.datas.current.forumId);
//                                                     }
//                                                 }
//
//                                             }
//                                                 renderTemplate("head", dojohead,
//                                                     function (html) {
//                                                         $("#ihead").html(html);
//                                                         dojo.parser.parse(document.getElementById("ihead"));
//                                                     }
//                                                 );
//                                                 if (response.message) {
//                                                     getPage(dojohead, "error", {"message": response.message});
//                                                 }
//                                             }
//                                         if ((template == "courseColumnList"||template == "courseFolderList")&&!response.datas.hasSubColumn&&response.datas.hasModule&&response.datas.article&&response.datas.article.body) {  //无子栏目有挂接富文本
//                                             articleId = response.datas.article.id;
//                                             resPreTime = new Date();
//                                             cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId":courseId,"resId":articleId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
//                                                 function() {},
//                                                 function() {});
//                                             logResTime();
//                                         }else if (template == "courseArticleDetail"&&response.datas.body) {
//                                             articleId = response.datas.id;
//                                             resPreTime = new Date();
//                                             cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": articleId}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
//                                                 function () {
//                                                 },
//                                                 function () {
//                                                 });
//                                             logResTime();
//                                         }else if (template == "inClassCourseArticleDetail"&&response.datas.body) {
//                                             articleId = response.datas.id;
//                                             resPreTime = new Date();
//
//                                             cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": articleId}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
//                                                 function () {
//                                                 },
//                                                 function () {
//                                                 });
//                                             logResTime();
//                                         }
//                                         else if(template == "teacher/courseVoteView"){
//                                             inclassVoteChart(response.datas.abc,response.datas.countList);
//                                             /* var data_arr = [];
//                                              var text_arr = [];
//                                              for(var i = 0; i < response.datas.problem.items.length; i++){
//                                              data_arr[i] = response.datas.problem.items[i].selectPercent/100.0;
//                                              text_arr[i] = "第"+(i+1)+"选项";
//                                              }
//                                              var color_arr = ["#FF0000", "#00FF00", "#0000FF", "#FF6600", "#00FFFF", "#FF00FF"];
//                                              drawCircle("canvas_circle", data_arr, color_arr, text_arr);*/
//                                         }else if(template == "teacher/inClassPub"){
//                                             signChart(response.datas.signedCount,response.datas.unSignedCount);
//                                         }
//                                         else if(template == "teacher/inClassPreview")
//                                         {
//                                             previewChart(response.datas.dataList);
//                                         }
//                                         else if(template == "teacher/inClassVoteView"){
//                                             inclassVoteChart(response.datas.abc,response.datas.countList);
//                                         }
//
//                                         else if(template == "inClassSurveyJoinDo"||template == "courseSurveyVoteDo"){
//                                             //随堂教学的学生端：判断学生是否投票，若投票，则初始化柱状图
//                                             if(response.datas.joinStatus>0)
//                                                 inclassVoteChart(response.datas.abc,response.datas.countList);
//                                         }
//                                         else if(template == "inClassSurveyJoinDo"||template == "courseSurveyVoteDo"||template == "teacher/courseSurveyVoteDo"){
//                                             //是否投票，若投票，则初始化柱状图
//                                             if(response.datas.joinStatus>0)
//                                                 inclassVoteChart(response.datas.abc,response.datas.countList);
//                                         }
//                                         else if(template == "inClassCourseTest")
//                                         {     //随堂教学的学生端 课程小测：开始测试   (添加日志)
//
//                                             cordovaHTTP.post(hostUrl + "/storeInClassTestLog.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
//                                                 function(response) {
//                                                 },
//                                                 function() {
//
//                                                 });
//                                         }
//                                         else if(template == "teacher/signCode")
//                                         {
//                                             $('#code').qrcode("/addStudentSign.do?inClassId="+response.datas.id+"&signStamp="+response.datas.signStamp);
//                                         }
//                                     }
//                                 );
//                             }else
//                                 getPage(dojohead, "error", {"error": "数据错误"});
//                         } else {
//                             getPage(dojohead, "error", {"error": "数据错误"});
//                         }
//                     }
//                     else if (response.status == 0) {
//                         if (dojohead != null) {
//                             renderTemplate("head", dojohead,
//                                 function (html) {
//                                     $("#ihead").html(html);
//                                     dojo.parser.parse(document.getElementById("ihead"));
//                                 }
//                             );
//                         }
//                         if (response.message) {
//                             getPage(dojohead, "error", {"message": response.message});
//                         } else {
//                             getPage(dojohead, "error", {"error": "数据错误"});
//                         }
//                     }
//                     else if (response.status == -2) {
//                         var bMethod = "loadedCourse";
//                         if (backMethod.length > 0)
//                             bMethod = backMethod[0];
//                         var data = {
//                             "list": {"username": mySet.username, "autologon": mySet.autologon},
//                             "hostName": hostName!=""?hostName:"学校设置",
//                             "redirect": bMethod
//                         };
//                         ialert("登录超时，请重新登录");
//                         renderTemplate("logon", data,
//                             function (html) {
//                                 $("#iscroll").html(html);
//                                 dojo.parser.parse(document.getElementById("iscroll"));
//                                 myScroll.refresh();
//                                 var dojohead = new dojoHead();
//                                 dojohead.label = "登录";
//                                 getHead(dojohead);
//                             }
//                         );
//                     }
//                     else if (response.status == -3) {
//                         delBackMethod(1);
//                         ialert("无权限访问");
//                     } else {
//                         if (response.error) {
//                             getPage(dojohead, "error", {"error": response.error});
//                         } else {
//                             getPage(dojohead, "error", {"error": "数据错误"});
//                         }
//                     }
// //            $("#iscroll").focus();
//                 },
//                 function() {
//                     dijit.registry.byId("underlay").hide();
//                     getPage(dojohead, "error", {"error": "网络不给力，请检查网络重试"});
//                 });
        });
}

function readVideo(){
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem) {
        fileSystem.root.getDirectory(mySet.dir,{create: true, exclusive: false},
            function() {
                fileSystem.root.getDirectory(mySet.dir+"/video",{create: true, exclusive: false},
                    function(dirEntry) {
                        fileSystem.root.getFile(mySet.dir+"/video/"+resId,{create: true, exclusive: false},
                            function(fileEntry){
                                fileEntry.file(function(file) {

                                        var reader = new FileReader();
                                        reader.onloadend = function(evt){
                                            if(evt.target.result == null || evt.target.result == "") {

                                            }else {
                                                //alert("evt.target.result:"+evt.target.result+"resid:"+file.name);
                                                document.getElementById("_videoAct").currentTime=evt.target.result;

                                            }
                                        };
                                        reader.readAsText(file) ;

                                    },
                                    function(){ialert("写设置文件出现错误");}
                                );
                            },
                            function(){ialert("加载设置文件出现错误");});
                    },
                    function(){ialert("加载下载目录出现错误");});
            },
            function(){ialert("加载下载目录出现错误");});
    }, function(){
        ialert("加载文件系统出现错误");
    });
}


function writeVideo(){

    var currttime=(document.getElementById("_videoAct").currentTime)+"";
    if(currttime>0)
    {
        window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem) {
            fileSystem.root.getDirectory(mySet.dir,{create: true, exclusive: false},
                function() {
                    fileSystem.root.getDirectory(mySet.dir+"/video",{create: true, exclusive: false},
                        function(dirEntry) {
                            fileSystem.root.getFile(mySet.dir+"/video/"+resId,{create: true, exclusive: false},
                                function(fileEntry){
                                    fileEntry.file(function(file) {

                                            fileEntry.createWriter(
                                                function(writer) {
                                                        writer.write(currttime);
                                                },
                                                function() {ialert("写设置文件出现错误");}
                                            );


                                        },
                                        function(){ialert("写设置文件出现错误");}
                                    );
                                },
                                function(){ialert("加载设置文件出现错误");});
                        },
                        function(){ialert("加载下载目录出现错误");});
                },
                function(){ialert("加载下载目录出现错误");});
        }, function(){
            ialert("加载文件系统出现错误");
        });
    }

}


function onPlay() {
    clearInterval(videoInt);
    videoInt=0;
    clearInterval(updateloadvideoTime);
    if (videoPause == 0||videoStart==0) {
        videoPause == 0;
        if (logId == JSESSIONID) {
            logId = resLogId;
            readVideo();
            var postParam = {
                "time": document.getElementById("_videoAct").currentTime,
                "resId": resId,
                "logId": logId,
                "actType": 0,
                "viewTime": 0
            };
            cordovaHTTP.post(hostUrl + "/logVideoTime.do", postParam, {
                    Authorization: "OAuth2: token",
                    "Cookie": "JSESSIONID=" + JSESSIONID
                },
                function (response) {
                },
                function (type) {
                });

        } else {
        }
    }
    lastViewTime = new Date();
    if (videoInt == 0)
    {
        updateloadvideoTime=setInterval(function () {

            writeVideo();
        },30000);
        videoInt = setInterval(function () {
            if(document.getElementById("_videoAct")){
                if(document.getElementById("_videoAct").paused){
                    clearInterval(videoInt);
                    videoInt=0;
                }else{
                    var viewTime=(new Date().getTime()-lastViewTime.getTime())/1000;
                    var postParam = {"time": document.getElementById("_videoAct").currentTime, "resId": resId, "logId": logId, "actType": 6,"viewTime":viewTime};
                    cordovaHTTP.post(hostUrl + "/logVideoTime.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                        function(response) {
                            lastViewTime= new Date();
                        },
                        function(type) {
                        });
                }
            }else{
                clearInterval(videoInt);
                videoInt=0;
            }
        }, 60000);
    }

    videoPause=0;
    videoEnd = 0;
    videoStart=1;
}

function onPause(){
   //alert("暂停");
    clearInterval(updateloadvideoTime);
    clearInterval(videoInt);
    videoInt=0;
    videoPause=1;
    var postParam = {
        "time": document.getElementById("_videoAct").currentTime,
        "resId": resId,
        "logId": logId,
        "actType": 1,
        "viewTime":0
    };
    cordovaHTTP.post(hostUrl + "/logVideoTime.do", postParam, {
            Authorization: "OAuth2: token",
            "Cookie": "JSESSIONID=" + JSESSIONID
        },
        function (response) {
        },
        function (type) {
        });

        var viewTime=(new Date().getTime()-lastViewTime.getTime())/1000;
        var param = {
            "time": document.getElementById("_videoAct").currentTime,
            "resId": resId,
            "logId": logId,
            "actType": 6,
            "viewTime":viewTime
        };
        cordovaHTTP.post(hostUrl + "/logVideoTime.do", param, {Authorization: "OAuth2: token","Cookie": "JSESSIONID=" + JSESSIONID},
            function (response) {
                lastViewTime= new Date();
            },
            function (type) {

            });
}

function onEnd(){
    clearInterval(videoInt);
    clearInterval(updateloadvideoTime);
    videoInt=0;
    videoEnd=1;

    if(document.exitFullscreen) {
        document.exitFullscreen();
    } else if(document.mozCancelFullScreen) {
        document.mozCancelFullScreen();
    } else if(document.webkitExitFullscreen) {
        document.webkitExitFullscreen();
    }

    var postParam = {"time": document.getElementById("_videoAct").currentTime, "resId": resId, "logId": logId, "actType": 7,"viewTime":0};
    cordovaHTTP.post(hostUrl + "/logVideoTime.do", postParam, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
        function (response) {
        },
        function (type) {
        });

    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem) {
        fileSystem.root.getDirectory(mySet.dir,{create: true, exclusive: false},
            function() {
                fileSystem.root.getDirectory(mySet.dir+"/video",{create: true, exclusive: false},
                    function(dirEntry) {
                        fileSystem.root.getFile(mySet.dir+"/video/"+resId,{create: true, exclusive: false},
                            function(fileEntry){
                                fileEntry.file(function(file) {

                                        fileEntry.createWriter(
                                            function(writer) {
                                                writer.write("0");
                                            },
                                            function() {ialert("写设置文件出现错误");}
                                        );


                                    },
                                    function(){ialert("写设置文件出现错误");}
                                );
                            },
                            function(){ialert("加载设置文件出现错误");});
                    },
                    function(){ialert("加载下载目录出现错误");});
            },
            function(){ialert("加载下载目录出现错误");});
    }, function(){
        ialert("加载文件系统出现错误");
    });

}

function onTimeUpdate(){

    if(videoInt==0)
    {
        lastViewTime= new Date();
        videoInt = setInterval(function () {
            if(document.getElementById("_videoAct")){
                if(document.getElementById("_videoAct").paused){
                    clearInterval(videoInt);
                    videoInt=0;
                }else{
                    var postParam = {"time": document.getElementById("_videoAct").currentTime, "resId": resId, "logId": logId, "actType": 6,"viewTime":60};
                    cordovaHTTP.post(hostUrl + "/logVideoTime.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                        function(response) {
                        },
                        function(type) {
                        });
                    lastViewTime= new Date();
                }
            }else{
                clearInterval(videoInt);
                videoInt=0;
            }
        }, 60000);
    }
    videoPause=0;
    videoEnd=0;
}

//滚动加载  无向服务器请求
function getPage(dojohead, template, lastParam){
    var data = {
        "comData": {"hostUrl": hostUrl,"random":Math.floor(Math.random() * ( 1000 + 1)),"JSESSIONID": JSESSIONID},
        "list": lastParam
    };
    if (template != "") {
        renderTemplate(template, data, function (html) {
            $("#iscroll").html(html);
            dojo.parser.parse(document.getElementById("iscroll"));
            myScroll.refresh();
            if (dojohead != null) {
                renderTemplate("head", dojohead,
                    function (html) {
                        $("#ihead").html(html);
                        dojo.parser.parse(document.getElementById("ihead"));
                    }
                );
            }
        });

    }
}

function setChangeTemp(item, flag) {
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem){
        fileSystem.root.getDirectory(mySet.dir,{create: true},
            function(){
                fileSystem.root.getFile(mySet.dir+"/setting",{create: true},
                    function(fileEntry){
                        fileEntry.file(function(file) {
                                var reader = new FileReader();
                                reader.onloadend = function(evt) {
                                    var data = hostCode + ", " + hostName + ", " + hostUrl + ", " + mySet.wifi + ", " + mySet.cell + ", " + mySet.autologon + ", " + mySet.username + ", " + mySet.password + ", " + mySet.dir;
                                    if(evt.target.result != null && evt.target.result != "") {
                                        data = evt.target.result;
                                    }
                                    var strData = evt.target.result.split(", ");
                                    if(strData[3] == "true")
                                        strData[3] = true;
                                    else
                                        strData[3] = false;
                                    if(strData[4] == "true")
                                        strData[4] = true;
                                    else
                                        strData[4] = false;
                                    if(strData[5] == "true")
                                        strData[5] = true;
                                    else
                                        strData[5] = false;
                                    if(item == "host") {
                                        strData[0] = flag.code;
                                        strData[1] = flag.name;
                                        strData[2] = flag.url;
                                    }
                                    if(item == "wifi") {
                                        if(flag == "on")
                                            strData[3] = true;
                                        else
                                            strData[3] = false;
                                    }
                                    if(item == "cell") {
                                        if(flag == "on")
                                            strData[4] = true;
                                        else
                                            strData[4] = false;
                                    }
                                    if(item == "autologon") {
                                        if(flag == "on")
                                            strData[5] = true;
                                        else
                                            strData[5] = false;
                                    }
                                    if(item == "username") {
                                        strData[6] = flag.username;
                                        strData[7] = flag.password;
                                    }
                                    hostCode = strData[0];
                                    hostName = strData[1];
                                    hostUrl = strData[2];
                                    mySet.wifi = strData[3];
                                    mySet.cell = strData[4];
                                    mySet.autologon = strData[5];
                                    mySet.username = strData[6];
                                    mySet.password = strData[7];
                                    mySet.dir = strData[8];
                                    data = hostCode + ", " + hostName + ", " + hostUrl + ", " + mySet.wifi + ", " + mySet.cell + ", " + mySet.autologon + ", " + mySet.username + ", " + mySet.password + ", " + mySet.dir;
                                    fileEntry.createWriter(
                                        function(writer) {
                                            writer.write(data);
                                        },
                                        function() {ialert("写设置文件出现错误");}
                                    );
                                };
                                reader.readAsText(file);
                            },
                            function(){ialert("写设置文件出现错误");}
                        );
                    },
                    function(){ialert("加载设置文件出现错误");});
            },
            function(){ialert("加载下载目录出现错误");});
    }, function(){
        ialert("加载文件系统出现错误");
    });
}

//设置配置文件
function setChange(item, flag) {
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fileSystem){
        fileSystem.root.getDirectory(mySet.dir,{create: true},
            function(){
                fileSystem.root.getFile(mySet.dir+"/setting",{create: true},
                    function(fileEntry){
                        fileEntry.file(function(file) {
                                var reader = new FileReader();
                                reader.onloadend = function(evt) {
                                    var data = {"hostCode": hostCode, "hostName": hostName, "hostUrl": hostUrl, "wifi": mySet.wifi, "cell": mySet.cell, "autologon": mySet.autologon, "username": mySet.username, "password": mySet.password, "dir": mySet.dir,"transcode":transcode};
                                    if(evt.target.result != null && evt.target.result != "") {
                                        try{
                                            data = JSON.parse(evt.target.result);
                                        }catch (e) {
                                            data = {"hostCode": hostCode, "hostName": hostName, "hostUrl": hostUrl, "wifi": mySet.wifi, "cell": mySet.cell, "autologon": mySet.autologon, "username": mySet.username, "password": mySet.password, "dir": mySet.dir,"transcode":transcode};
                                        }
                                    }
                                    if(item == "autologon") {
                                        if(flag == "on"||flag==true)
                                            data.autologon = true;
                                        else
                                            data.autologon = false;
                                    }
                                    if(item == "wifi") {
                                        if(flag == "on")
                                            data.wifi = true;
                                        else
                                            data.wifi = false;
                                    }
                                    if(item == "cell") {
                                        if(flag == "on")
                                            data.cell = true;
                                        else
                                            data.cell = false;
                                    }
                                    if(item == "username") {
                                        data.username = flag.username;
                                        data.password = flag.password;
                                    }
                                    if(item == "host") {
                                        data.hostCode = flag.code;
                                        data.hostName = flag.name;
                                        data.hostUrl = flag.url;
                                        data.transcode=flag.transcode;

                                    }
                                    hostCode = data.hostCode;
                                    hostName = data.hostName;
                                    hostUrl = data.hostUrl;
                                    transcode=data.transcode;
                                    mySet.wifi = data.wifi;
                                    mySet.cell = data.cell;
                                    mySet.autologon = data.autologon;
                                    mySet.username = data.username;
                                    mySet.password = data.password;
                                    mySet.dir = data.dir;
                                    fileEntry.createWriter(
                                        function(writer) {
                                            writer.write(JSON.stringify(data));
                                        },
                                        function() {ialert("写设置文件出现错误");}
                                    );
                                };
                                reader.readAsText(file);
                            },
                            function(){ialert("写设置文件出现错误");}
                        );
                    },
                    function(){ialert("加载设置文件出现错误");});
            },
            function(){ialert("加载下载目录出现错误");});
    }, function(){
        ialert("加载文件系统出现错误");
    });
}

//获取网络状态
function getNetState() {
    var networkState = navigator.connection.type;
    var states = {};
    states[Connection.UNKNOWN] = 'Unknown';
    states[Connection.ETHERNET] = 'Ethernet';
    states[Connection.WIFI] = 'WiFi';
    states[Connection.CELL_2G] = '2G';
    states[Connection.CELL_3G] = '3G';
    states[Connection.CELL_4G] = '4G';
    states[Connection.CELL] ="cellular";
    states[Connection.NONE] = 'None';
    return states[networkState];
}

function getSessionId(){
    var c_name = 'JSESSIONID';
    if(document.cookie.length>0){
        var c_start=document.cookie.indexOf(c_name + "=");
        if(c_start!=-1){
            c_start=c_start + c_name.length+1;
            var c_end=document.cookie.indexOf(";",c_start);
            if(c_end==-1) c_end=document.cookie.length;
            return document.cookie.substring(c_start,c_end);
        }
    }
}

//内容中有图片处理图片大小以适应屏幕
function ReSizePic(ThisPic){
    var pageWidth = document.body.scrollWidth * 0.8;
    var TrueWidth = ThisPic.width;
    var TrueHeight = ThisPic.height;
    if(TrueWidth > pageWidth) {
        TrueHeight = pageWidth / TrueWidth * TrueHeight;
        TrueWidth = pageWidth;
    }
    ThisPic.width = TrueWidth;
    ThisPic.height = TrueHeight;
    myScroll.refresh();
}

//function onShare(subject, text){
//    cordova.exec(
//        function(success) {ialert(success)},
//        function(error) {ialert(error)},
//        "Share", "share", [text, subject, "text/plain"]);
//}

//重写提示
function ialert(message) {
    if(message != null && message != "undefined" && message != ""){
        $('#ialertContent').html(message);
        $('#ialert').fadeIn('slow');
        $('#ialert').fadeOut(2000);
    }
}

//重写确认
function iconfirm(message,callback,cancelback) {
    $("#confirmText").html(message);
    dijit.registry.byId("mobile_confirm").show();
    $("#ok_btn").click(function(){
        dijit.registry.byId("mobile_confirm").hide();
        if (typeof(callback) == 'function') {
            callback();
        }
        callback = null;
        cancelback = null;
    });

    $("#cancel_btn").click(function(){
        dijit.registry.byId("mobile_confirm").hide();
        if(cancelback != undefined && typeof(cancelback) == 'function'){
            cancelback();
        }
        callback = null;
        cancelback = null;
    });
}

//function iconfirm(message,callback,cancelback) {
//    navigator.notification.confirm(message, function(button){
//        if( button==1 ) {
//            if (callback != undefined && typeof(callback) == "function") {
//                callback();
//            }
//        }else{
//            if(cancelback != undefined && typeof(cancelback) == "function"){
//                cancelback();
//            }
//        }
//    }, "系统提示", "确定,取消");
//}

function refresh() {
    if(backMethod.length > 0) {
        var submitUrl = getBackMethod();
        delBackMethod(1);
        (new Function(submitUrl))();
    }else {
        userCenter();
    }
}

//进入课程
function enterCourse(id, name,mode){
    dijit.registry.byId("underlay").show();
    var dojohead = new dojoHead();
    dojohead.label = name;
    getMHead(dojohead);

    courseId = id;
    courseName = name;
    courseMode = mode;
    initCourse(courseId,true);

    if(courseId != preCourseId) {
        //coursePreTime = new Date();
        preCourseId = courseId;
        //clearInterval(courseInt);
        //logCourseTime();
    }
}


function HTMLDecode(text) {
    var temp = document.createElement("div");
    temp.innerHTML = text;
    var output = temp.innerText || temp.textContent;
    temp = null;
    return output;
}
//初始化课程
function initCourse(id,loadUnitStatus,methodName){
    if(id==0)
    {
        if(loadUnitStatus)
            courseUnitList(id, courseName,courseMode);
        else if (methodName != undefined)
        {

            (new Function(methodName))();
        }
        return false;
    }

    var postParam = {"courseId": id};

    dijit.registry.byId("underlay").show();

    cordovaHTTP.post(hostUrl + '/enterCourse.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function (response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            if (response.status == 1) {
                var dojohead = new dojoHead();
                dojohead.label = response.datas.courseName;
                getMHead(dojohead);
                courseId = id;
                courseName = HTMLDecode(response.datas.courseName);
                courseRole = response.datas.role;

                if(response.datas.role == 0){ //管理
                    renderTemplate("teacher/leftMenu", response,
                        function (html) {
                            $("#imscroll").html(html);
                            dojo.parser.parse(document.getElementById("imscroll"));
                            //android
                            $("#imscroll").parent().parent().css("visibility","inherit");
                        }
                    );
                }else if(response.datas.role == 2){  //学生



                    cordovaHTTP.post(hostUrl + "/getColumnStatus.do", {"lid":id}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                        function(responsedata) {
                            responsedata = JSON.parse(responsedata.data);
                            if (responsedata.status == 0)
                            {
                                getPage(dojohead, "error", {"message": responsedata.message});
                            }
                            else if  (responsedata.status == 1){

                                renderTemplate("stuCourseLeftMenu", responsedata.datas,
                                    function (html) {
                                        $("#imscroll").html(html);
                                        dojo.parser.parse(document.getElementById("imscroll"));
                                        //android
                                        $("#imscroll").parent().parent().css("visibility","inherit");

                                    }
                                );
                            }
                        },
                        function() {
                            dijit.registry.byId("underlay").hide();
                            ialert("网络不给力，请检查网络重试");
                        });







                }else{  //访客
                    renderTemplate("guestCourseLeftMenu", "",
                        function (html) {
                            $("#imscroll").html(html);
                            dojo.parser.parse(document.getElementById("imscroll"));
                            //android
                            $("#imscroll").parent().parent().css("visibility","inherit");
                        }
                    );
                }
                if(loadUnitStatus)
                    courseUnitList(id, courseName,courseMode);
                else if (methodName != undefined)
                {
                    if(preColumnId!=0)
                    {
                        logColumnTime(0);
                    }
                    (new Function(methodName))();
                }
            } else if (response.status == -2) {
                var bMethod = "loadedCourse";
                if (backMethod.length > 0)
                    bMethod = backMethod[0];
                var data = {
                    "list": {"username": mySet.username, "autologon": mySet.autologon},
                    "hostName": hostName!=""?hostName:"学校设置",
                    "redirect": bMethod
                };
                ialert("登录超时，请重新登录");
                renderTemplate("logon", data,
                    function (html) {
                        $("#iscroll").html(html);
                        dojo.parser.parse(document.getElementById("iscroll"));
                        myScroll.refresh();
                        var dojohead = new dojoHead();
                        dojohead.label = "登录";
                        getHead(dojohead);
                    }
                );
            } else if (response.status == -3) {
                ialert(response.message);
            } else {
                if (response.error) {
                    getPage(dojohead, "error", {"error": response.error});
                } else {
                    getPage(dojohead, "error", {"error": "数据错误"});
                }
            }

        },
        function (type) {
            dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function getNowFormatDate() {
    var date = new Date();
    var seperator1 = "-";
    var seperator2 = ":";
    var month = date.getMonth() + 1;
    var strDate = date.getDate();
    var strHour = date.getHours();
    var strMinute = date.getMinutes();
    var strSecond = date.getSeconds();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
    if (strHour >= 0 && strHour <= 9) {
        strHour = "0" + strHour;
    }
    if (strMinute >= 0 && strMinute <= 9) {
        strMinute = "0" + strMinute;
    }
    if (strSecond >= 0 && strSecond <= 9) {
        strSecond = "0" + strSecond;
    }
    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
        + " " + strHour + seperator2 + strMinute
        + seperator2 + strSecond;
    return currentdate;
}

function drawCircle(canvasId, data_arr, color_arr, text_arr)
{
    var c = document.getElementById(canvasId);
    var ctx = c.getContext("2d");

    var radius = c.height / 2 - 20; //半径
    var ox = radius + 20, oy = radius + 20; //圆心

    var width = 30, height = 10; //图例宽和高
    var posX = ox * 2 + 20, posY = 30;   //
    var textX = posX + width + 5, textY = posY + 10;

    var startAngle = 0; //起始弧度
    var endAngle = 0;   //结束弧度
    for (var i = 0; i < data_arr.length; i++)
    {
        //绘制饼图
        endAngle = endAngle + data_arr[i] * Math.PI * 2; //结束弧度
        ctx.fillStyle = color_arr[i%6];
        ctx.beginPath();
        ctx.moveTo(ox, oy); //移动到到圆心
        ctx.arc(ox, oy, radius, startAngle, endAngle, false);
        ctx.closePath();
        ctx.fill();
        startAngle = endAngle; //设置起始弧度

        //绘制比例图及文字
        ctx.fillStyle = color_arr[i%6];
        ctx.fillRect(posX, posY + 20 * i, width, height);
        ctx.moveTo(posX, posY + 20 * i);
        ctx.font = 'normal 12px';    //斜体 30像素 微软雅黑字体
        ctx.fillStyle = color_arr[i%6]; //"#000000";
        var percent = text_arr[i] + "：" + 100 * data_arr[i] + "%";
        ctx.fillText(percent, textX, textY + 20 * i);
    }

}
// function HTMLDecode(text) {
//     var temp = document.createElement("div");
//     temp.innerHTML = text;
//     var output = temp.innerText || temp.textContent;
//     temp = null;
//     return  JSON.parse(output);
// }

//绑定内容与radio checkbox
function checkSelect(that){
    if($(that).find("input").prop("checked")){
        $(that).find("input").prop("checked",false)
    }else{
        $(that).find("input").prop("checked",true)
    }
}
function checkSelectPrev(that){
    if($(that).prev("input").prop("checked")){
        $(that).prev("input").prop("checked",false)
    }else{
        $(that).prev("input").prop("checked",true)
    }

}
function escape2Html(str) {
    var arrEntities={'lt':'<','gt':'>','nbsp':' ','amp':'&','quot':'"'};
    return str.replace(/&(lt|gt|nbsp|amp|quot);/ig,function(all,t){return arrEntities[t];});
}