function changeTeaMenu(t){
    renderTemplate("teacher/menu", t,
        function (html) {
            $("#ifoot").html(html);
            dojo.parser.parse(document.getElementById("ifoot"));
        }
    );
}


/**
 * 个人中心
 * */
function teaUserCenter() {
    clearBackMethod("teaUserCenter", "");
    if(hostUrl == "") {
        schoolList("teaUserCenter");
    }else {
        if (logonFlag) {
            var dojohead = new dojoHead();
            dojohead.label = "个人中心";
            //        dojohead.userCenter = true;
            var postParam = {"groupId": 0, "photoFileId": dojohead.photoFileId, "userRealName": dojohead.userRealName, "loginTimes": dojohead.loginTimes, "lastLoginDate": dojohead.lastLoginDate};
            getData('/tea/teaReminderList.do', postParam, dojohead, 'teacher/userCenter',postParam);

        } else {
            var data = {
                "list": {"username": mySet.username, "autologon": mySet.autologon},
                "hostName": hostName != "" ? hostName : "学校设置",
                "redirect": "userCenter"
            };
            renderTemplate("logon", data,
                function (html) {
                    $("#iscroll").html(html);
                    dojo.parser.parse(document.getElementById("iscroll"));
                    var dojohead = new dojoHead();
                    dojohead.label = "登录";
                    getHead(dojohead);
                }
            );
        }
    }
}

function teaTaskList() {
    var dojohead = new dojoHead();
    dojohead.label = "未完成任务列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaTaskList", "");
    getData('/tea/teaUnDoTaskList.do', null, dojohead, 'teacher/taskList');
}

/* 学习提醒*/
function teaNoticeList() {
    var dojohead = new dojoHead();
    dojohead.label = "通知公告";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaNoticeList", "");
    getData('/tea/teaUnreadCourseNoticeList.do', null, dojohead, 'teacher/teaNoticeList');
}

//调查问卷
function teaQueList() {
    var dojohead = new dojoHead();
    dojohead.label = "未参与问卷列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaQueList", "");
    getData('/tea/teaUncommitPaperList.do', null, dojohead, 'teacher/queList');
}

//作业
function teaWorkList() {
    var dojohead = new dojoHead();
    dojohead.label = "待批阅作业列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaWorkList", "");
    getData('/tea/teaUnCommentCourseHWList.do', null, dojohead, 'teacher/workList');
}



//选课学生
function teaCourseStuApplyList(){
    var dojohead = new dojoHead();
    dojohead.label = "选课学生申请";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaCourseStuApplyList", "");
    getData('/tea/teaUnDoCourseStuApplyList.do', null, dojohead, 'teacher/stuApplyList');
}


/**
 * 播课单元
 * */

//播课单元
function videoTeaBlogList() {
    var dojohead = new dojoHead();
    dojohead.label = "播课单元列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("videoTeaBlogList", "");
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId};
    getData('/tea/microLessonUnitList.do', postParam, dojohead, 'teacher/videoBlogList');
    pullSetParm('/tea/microLessonUnitList.do','bloglist','teacher/ajaxVideoBlogList');

}

function videoTeaBlogResList(id, resId) {
    if(document.getElementById("_videoAct")){
        document.getElementById("_videoAct").pause();
    }
    var dojohead = new dojoHead();
    dojohead.label = "播课单元";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("videoTeaBlogResList", getBackParam([id, resId]));
    dojohead.hasMenu = true;
    dojohead.hasVideoForum = true;
    var postParam = {"unitId": id, "resActId": resId};
    var lastParam = {"autoPlay": true};
    if(resId == 0) {
        lastParam = {"autoPlay": false};
    }
    videoStart=0;
    videoPause=0;
    getData('/tea/courseResActList.do', postParam, dojohead, 'teacher/videoBlogResList', lastParam);
}

function teaBlogForumList(forumId) {
    var param = {"courseId":courseId, forumId:forumId};
    cordovaHTTP.post(hostUrl + "/tea/forumThreadList.do", param, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
        function (response) {
            response = JSON.parse(response.data);
            if (response.status > 0) {
                var data = {
                    "comData": {"hostUrl": hostUrl, "userName": userName, "userRealName": userRealName, "courseId": courseId},
                    "list": response
                };
                clearBackForumMethod("teaBlogForumList", getBackParam([forumId]));
                renderTemplateNoScrollTop("teacher/blogForumList", data,
                    function (html) {
                        $("#blogforum").html(html);
                        dojo.parser.parse(document.getElementById("blogforum"));
                        myScroll.refresh();
                    }
                );
            }
        },
        function (type) {
            ialert("网络不给力，请检查网络重试");
        });
    pullSetParm('/tea/forumThreadList.do?forumId='+ forumId ,'threadlist','teacher/ajaxBlogForumList');
}

function teaBlogForumEssenceList(forumId) {
    var param = {"courseId":courseId, forumId:forumId,"taxon":2 };
    cordovaHTTP.post(hostUrl + "/tea/forumThreadList.do", param, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
        function (response) {
            response = JSON.parse(response.data);
            if (response.status > 0) {
                var data = {
                    "comData": {"hostUrl": hostUrl, "userName": userName, "userRealName": userRealName, "courseId": courseId},
                    "list": response
                };
                clearBackForumMethod("teaBlogForumEssenceList", getBackParam([forumId]));
                renderTemplateNoScrollTop("teacher/blogForumEssenceList", data,
                    function (html) {
                        $("#blogforum").html(html);
                        dojo.parser.parse(document.getElementById("blogforum"));
                        myScroll.refresh();
                    }
                );
            }
        },
        function (type) {
            ialert("网络不给力，请检查网络重试");
        });
    pullSetParm('/tea/forumThreadList.do?forumId='+ forumId +  '&taxon='+2,'threadlist','teacher/ajaxBlogForumEssenceList');
}

function viewTeaBlogForum(tid){
    var postParam = {"courseId":courseId,"threadId":tid};
    cordovaHTTP.post(hostUrl + "/tea/forumThreadView.do", postParam, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
        function (response) {
            response = JSON.parse(response.data);
            if (response.status > 0) {
                var data = {
                    "comData": {"hostUrl": hostUrl, "userName": userName, "userRealName": userRealName, "courseId": courseId},
                    "list": response
                };
                addBackForumMethod("viewTeaBlogForum", getBackParam([tid]));
                renderTemplateNoScrollTop("teacher/viewBlogForum", data,
                    function (html) {
                        $("#blogforum").html(html);
                        dojo.parser.parse(document.getElementById("blogforum"));
                        myScroll.refresh();
                    }
                );
            }
        },
        function (type) {
            ialert("网络不给力，请检查网络重试");
        });
    pullSetParm('/tea/forumThreadView.do?threadId='+ tid ,'forumReplyList','teacher/ajaxViewBlogForum');
}

function forumTeaAdd(forumId){
    $("#forumadd").show();
    var data = {"hostUrl": hostUrl,"courseId": courseId, "forumId": forumId}
    renderTemplateNoScrollTop("teacher/blogForumAdd", data,
        function (html) {
            $("#forumadd").html(html);
            dojo.parser.parse(document.getElementById("forumadd"));
        }
    );
}

function replyTeaBlogForum(parentId, subject){
    $("#forumadd").show();
    var data = {"hostUrl": hostUrl,"courseId": courseId, "parentId": parentId, "subject":subject};
    renderTemplateNoScrollTop("teacher/blogForumReply", data,
        function (html) {
            $("#forumadd").html(html);
            dojo.parser.parse(document.getElementById("forumadd"));
        }
    );
}


/**
 * 课程通知
 * */

function getTeaCourseNoticeList(){
    var dojohead = new dojoHead();
    dojohead.label = "课程通知";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getTeaCourseNoticeList",  '');
    dojohead.hasMenu = true;
    var postParam = {"groupId":courseId, "noticeManagePerm":true };
    getData('/tea/courseNoticeList.do', postParam,dojohead, 'teacher/courseNoticeList', null);
    pullSetParm('/tea/courseNoticeList.do?groupId='+courseId,'noticeList','teacher/ajaxNoticeList');
}

function viewTeaCourseNotice(id,groupId){
    var dojohead = new dojoHead();
    dojohead.label = "通知公告";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTeaCourseNotice",  getBackParam([id,groupId]));
    dojohead.hasMenu = true;
    //alert(groupId);
    // if(groupId != undefined){
    //     courseId = groupId;
    //    initCourse(groupId);
    // }

    var postParam = {"id":id, "groupId": groupId};
    if(groupId == 0)
        getData('/tea/bulletinView.do', postParam,dojohead, 'courseNoticeView', null);
    else
        getData('/tea/courseNoticeView.do', postParam,dojohead, 'courseNoticeView', null);
}

function delCourseNotice(o,id){
    iconfirm("您确定要删除该课程通知么？",function(){
        var postParam = {"courseId": courseId, "id": id };
        cordovaHTTP.post(hostUrl + '/tea/courseNoticeDel.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function (response) {
                response = JSON.parse(response.data);
                if (response.status == 0) {
                    //alert(response.error);
                    if(o == undefined){
                        delBackMethod(1);
                        var submitUrl = getBackMethod();
                        (new Function(submitUrl))();
                    }else{
                        $(o).parents("li").remove();
                    }
                    //$("#thread" + tid).remove();
                } else {
                    ialert(response.message);
                }
            },
            function (type) {
                ialert("网络不给力，请检查网络重试");
            });
    });
}

function addCourseNotice(){
    var dojohead = new dojoHead();
    dojohead.label = "添加通知";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("addCourseNotice", '');
    dojohead.hasMenu = true;
    dojohead.hasForm = true;
    var data = {"lessid":courseId};
    getPage(dojohead, 'teacher/courseNoticeAdd', data);
}

function chkCourseNotice(o){
    if($.trim(o.subject.value) == "" || $.trim(o.content.value) == ""){
        ialert("标题或内容不能为空！");
        return false;
    }
    isFormSubmit = true;
    return true;
}

function searchCourseNotice(){
    if($.trim($("#subject").val())!= "") {
        var dojohead = new dojoHead();
        dojohead.label = "课程通知";
        dojohead.hasBack = true;
        dojohead.backUrl = getBackMethod();
        addBackMethod("searchCourseNotice", '');
        dojohead.hasMenu = true;
        var postParam = {"groupId": courseId, "title": $.trim($("#subject").val())};
        getData('/tea/courseNoticeList.do', postParam, dojohead, 'teacher/courseNoticeList', postParam);

        pullSetParm('/tea/courseNoticeList.do?groupId='+courseId + '&title='+  $.trim($("#subject").val()),'noticeList','teacher/ajaxNoticeList');
    }
}

/* 通知公告*/
function teaTopicList() {
    var dojohead = new dojoHead();
    dojohead.label = "通知公告";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaTopicList", "");
    var postParam = {"groupId": 0};
    getData('/tea/bulletinList.do', postParam, dojohead, 'teacher/teaTopicList');
}

function teaTopicContent(id, title, flag) {
    var dojohead = new dojoHead();
    dojohead.label = title;
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaTopicContent", getBackParam([id, title, flag]));
    var postParam = {"id": id};
    getData('/tea/bulletinView.do', postParam, dojohead, 'topicContent');
}



/*
 * 选课学生管理
 * */

function getCourseStuList(){
    var dojohead = new dojoHead();
    dojohead.label = "选课学生管理";
    dojohead.hasBack = true;
    dojohead.hasMenu = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getCourseStuList", "");
    var postParam = {"courseId": courseId};
    getData('/tea/courseStuList.do', postParam, dojohead, 'teacher/courseStuList');

    pullSetParm('/tea/courseStuList.do' ,'courseStuList','teacher/ajaxCourseStuList');

}

function delCourseStu(o,id){
    iconfirm("您确定要删除该选课学生么？",function(){
        var postParam = {"courseId": courseId, "id": id };
        cordovaHTTP.post(hostUrl + '/tea/delCourseStu.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function (response) {
                response = JSON.parse(response.data);
                if (response.status == 0) {
                    //alert(response.error);
                    if(o == undefined){
                        delBackMethod(1);
                        var submitUrl = getBackMethod();
                        (new Function(submitUrl))();
                    }else{
                        $(o).parents("li").remove();
                    }
                    //$("#thread" + tid).remove();
                } else {
                    ialert(response.message);
                }
            },
            function (type) {
                ialert("网络不给力，请检查网络重试");
            });
    });
}

function courseUserSearch(searchKey){
    var dojohead = new dojoHead();
    dojohead.label = "选课学生管理";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("courseUserSearch", getBackParam([searchKey]));
    dojohead.hasMenu = true;
    if($.trim(searchKey)!= ""){
        var postParam = {"courseId":courseId ,"name":$.trim(searchKey)};
        getData('/tea/courseStuList.do', postParam,dojohead, 'teacher/courseStuList', postParam);
    }else{
        ialert("请输入学号或姓名！");
    }
}


function viewStuStudyRecord(id){
    var dojohead = new dojoHead();
    dojohead.label = "课程学习记录";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewStuStudyRecord", getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"courseId":courseId,"stuId":id};
    getData('/tea/viewStuStudyRecord.do', postParam,dojohead, 'teacher/viewStuStudyRecord', postParam);
}
/*
 * 选课学生申请
 * */
function getCourseStuApplyList(){
    var dojohead = new dojoHead();
    dojohead.label = "选课申请管理";
    dojohead.hasBack = true;
    dojohead.hasMenu = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getCourseStuApplyList", "");
    var postParam = {"courseId": courseId};
    getData('/tea/courseStuApplyList.do', postParam, dojohead, 'teacher/courseStuApplyList');
}

function confirmCourseStuApply(o,id){
    var postParam = {"courseId": courseId, "id": id };
    cordovaHTTP.post(hostUrl + '/tea/confirmCourseStuApply.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function (response) {
            response = JSON.parse(response.data);
            if (response.status == 0) {
                //alert(response.error);
                if(o == undefined){
                    delBackMethod(1);
                    var submitUrl = getBackMethod();
                    (new Function(submitUrl))();
                }else{
                    ialert("批准成功！");
                    $(o).parents("li").remove();
                }
                //$("#thread" + tid).remove();
            } else {
                ialert(response.message);
            }
        },
        function (type) {
            ialert("网络不给力，请检查网络重试");
        });
}

function cancleCourseStuApply(o,id){
    iconfirm("您确定要取消学生选课申请么？",function(){
        var postParam = {"courseId": courseId, "id": id };
        cordovaHTTP.post(hostUrl + '/tea/cancleCourseStuApply.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function (response) {
                response = JSON.parse(response.data);
                if (response.status == 0) {
                    //alert(response.error);
                    if(o == undefined){
                        delBackMethod(1);
                        var submitUrl = getBackMethod();
                        (new Function(submitUrl))();
                    }else{
                        $(o).parents("li").remove();
                    }
                    //$("#thread" + tid).remove();
                } else {
                    ialert(response.message);
                }
            },
            function (type) {
                ialert("网络不给力，请检查网络重试");
            });
    });
}


function saveTeacherInfo(){
    dijit.registry.byId("underlay").show();
    var data = {};
    data["mail"] = encodeURI($("input[name='mail']").val());
    var postFiles = [];
    if(document.getElementById("_photo").src.indexOf("http")<0 && document.getElementById("_photo").src.indexOf("style")<0) {
        postFiles[0] = {"fileUrl": document.getElementById("_photo").src};
    }
    if(postFiles.length>0) {
        var options = new FileUploadOptions();
        options.fileKey = "postFiles";
        options.fileName = document.getElementById("_photo").src.substr(document.getElementById("_photo").src.lastIndexOf('/')+1);
        if(options.fileName.indexOf("?")>0)
            options.fileName =  options.fileName.substr(0, options.fileName.indexOf("?"));
        options.mimeType = "multipart/form-data";
        options.params = data;
        options.headers = {Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID};
        var ft = new FileTransfer();
        ft.upload(
            document.getElementById("_photo").src,
                hostUrl + "/tea/saveUserInfo.do",
            function(response){
                response = JSON.parse(response.response);
                dijit.registry.byId("underlay").hide();
                photoFileId = response.datas.fileId;
                delBackMethod(1);
                var submitUrl = getBackMethod();
                delBackMethod(1);
                (new Function(submitUrl))();
            },
            function(){
                dijit.registry.byId("underlay").hide();
                ialert("保存失败");
            },
            options
        );
    }else{
        cordovaHTTP.uploadFile(hostUrl + "/tea/saveUserInfo.do", data, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID}, postFiles, "postFiles",
            function () {
                dijit.registry.byId("underlay").hide();
                delBackMethod(1);
                var submitUrl = getBackMethod();
                delBackMethod(1);
                (new Function(submitUrl))();
            },
            function () {
                dijit.registry.byId("underlay").hide();
                ialert("保存失败");
            });
    }
}


/*课程导学 start*/
function getTeaCourseLearningList(){
    var dojohead = new dojoHead();
    dojohead.label = "课程导学";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getTeaCourseLearningList", '');
    dojohead.hasMenu = true;
    var postParam = { "courseId":courseId};
    getData('/getCourseGuide.do', postParam,dojohead, 'teacher/courseLearning', null);
}

function viewTeaCourseInfo(){
    var dojohead = new dojoHead();
    dojohead.label = "课程介绍";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTeaCourseInfo", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId":courseId,"viewtype":1 };
    getData('/tea/courseInfoView.do', postParam,dojohead, 'courseInfoView', null);
}

function viewTeaCourseSyllabus(){
    var dojohead = new dojoHead();
    dojohead.label = "教学大纲";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTeaCourseSyllabus", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId":courseId ,"viewtype":2 };
    getData('/tea/courseSyllabus.do', postParam,dojohead, 'courseSyllabus', null);
}

function viewTeaCourseCalendar(){
    var dojohead = new dojoHead();
    dojohead.label = "教学日历";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTeaCourseCalendar", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId":courseId,"viewtype":3  };
    getData('/tea/courseCalendar.do', postParam,dojohead, 'courseCalendar', null);

}

function viewTeacherInfo(){
    var dojohead = new dojoHead();
    dojohead.label = "教师信息";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTeacherInfo", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId":courseId };
    getData('/tea/viewLessionTeaInfo.do', postParam, dojohead,'teaInfoView', null);
}
/*课程导学 end*/



/*
 * 课程作业
 * */


function teaCourseHomeworkList(){
    var dojohead = new dojoHead();
    dojohead.label = "课程作业";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaCourseHomeworkList",  '');
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId};
    getData('/tea/homeworkList.do', postParam,dojohead, 'teacher/teaCourseHomeworkList', null);
}
function courseHwAnswerList(id,courseid){
    var dojohead = new dojoHead();
    dojohead.label = "已提交作业";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("courseHwAnswerList",  getBackParam([id,courseid]));
    dojohead.hasMenu = true;
    // if(courseid != undefined){
    //     courseId = courseid;
    //     initCourse(courseId);
    // }
    var postParam = {"htwId": id,"courseId":courseId};
    var lastParam = {"htwId": id};
    getData('/tea/hwAnswerList.do', postParam,dojohead, 'teacher/teaHwAnwerList', lastParam);
    pullSetParm('/tea/hwAnswerList.do?htwId='+id ,'hwAnwerList','teacher/ajaxHwAnwerList');
}

function courseHwUnAnswerList(id){
    var dojohead = new dojoHead();
    dojohead.label = "未批阅作业";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("courseHwUnAnswerList",  getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"htwId": id,"courseId":courseId,"nullMark":1};
    var lastParam = {"htwId": id};
    getData('/tea/hwAnswerList.do', postParam,dojohead, 'teacher/teaHwUnAnwerList', lastParam);
    pullSetParm('/tea/hwAnswerList.do?htwId='+id+'&nullMark=1' ,'hwUnAnwerList','teacher/ajaxHwUnAnwerList');
}

function courseHwUnCommitStuList(id){
    var dojohead = new dojoHead();
    dojohead.label = "未提交作业";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("courseHwUnCommitStuList",  getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"htwId": id,"courseId":courseId,checkAll:false};
    var lastParam = {"htwId": id};
    getData('/tea/hwUnCommitStuList.do?checkAll=false', postParam,dojohead, 'teacher/teaHwUnCommitStuList', lastParam);
    pullSetParm('/tea/hwUnCommitStuList.do?htwId='+id +'&checkAll=false','teaHwUnCommitStuList','teacher/ajaxHwUnCommitStuList');
}

function viewTeaCourseHomework(id){
    var dojohead = new dojoHead();
    dojohead.label = "查看作业";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTeaCourseHomework",  getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"hwaId": id};
    getData('/tea/homeworkView.do', postParam,dojohead, 'teacher/courseHomeworkView', null);
}

function preCommentCourseHomework(id){
    var dojohead = new dojoHead();
    dojohead.label = "批阅作业";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("preCommentCourseHomework",  getBackParam([id]));
    dojohead.hasMenu = true;
    dojohead.hasForm = true;
    var postParam = {"hwaId": id};
    getData('/tea/homeworkPreComment.do', postParam,dojohead, 'teacher/courseHomeworkPreComment', null);
}

function chkHwComment(o){
    var v = $.trim(o.mark.value);
    if(v== ""){
        if($("input[name='mark']:checked").val() == ""){
            ialert("成绩不能为空！");
            return false;
        }
    }else if(!(parseInt(v)>0 && parseInt(v)<= parseInt($("#fullScore").html()))){
        ialert("请填写有效成绩");
        return false;
    }
    isFormSubmit = true;
    return true;
}


function allCheck(o,name,hwId){
    $("input[name='"+name+"']").each(function(){
        this.checked = o.checked;
        $(this).attr("aria-checked", o.checked);
        if(o.checked) {
            $(this).addClass("mblCheckBoxChecked");
            _pageUrl= '/tea/hwUnCommitStuList.do?htwId='+hwId+'&checkAll=true';
        }else{
            $(this).removeClass("mblCheckBoxChecked");
            _pageUrl= '/tea/hwUnCommitStuList.do?htwId='+hwId+'&checkAll=false';
        }
    });
}

function chkSendMailCommitHw(hwId,allCheckId){
    var isAllCheck=false;
    isAllCheck=$('#allcheck').is(':checked');
    if( $("input[name='stuId']:checked").size() == 0){
        isAllCheck=true;
    }
    var stuIdStr = "" ;
    if(!isAllCheck){
        $("input[name='stuId']:checked").each(function(){
            stuIdStr = stuIdStr + "stuId="+this.value+"&";
        });
    }


    iconfirm("确认发送邮件提醒么？",function(){
        var postParam = {"hwId": hwId,"isAllCheck":isAllCheck};
        cordovaHTTP.post(hostUrl + '/tea/sendMailReminderCommitHW.do?' + stuIdStr, postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function (response) {
                response = JSON.parse(response.data);
                ialert(response.message);
            },
            function (type) {
                ialert("网络不给力，请检查网络重试");
            });
    });

}

/**
 * 调查问卷
 *
 * */

function getTeaCourseSurveyList(){
    var dojohead = new dojoHead();
    dojohead.label = "调查问卷";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getTeaCourseSurveyList", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId};
    getData('/tea/surveyPaperList.do', postParam,dojohead, 'teacher/courseSurveyList', postParam);
}

/**
 * 教师端参与投票
 * @param id
 * @param votepid
 * @param votepidIsJoin
 */
function preTeaSurveyVoteDo(id, votepid,votepidIsJoin){
    var dojohead = new dojoHead();
    dojohead.label = "参与投票";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("preTeaSurveyVoteDo",  getBackParam([id, votepid]));
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId,"paperId":id, "problemId": votepid,"joinStatus":votepidIsJoin};
    getData('/tea/preSurveyVoteDo.do', postParam,dojohead, 'teacher/courseSurveyVoteDo', postParam);
}
function preTeaSurveyPaperInfo(id){
    var dojohead = new dojoHead();
    dojohead.label = "问卷信息";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("preTeaSurveyPaperInfo",  getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId,"paperId":id};
    getData('/tea/preSurveyPaperInfo.do', postParam,dojohead, 'teacher/courseSurveyInfo', postParam);
}


function preTeaSurveyPaperDo(id,courseid){
    var dojohead = new dojoHead();
    dojohead.label = "参与问卷";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("preTeaSurveyPaperDo",  getBackParam([id]));
    dojohead.hasMenu = true;
    // if(courseid != undefined){
    //     courseId = courseid;
    //     initCourse(courseId);
    // }
    var postParam = {"courseId": courseId,"paperId":id};
    getData('/tea/preSurveyPaperDo.do', postParam,dojohead, 'courseSurveyPartake', postParam);
}

function viewTeaSurveyPaper(id,userid){
    var dojohead = new dojoHead();
    dojohead.label = "查看问卷";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTeaSurveyPaper",  getBackParam([id,userid]));
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId,"paperId":id,"userid":userid};
    getData('/tea/viewSurveyPaper.do', postParam,dojohead, 'courseSurveyView', postParam);
}
function viewAreaAnswer(userid,problemId,answerId){
    var dojohead = new dojoHead();
    dojohead.label = "结果统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewAreaAnswer",  getBackParam([userid,problemId,answerId]));
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId,"problemId":problemId,"userid":userid,"answerId":answerId};
    getData('/tea/viewAreaAnswer.do', postParam,dojohead, 'teacher/courseSurveyAreaView', postParam);
}


function getTeaCourseSurveyManageList(){
    var dojohead = new dojoHead();
    dojohead.label = "问卷管理";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getTeaCourseSurveyManageList", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId};
    getData('/tea/surveyPaperManageList.do', postParam,dojohead, 'teacher/courseSurveyManageList', postParam);
}

function viewPaperAnswerStatInfo(id){
    var dojohead = new dojoHead();
    dojohead.label = "结果统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewPaperAnswerStatInfo",getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId,"paperId":id};
    getData('/tea/viewPaperAnswerStatInfo.do', postParam,dojohead, 'teacher/courseSurveyAnswerStatView',postParam);
}


function changePaperStatus(id,e){
    var postParam = {"courseId": courseId,"paperId":id};
    cordovaHTTP.post(hostUrl + "/tea/changePaperStatus.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
           if(response.datas.punlishStatus==1){
               ialert("问卷已发布");
               $(e).html("已发布");
           }
            else {
               ialert("问卷未发布");
               $(e).html("未发布");
           }

        },
        function() {
            dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}
function setPaperVote(id){
    var dojohead = new dojoHead();
    dojohead.label = "设置投票";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("setPaperVote",getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId,"paperId":id};
    getData('/tea/setPaperVote.do', postParam,dojohead, 'teacher/courseSurveySetVote',postParam);
}
function viewPaperAnswerList(id){
    var dojohead = new dojoHead();
    dojohead.label = "问卷详情";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewPaperAnswerList", getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId,"paperId":id};
    getData('/tea/surveyPaperAnswerList.do', postParam,dojohead, 'teacher/courseSurveyAnswerList',postParam);
}

function viewPaperAnswerCommentList(paperId,problemId){
    var dojohead = new dojoHead();
    dojohead.label = "查看问卷";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewPaperAnswerCommentList", getBackParam([paperId,problemId]));
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId,"paperId":paperId,"problemId":problemId};
    getData('/tea/surveyPaperAnswerCommentList.do', postParam,dojohead, 'teacher/courseSurveyAnswerCommentList',postParam);

    pullSetParm('/tea/surveyPaperAnswerCommentList.do?paperId='+paperId+"&problemId="+problemId,'answerCommentList','teacher/ajaxCourseSurveyAnswerCommentList');
}

function setVote(paperId, problemId){
    var postParam = {"courseId": courseId,"paperId":paperId,"problemId":problemId};
    cordovaHTTP.post(hostUrl + "/tea/surveySetVote.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();

            ialert(response.message);
            var submitUrl = getBackMethod();
            delBackMethod(1);
            (new Function(submitUrl))();
        },
        function() {
            dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function viewVote(paperId, problemId,type) {
    if (type == 4)
    {
        var dojohead = new dojoHead();
        dojohead.label = "结果统计";
        dojohead.hasBack = true;
        dojohead.backUrl = getBackMethod();
        addBackMethod("viewVote",getBackParam([paperId, problemId,type]));
        dojohead.hasMenu = true;
        var postParam = {"courseId": courseId,"paperId":paperId,"problemId":problemId};
        getData('/tea/surveyPaperAnswerCommentList.do', postParam,dojohead, 'teacher/courseSurveyAnswerCommentList',postParam);
        pullSetParm('/tea/surveyPaperAnswerCommentList.do?paperId='+paperId+"&problemId="+problemId,'answerCommentList','teacher/ajaxCourseSurveyAnswerCommentList');
    }
    else{
        var dojohead = new dojoHead();
        dojohead.label = "结果统计";
        dojohead.hasBack = true;
        dojohead.backUrl = getBackMethod();
        addBackMethod("viewVote",getBackParam([paperId, problemId]));
        dojohead.hasMenu = true;
        var postParam = {"courseId": courseId,"paperId":paperId,"problemId":problemId};
        getData('/tea/viewVote.do', postParam,dojohead, 'teacher/courseVoteView',postParam);
    }

}

/**
 * 在线测试
 * */
function teaCourseTestList(){
    var dojohead = new dojoHead();
    dojohead.label = "在线测试";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaCourseTestList", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId};
    getData('/tea/testList.do', postParam,dojohead, 'teacher/courseTestList', null);
}


function teaCourseTestView(id){
    var dojohead = new dojoHead();
    dojohead.label = "查看结果";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaCourseTestView", getBackParam([id]));
    dojohead.hasMenu = true;
    var postParam = {"testId": id,"answerStu":"1"};
    getData('/tea/testAnswerStuList.do', postParam,dojohead, 'teacher/testAnswerStuList', null);

    pullSetParm('/tea/testAnswerStuList.do?testId='+id+'&answerStu=1','testStuList','teacher/ajaxTestAnswerStuList');
}

function teaCourseTestAnserStuView(testId,userId){
    var dojohead = new dojoHead();
    dojohead.label = "查看结果";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaCourseTestAnserStuView", getBackParam([testId,userId]));
    dojohead.hasMenu = true;
    var postParam = {"testId": testId,"userId":userId};
    getData('/tea/testAnswerStuList.do', postParam,dojohead, 'teacher/testAnswerStuView', null);
}

function teaTestAnswerView(tid,aid){
    var dojohead = new dojoHead();
    dojohead.label = "查看结果";
    dojohead.hasBack = true;
    dojohead.hasClassRoom=true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("teaTestAnswerView", getBackParam([tid,aid]));
    // dojohead.hasMenu = true;
    var postParam = {"testId": tid,"answerId":aid};
    getData('/tea/testAnswerView.do', postParam,dojohead, 'courseTestView', null);
}


/*答疑讨论*/
function getTeaCourseDiscussionList(){
    var dojohead = new dojoHead();
    dojohead.label = "答疑讨论";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getTeaCourseDiscussionList", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId":courseId };
    getData('/tea/forumThreadList.do', postParam,dojohead, 'teacher/courseDiscussionList', postParam);
    pullSetParm('/tea/forumThreadList.do','threadlist','teacher/ajaxDiscussionList');
}

function getTeaCourseDiscussionEssenceList(){
    var dojohead = new dojoHead();
    dojohead.label = "答疑讨论";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getTeaCourseDiscussionEssenceList", '');
    dojohead.hasMenu = true;
    var postParam = {"courseId":courseId,"taxon":2 };
    getData('/tea/forumThreadList.do', postParam, dojohead, 'teacher/courseDiscussionEssenceList', postParam);
    pullSetParm('/tea/forumThreadList.do?taxon=2','threadlist','teacher/ajaxDiscussionList');
}

function viewTeaDiscussion(tid){
    var dojohead = new dojoHead();
    dojohead.label = "查看话题";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTeaDiscussion", getBackParam([tid]));
    dojohead.hasMenu = true;
    var postParam = {"courseId":courseId,"threadId":tid};
    getData('/tea/forumThreadView.do', postParam,dojohead, 'teacher/courseDiscussionDetails', postParam);
    pullSetParm('/tea/forumThreadView.do?threadId='+tid,'forumReplyList','teacher/ajaxDiscussionArticleList');
}


function delTeaForumThread(o,tid) {
    iconfirm("您确定要删除么？",function(){
        var postParam = {"courseId": courseId, "threadId": tid };
        cordovaHTTP.post(hostUrl + '/tea/forumThreadDel.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function (response) {
                response = JSON.parse(response.data);
                if (response.status == 0) {
                    //alert(response.error);
                    if(o == undefined){
                        delBackMethod(1);
                        var submitUrl = getBackMethod();
                        (new Function(submitUrl))();
                    }else{
                        $(o).parents("li").remove();
                    }
                    //$("#thread" + tid).remove();
                } else {
                    ialert(response.message);
                }
            },
            function (type) {
                ialert("网络不给力，请检查网络重试");
            });
    });
}

function supportTeaForumThread(tid){
    var postParam = {"courseId":courseId,"threadId":tid };
    cordovaHTTP.post(hostUrl + '/tea/forumThreadSupportAdd.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response){
            response = JSON.parse(response.data);
            if(response.status == 1){
                //alert(response.error);
                ialert("点赞成功！");
                $("#support"+tid).html(parseInt($("#support"+tid).html())+1);
            }else{
                ialert(response.message);
            }
        },
        function(type){
            ialert("网络不给力，请检查网络重试");
        });
}


function addTeaForumThread(fid){
    var dojohead = new dojoHead();
    dojohead.label = "添加话题";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("addTeaForumThread", getBackParam([fid]));
    dojohead.hasMenu = true;
    dojohead.hasForm = true;
    var data = {"courseId":courseId,"forumId": fid};
    getPage(dojohead, 'teacher/courseDiscussionAdd', data);

}


function searchTeaForumThread(title){
    if($.trim(title)!= "") {
        var dojohead = new dojoHead();
        dojohead.label = "答疑讨论";
        dojohead.hasBack = true;
        dojohead.backUrl = getBackMethod();
        addBackMethod("searchTeaForumThread",getBackParam([title]));
        dojohead.hasMenu = true;
        var postParam = {"courseId": courseId, "subject": encodeURI($.trim(title))};
        getData('/tea/forumThreadList.do', postParam, dojohead, 'teacher/courseDiscussionList', postParam);
        pullSetParm('/tea/forumThreadList.do?subject='+ encodeURI($.trim(title)) ,'threadlist','teacher/ajaxDiscussionList');
    }
}

function replyTeaForumArticle(){
    var aid,subject;
    if(arguments.length == 0){
        hideDiscussionMenu();
        aid = forumArticleId;
        subject = $("#fat"+aid).text();
        subject = $("#fatun"+aid).text() + " " + subject;
    }else{
        aid = arguments[0];
        subject = arguments[1];
    }
    var dojohead = new dojoHead();
    dojohead.label = "回复话题";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("replyTeaForumArticle", getBackParam([aid,subject]));
    dojohead.hasMenu = true;
    dojohead.hasForm = true;
    var data = {"courseId":courseId,"parentId": aid,"subject":subject};
    getPage(dojohead, 'teacher/courseDiscussionThreadReply', data);
}

function delTeaForumArticle(){
    hideTeaDiscussionMenu();
    iconfirm("您确定要删除么？",function(){
        var aid = forumArticleId;
        var postParam = {"courseId":courseId,"articleId":aid };
        cordovaHTTP.post(hostUrl + '/tea/forumArticleDel.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function(response){
                response = JSON.parse(response.data);
                if(response.status == 0){
                    $("#fa"+aid).parents("li").remove();
                }else{
                    ialert(response.message);
                }
            },
            function(type){
                ialert("网络不给力，请检查网络重试");
            });
    });
}

function showTeaDiscussionMenu(aid,delStatus){
    forumArticleId = aid;
    if(!delStatus){
        $("#discussionTeaMenu li").eq(0).hide();
    }
    $("#discussionMenuWrap").show();
    $("#discussionTeaMenu").show();
}

function hideTeaDiscussionMenu(){
    $("#discussionTeaMenu").hide();
    $("#discussionMenuWrap").hide();
    $("#discussionTeaMenu li").show();
}



/*答疑讨论 end*/

function getTeaStatList(){
    var dojohead = new dojoHead();
    dojohead.label = "学习统计分析";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("getTeaStatList", '');
    dojohead.hasMenu = true;
    var data = {"head":"学习统计分析","data": {}};
    getPage(dojohead, 'teacher/statList', data);
}
