//学校选择列表
function schoolList(redirect) {
    var dojohead = new dojoHead();
    if(hostName != "") {
        dojohead.label = hostName;
        dojohead.hasBack = true;
        dojohead.backUrl = getBackMethod();
        addBackMethod("schoolList", getBackParam([redirect]));
    }
    else
        dojohead.label = "所在学校";
    if(getNetState() != "None" && getNetState() != "Unknown") {
        dijit.registry.byId("underlay").show();
        getHead(dojohead);
        cordovaHTTP.post(serverUrl + "/schoolList.do", {searchKey:""}, { Authorization: "OAuth2: token" },
            function(response) {
                response = JSON.parse(response.data);
                dijit.registry.byId("underlay").hide();
                var data = {
                    "comData": {"hostName": hostName, "redirect": redirect, searchKey:""},
                    "list": response
                };
                renderTemplate("schoolList", data,
                    function (html) {
                        $("#iscroll").html(html);
                        dojo.parser.parse(document.getElementById("iscroll"));
                        myScroll.refresh();
                    }
                );
            },
            function(response) {
                dijit.registry.byId("underlay").hide();
                getPage(dojohead, "error", {"error": "网络不给力，请检查网络重试"});
            });
    }else {
        getPage(dojohead, "error", {"error": "请处在网络状态下进行选择"});
    }
}
function findpasswd(username,email){
    if(username==""||email=="")
    {
        ialert("用户名或邮箱不能为空！");
        return false;
    }
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/sendemail.do", {"username": username,"email":email,"hosturl":hostUrl}, { Authorization: "OAuth2: token" },
        function (response) {
            dijit.registry.byId("underlay").hide();
            response = JSON.parse(response.data);
            if (response.status == 0)
                ialert(response.message);
            else if  (response.status == 1){


                ialert("发送成功，请注意查收！");
            }


        },
        function(response) {
            dijit.registry.byId("underlay").hide();
            getPage(dojohead, "error", {"error": "网络不给力，请检查网络重试"});
        });
}
function findPassword(){

    renderTemplate("findpasswd", null,
        function (html) {
            $("#iscroll").html(html);
            dojo.parser.parse(document.getElementById("iscroll"));
            myScroll.refresh();
            var dojohead = new dojoHead();
            dojohead.backUrl="courseList()";
                dojohead.hasBack=true;
            dojohead.label = "找回密码";
            getHead(dojohead);
        }
    );
}
function schoolSearch(searchKey, redirect) {
    if (searchKey == "") {
        ialert("请输入搜索条件");
        return;
    } else {
        var dojohead = new dojoHead();
        if(hostName != "") {
            dojohead.label = hostName;
            dojohead.hasBack = true;
            dojohead.backUrl = getBackMethod();
            addBackMethod("schoolSearch", getBackParam([searchKey, redirect]));
        }
        else
            dojohead.label = "所在学校";
        if(getNetState() != "None" && getNetState() != "Unknown") {
            dijit.registry.byId("underlay").show();
            getHead(dojohead);
            cordovaHTTP.post(serverUrl + "/schoolList.do", {"searchKey": searchKey}, { Authorization: "OAuth2: token" },
                function(response) {
                    response = JSON.parse(response.data);
                    dijit.registry.byId("underlay").hide();
                    var data = {
                        "comData": {"hostName": hostName, "redirect": redirect, "searchKey": searchKey},
                        "list": response
                    };
                    renderTemplate("schoolList", data,
                        function (html) {
                            $("#iscroll").html(html);
                            dojo.parser.parse(document.getElementById("iscroll"));
                            myScroll.refresh();
                        }
                    );
                },
                function(response) {
                    dijit.registry.byId("underlay").hide();
                    getPage(dojohead, "error", {"error": "网络不给力，请检查网络重试"});
                });
        }else {
            getPage(dojohead, "error", {"error": "请处在网络状态下进行选择"});
        }
    }
}

function selectSchool(code, name, url,passType, redirect) {
    iconfirm("选择学校："+name, function(){
        hostCode = code;
        hostName = name;
        hostUrl = url;
        setChange("host",{"code": code, "name": name, "url": url,"transcode":passType});
        cordovaHTTP.post(serverUrl + "/hostChange.do", {"uuid": device.uuid, "hostCode": code}, { Authorization: "OAuth2: token"},
            function() {},
            function() {});
        if(mySet.autologon)
            logon(mySet.username, mySet.password, redirect);
        else{

            (new Function(redirect + "()"))();
        }
    });
}

/* 资源中心*/

function resourceCenter(){

    clearBackMethod("resourceCenter", "");
    if(document.getElementById("_videoAct")){
        document.getElementById("_videoAct").pause();
    }

    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/res/resStatInfo.do", {}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            if(response.status == 0){
                loadedCourse();
            }else{
                var data = {list:response};
                renderTemplate("resourceCenter", data,
                    function(html) {
                        $("#iscroll").html(html);
                        dojo.parser.parse(document.getElementById("iscroll"));
                        myScroll.refresh();
                        var dojohead = new dojoHead();
                        dojohead.label = "资源中心";
                        dojohead.hasSearch = true;
                        getHead(dojohead);
                    }
                );
            }
        },
        function(type) {
            dijit.registry.byId("underlay").hide();
            loadedCourse();
        });
}

function resourceList(type, title){
    if(title == null || title == "undefined")
        title = "";
    var dojohead = new dojoHead();
    dojohead.label = "资源列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("resourceList", getBackParam([type, title]));
    dojohead.hasSearch = true;
    var postParam = {"resType": type, "title": encodeURI(title)};
    getData('/res/searchResList.do', postParam, dojohead, 'resourceList');
    pullSetParm('/res/searchResList.do?resType='+type+"&title="+encodeURI(title),'resourceList','ajaxResourceList');
}

function searchAct(){
    var dojohead = new dojoHead();
    dojohead.label = "资源中心";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("searchAct", "");
    getHead(dojohead);
    renderTemplate("searchResource", null,
        function(html) {
            $("#iscroll").html(html);
            dojo.parser.parse(document.getElementById("iscroll"));
            myScroll.refresh();
        }
    );
}

function resourceDetail(id, title){
    var dojohead = new dojoHead();
    dojohead.label = title;
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("resourceDetail", getBackParam([id, title]));
    dojohead.hasSearch = true;
    var postParam = {"id": id};
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/res/viewRes.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            var template = "resourceDetail";
            if(response.datas&&response.datas.fileType) {
                if (response.datas.fileType == 1) {
                    getPage(dojohead, "error", {"message": "移动端暂不支持该资源，请前往PC端查看！"});
                } else if (response.datas.fileType == 2) {
                    if (response.datas.fileId)
                        template = "resourceDetaila";
                    else
                        template = "resourceDetailb";
                } else if (response.datas.fileType == 3) {
                    delBackMethod(1);
                    window.open(response.datas.path, "_system");
                } else if (response.datas.fileType == 4) {
                    if (response.datas.fileId){
                        if(response.datas.path){
                            template = "resourceDetailc";
                        }else{
                            getPage(dojohead, "error", {"message": "该视频未找到，不能浏览"});
                        }
                    }
                    else
                        template = "resourceDetaild";
                } else if (response.datas.fileType == 5) {
                    if (response.datas.fileId)
                        template = "resourceDetaile";
                    else
                        template = "resourceDetailf";
                } else if (response.datas.fileType == 6) {
                    template = "resourceDetailg";
                } else if (response.datas.fileType == 7) {
                    delBackMethod(1);
                    window.open(response.datas.path, "_system");
                }
                if(template != "resourceDetail") {
                    var data = {"hostUrl": hostUrl, list: response};
                    renderTemplate(template, data,
                        function (html) {
                            $("#iscroll").html(html);
                            dojo.parser.parse(document.getElementById("iscroll"));
                            myScroll.refresh();
                            getHead(dojohead);
                        }
                    );
                }
            }else{
                getPage(dojohead, "error", {"error": "数据错误"});
            }
        },
        function(type) {
            dijit.registry.byId("underlay").hide();
            getPage(dojohead, "error", {"error": "网络不给力，请检查网络重试"});
        });
}



function loadedCourse() {
    if(document.getElementById("_videoAct")){
        document.getElementById("_videoAct").pause();
    }
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0,
        function(fileSystem) {
            fileSystem.root.getDirectory(mySet.dir + "/loaded", {create: true, exclusive: false},
                function(dirEntry) {
                    var dirReader = dirEntry.createReader();
                    dirReader.readEntries(
                        function(entries) {
                            var data = {"list": entries};
                            renderTemplate("loadedCourse", data,
                                function(html) {
                                    $("#iscroll").html(html);
                                    dojo.parser.parse(document.getElementById("iscroll"));
                                    myScroll.refresh();
                                    var dojohead = new dojoHead();
                                    dojohead.label = "已下载课程";
                                    clearBackMethod("loadedCourse","");
                                    getHead(dojohead);
                                }
                            );
                        },
                        function() {ialert("加载目录列表出现错误");}
                    );
                },
                function() {ialert("加载下载目录出现错误");}
            );
        },
        function() {ialert("加载文件系统出现错误");}
    );
}
//已下载资源
function loadedResource(course) {
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0,
        function(fileSystem) {
            fileSystem.root.getDirectory(mySet.dir + "/loaded/" + course, null,
                function(dirEntry) {
                    var dirReader = dirEntry.createReader();
                    dirReader.readEntries(
                        function(entries) {
                            var i = 0;
                            while(i < entries.length) {
                                if(entries[i].name.substring(entries[i].name.lastIndexOf(".tmp")) == ".tmp") {
                                    entries.splice(i, 1);
                                }else {
                                    i++;
                                }
                            }
                            var data = {"course": course, "list": entries};
                            renderTemplate("loadedResource", data,
                                function(html) {
                                    $("#iscroll").html(html);
                                    dojo.parser.parse(document.getElementById("iscroll"));
                                    myScroll.refresh();
                                    var dojohead = new dojoHead();
                                    dojohead.label = "已下载资源";
                                    dojohead.hasBack = true;
//                                    dojohead.backUrl = "loadedCourse()";
                                    dojohead.backUrl = getBackMethod();
                                    addBackMethod("loadedResource", getBackParam([course]));
                                    getHead(dojohead);
                                }
                            );
                        },
                        function() {ialert("加载文件列表出现错误");}
                    );
                },
                function() {ialert("加载课程目录出现错误");}
            );
        },
        function() {ialert("加载文件系统出现错误");}
    );
}

//删除已下载课程
function delCourse(course) {
    iconfirm("确定删除课程《" + course + "》下的所有资源么？",function(){
        window.requestFileSystem(LocalFileSystem.PERSISTENT, 0,
            function(fileSystem) {
                fileSystem.root.getDirectory(mySet.dir + "/loaded/" + course, null,
                    function(dirEntry) {
                        dirEntry.removeRecursively(
                            function() {loadedCourse();},
                            function() {ialert("删除目录出现错误");}
                        );
                    },
                    function() {ialert("加载课程目录出现错误");}
                );
            },
            function() {ialert("加载文件系统出现错误");}
        );
    });
}

//打开已下载资源
function openResource(course, resource) {
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0,
        function(fileSystem) {
            fileSystem.root.getFile(mySet.dir + "/loaded/" + course + "/" + resource, null,
                function(fileEntry) {
                    if(resource.lastIndexOf(".") > 0) {
                        onlineOpen(fileEntry.toURL());
                    }else {ialert("无法打开该文件");}
                },
                function() {ialert("加载课程资源出现错误");}
            );
        },
        function() {ialert("加载文件系统出现错误");}
    );
}

//删除已下载资源
function delResource(course, resource) {
    iconfirm("确定删除课程资源《" + course + "/" + resource + "》么？",function(){
        window.requestFileSystem(LocalFileSystem.PERSISTENT, 0,
            function(fileSystem){
                fileSystem.root.getFile(mySet.dir + "/loaded/" + course + "/" + resource, null,
                    function(fileEntry){
                        fileEntry.remove(
                            function() {delBackMethod(1);loadedResource(course);},
                            function() {ialert("删除资源出现错误");}
                        );
                    },
                    function(){ialert("加载课程资源出现错误");}
                );
            },
            function(){ialert("加载文件系统出现错误");}
        );
    });
}

/* 在学课程*/
function courseList() {
    clearBackMethod("courseList", "");

    if(hostUrl == ""){
        schoolList("courseList");
    }else {
        if (logonFlag) {
            var dojohead = new dojoHead();
            dojohead.label = "我的课程";
            dojohead.hasCourseSearch = true;
            getData('/courseList.do', null, dojohead, 'courseList');
        } else {
            var data = {
                "list": {"username": mySet.username, "autologon": mySet.autologon},
                "hostName": hostName!=""?hostName:"学校设置",
                "redirect": "courseList"
            };
            renderTemplate("logon", data,
                function (html) {
                    $("#iscroll").html(html);
                    dojo.parser.parse(document.getElementById("iscroll"));
                    myScroll.refresh();
                    var dojohead = new dojoHead();
                    dojohead.label = "登录";
                    getHead(dojohead);
                }
            );
        }
    }
}

//学习单元列表
function courseUnitList(id, name, mode) {
    if(preColumnId!=0)
    {
        logColumnTime(0);
    }
    var dojohead = new dojoHead();
    dojohead.label = name;
    dojohead.hasMenu = true;
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("courseUnitList", getBackParam([id, name, mode]));
    dojohead.courseId = id;
//    courseId = id;
//    courseName = name;
//    courseMode = mode;
//    getMHead(dojohead);
    var postParam = {"courseId": id, "mode": mode};
    var lastParam = {"id": id, "name": name};
    getData('/courseUnitList.do', postParam, dojohead, 'courseSectionList', lastParam);
}

//function unitColumnList(id, name, unitId, type) {
//    var dojohead = new dojoHead();
//    dojohead.label = name;
//    dojohead.hasBack = true;
//    dojohead.backUrl = getBackMethod();
//    addBackMethod("unitColumnList", getBackParam([id, name, unitId, type]));
//    dojohead.hasMenu = true;
//    var postParam = {"id": id};
//    var lastParam = {"id": id, "name": name, "unitId": unitId};
//    getData('/unitColumnList.do', postParam, dojohead, 'courseSectionColumnList', lastParam);
//}

//课程栏目列表
function unitColumnList(id, name) {
    var dojohead = new dojoHead();
    dojohead.label = name;
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("unitColumnList", getBackParam([id, name]));
    dojohead.hasMenu = true;
    var postParam = {"id": id};
    getData('/unitColumnList.do', postParam, dojohead, 'courseColumnList');
}

function unitFolderList(id, name) {
    var dojohead = new dojoHead();
    dojohead.label = name;
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("unitFolderList", getBackParam([id, name]));
    dojohead.hasMenu = true;
    var postParam = {"id": id};
    getData('/unitFolderList.do', postParam, dojohead, 'courseFolderList');
}

function gotoModule(funcName,funcParam){
    if (funcName != "none") {
        if (funcParam == "0")
            funcParam = "";
        var columnModuleMethod = funcName + "(" + funcParam + ")";
//        delBackMethod(1);
        (new Function(columnModuleMethod))();
    } else {
        ialert("移动端暂不支持，请PC端查看！");
    }
}

function courseResList(){
    var dojohead = new dojoHead();
    dojohead.label = "教学资源";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("courseResList", "");
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId};
    getData('/courseFolderList.do', postParam, dojohead, 'courseFolderList');
}

//文章内容
function articleDetail(id, name, type, unitId, fid, fname) {
    if(type == 1) {
        var postParam = {"id": id};
        postParam = $.extend({"context": courseId}, postParam);
        dijit.registry.byId("underlay").show();
        cordovaHTTP.post(hostUrl + "/articleDetail.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function(response) {
                cordovaHTTP.post(hostUrl + "/logResCount.do", {"courseId": courseId, "resId": id}, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
                    function () {
                    },
                    function () {
                    });
                response = JSON.parse(response.data);
                dijit.registry.byId("underlay").hide();
                if(response.datas && response.datas.subjectLink) {
                    if (response.datas.subjectLink.indexOf("/common/stream/player.jsp") == 0) {
                        dijit.registry.byId("underlay").show();
                        cordovaHTTP.post(hostUrl + response.datas.subjectLink, postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                            function (datas) {
                                datas = JSON.parse(datas.data);
                                dijit.registry.byId("underlay").hide();
                                if(datas.datas) {
                                    onlineOpen(datas.datas.videoUrl, name + ".mp4");
                                } else {
                                    ialert("数据错误");
                                }
                            },
                            function (type) {
                                dijit.registry.byId("underlay").hide();
                                ialert("网络不给力，请检查网络重试");
                            });
                    } else {
                        window.open(escape2Html(response.datas.subjectLink), "_system");
                    }
                } else {
                    ialert("数据错误");
                }
            },
            function(type) {
                dijit.registry.byId("underlay").hide();
                ialert("网络不给力，请检查网络重试");
            });
    }else {
        var dojohead = new dojoHead();
        dojohead.label = name;
        dojohead.hasBack = true;
        dojohead.backUrl = getBackMethod();
        addBackMethod("articleDetail", getBackParam([id, name, unitId, fid, fname]));
        dojohead.hasMenu = true;
        var postParam = {"id": id};
        getData('/articleDetail.do', postParam, dojohead, 'courseArticleDetail');
    }
}

//文件在线预览
function previewArticle(resid,subject) {
    var dojohead = new dojoHead();
    dojohead.label = "在线预览";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("previewArticle",getBackParam([resid,subject]));
    dojohead.hasMenu = true;
    var postParam = {"id":resid};
    getData('/filePreView.do',postParam,dojohead,'previewArticle',subject)
}


//function onShare(subject, type, url){
//    cordova.exec(
//        function(success) {ialert(success)},
//        function(error) {ialert(error)},
//        "Share", "share", [subject, courseName, type, url]);
//}
//
//function onTmpShare(url, id, name, type){
//    cordova.exec(
//        function(success) {ialert(success)},
//        function(error) {ialert(error)},
//        "Share", "share", [name, courseName, "link", url]);
//}

//function onTmpShare(url, id, name, type){
//    if (type.lastIndexOf(".") > 0)
//        type = type.substring(type.lastIndexOf("."));
//    else
//        type = "";
//    for (var i = 0; i < loadingFile.length; i++) {
//        if (loadingFile[i][0] == id) {
//            ialert(name + type + '正在下载');
//            return;
//        }
//    }
//    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fileSystem) {
//        fileSystem.root.getFile(mySet.dir + "/temp/" + name + id + type, null,
//            function (fileEntry) {
//                cordova.exec(
//                    function(success) {ialert(success)},
//                    function(error) {ialert(error)},
//                    "Share", "share", [name, courseName, "file", fileEntry.toURI()]);
//            },
//            function () {
//                tempDownload(fileSystem, url, id, name, type, "share");
//            });
//    });
//}

//分享
function onShare(name, url){
    cordova.exec(
        function(success) {ialert(success)},
        function(error) {ialert(error)},
        "SocialSharing", "share", [name, name, [], url]);
}

function onTmpShare(url, id, name, type){
    if (type.lastIndexOf(".") > 0)
        type = type.substring(type.lastIndexOf("."));
    else
        type = "";
    for (var i = 0; i < loadingFile.length; i++) {
        if (loadingFile[i][0] == id) {
            ialert(name + type + '正在下载');
            return;
        }
    }
    type=type.toLowerCase();
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fileSystem) {
        fileSystem.root.getFile(mySet.dir + "/temp/" + name + id + type, null,
            function (fileEntry) {
                cordova.exec(
                    function(success) {ialert(success)},
                    function(error) {ialert(error)},
                    "SocialSharing", "share", [name, name, [fileEntry.toURL()], null]);
            },
            function () {
                tempDownload(fileSystem, url, id, name, type, "share");
            });
    });
}

//本地文件打开
function onlineOpen(url) {

    if(url.lastIndexOf(".") > 0) {
        cordova.exec(function() {}, function() {ialert("文件错误或没有安装相关应用程序")}, 'DocumentHandler', 'HandleDocumentWithURL', [{"url": url}]);
    }else {
        ialert("文件错误");
    }
}

//在线文件打开
function onlineTmpOpen(url, id, name, type) {
    if (type.lastIndexOf(".") > 0)
        type = type.substring(type.lastIndexOf("."));
    else
        type = "";
    for (var i = 0; i < loadingFile.length; i++) {
        if (loadingFile[i][0] == id) {
            ialert(name + type + '正在下载');
            return;
        }
    }
    type=type.toLowerCase();
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fileSystem) {
        fileSystem.root.getFile(mySet.dir + "/temp/" + name + id + type, null,
            function (fileEntry) {
                iconfirm("确定打开已缓存文件，取消重新缓存打开",function(){
                    cordova.exec(function () {}, function () {ialert("文件错误或没有安装相关应用程序")}, 'DocumentHandler', 'HandleDocumentWithURL', [{"url": fileEntry.toURI()}]);
                },function(){
                    tempDownload(fileSystem, url, id, name, type, "open");
                });
            },
            function () {
                tempDownload(fileSystem, url, id, name, type, "open");
            });
    });
}

function tempDownload(fileSystem, url, id, name, type, flag) {
    fileSystem.root.getDirectory(mySet.dir + "/temp", {create: true, exclusive: false},
        function(){
            fileSystem.root.getFile(mySet.dir + "/temp/" + name + id + type, {create: true, exclusive: false},
                function (fileEntry) {
                    $('#_download' + id).show();
                    $('#process_info' + id).html("");
                    $('#_current' + id).width(0 + "%");
                    loadingFile[loadingFile.length] = [id, name, type, new FileTransfer()];
                    loadingFile[loadingFile.length - 1][3].download(encodeURI(url), fileEntry.toURL(),
                        function () {
                            doneLoading(id);
                            if (document.getElementById('_download' + id)) {
                                if(flag == "share")
                                    cordova.exec(
                                        function(success) {ialert(success)},
                                        function(error) {ialert(error)},
                                        "SocialSharing", "share", [name, name, [fileEntry.toURL()], null]);
                                if(flag == "open")
                                    cordova.exec(function () {}, function () {ialert("文件错误或没有安装相关应用程序")}, 'DocumentHandler', 'HandleDocumentWithURL', [{"url": fileEntry.toURI()}]);
                            }
                        },
                        function (error) {
                            doneLoading(id);
                            ialert(name + type + "下载失败");

                        });
                    loadingFile[loadingFile.length - 1][3].onprogress = function (progressEvent) {
                            if (progressEvent.lengthComputable) {
                                var loaded = progressEvent.loaded;
                                var total = progressEvent.total;
                                var percent = parseInt((loaded / total) * 100);
                                if (loaded == total) {
                                    loaded = (loaded / 1024 / 1024).toFixed(2);
                                    total = (total / 1024 / 1024).toFixed(2);
                                    $('#process_info' + id).html(loaded + 'M/' + total + "M");
                                    $('#_current' + id).width(percent + "%");
                                } else {
                                    loaded = (loaded / 1024 / 1024).toFixed(2);
                                    total = (total / 1024 / 1024).toFixed(2);
                                    if (document.getElementById('process_info' + id)) {
                                        if (document.getElementById('process_info' + id).innerText == "" || loaded > 1 * document.getElementById('process_info' + id).innerText.substring(0, document.getElementById('process_info' + id).innerText.indexOf("M/"))) {
                                            $('#process_info' + id).html(loaded + 'M/' + total + "M");
                                            $('#_current' + id).width(percent + "%");
                                        }
                                    }
                                }
                            }

                    };
                },function () {
                    ialert("创建文件失败");
                });
        }, function () {
            ialert("加载下载目录出现错误");
        });
}

function downloadFile(url, id, name, type) {
    if((getNetState() == "WiFi" && mySet.wifi )|| ((getNetState() == "2G" || getNetState() == "3G" || getNetState() == "4G"|| getNetState() == "cellular") && mySet.cell)){
        if (type.lastIndexOf(".") > 0)
            type = type.substring(type.lastIndexOf("."));
        else
            type = "";
        for (var i = 0; i < loadingFile.length; i++) {
            if (loadingFile[i][0] == id) {
                ialert(name + type + '正在下载');
                return;
            }
        }
        type=type.toLowerCase();
        window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fileSystem) {
            fileSystem.root.getFile(mySet.dir + "/loaded/" + courseName + "/" + name + type, null,
                function () {
                    iconfirm("是否覆盖已下载的" + name + type,function(){
                        doDownload(fileSystem, url, id, name, type);
                    });
                },
                function () {
                    doDownload(fileSystem, url, id, name, type);
                });
        });
    } else {
        ialert("当前网络状态不能进行下载");
    }
}

//下载文件
function doDownload(fileSystem, url, id, name, type) {
    fileSystem.root.getDirectory(mySet.dir + "/loaded", {create: true, exclusive: false},
        function(){
            fileSystem.root.getDirectory(mySet.dir + "/loaded/" + courseName, {create: true, exclusive: false},
                function() {
                    fileSystem.root.getFile(mySet.dir + "/loaded/" + courseName + "/" + name + type, {create: true, exclusive: false},
                        function (fileEntry) {
                            $('#_download' + id).show();
                            $('#process_info' + id).html("");
                            $('#_current' + id).width(0 + "%");
                            loadingFile[loadingFile.length] = [id, name, type, new FileTransfer()];
                            loadingFile[loadingFile.length - 1][3].download(encodeURI(url), fileEntry.toURL(),
                                function () {
                                    doneLoading(id);
                                    ialert(name + type + "下载成功");
                                },
                                function () {
                                    doneLoading(id);
                                    ialert(name + type + "下载失败");
                                });
                            loadingFile[loadingFile.length - 1][3].onprogress = function (progressEvent) {
                                if((getNetState() == "WiFi" && mySet.wifi )|| ((getNetState() == "2G" || getNetState() == "3G" || getNetState() == "4G"|| getNetState() == "cellular") && mySet.cell)){
                                    if (progressEvent.lengthComputable) {
                                        var loaded = progressEvent.loaded;
                                        var total = progressEvent.total;
                                        var percent = parseInt((loaded / total) * 100);
                                        if (loaded == total) {
                                            loaded = (loaded / 1024 / 1024).toFixed(2);
                                            total = (total / 1024 / 1024).toFixed(2);
                                            $('#process_info' + id).html(loaded + 'M/' + total + "M");
                                            $('#_current' + id).width(percent + "%");
                                        } else {
                                            loaded = (loaded / 1024 / 1024).toFixed(2);
                                            total = (total / 1024 / 1024).toFixed(2);
                                            if (document.getElementById('process_info' + id)) {
                                                if (document.getElementById('process_info' + id).innerText == "" || loaded > 1 * document.getElementById('process_info' + id).innerText.substring(0, document.getElementById('process_info' + id).innerText.indexOf("M/"))) {
                                                    $('#process_info' + id).html(loaded + 'M/' + total + "M");
                                                    $('#_current' + id).width(percent + "%");
                                                }
                                            }
                                        }
                                    }
                                } else {
                                    for (var i = 0; i < loadingFile.length; i++) {
                                        if (loadingFile[i][0] == id) {
                                            loadingFile[i][3].abort();
                                            loadingFile.splice(i, 1);
                                            $('#_download' + id).hide();
                                            break;
                                        }
                                    }
                                }
                            };
                        }, function () {
                            ialert("创建文件失败");
                        });
                }, function () {
                    ialert("加载下载目录出现错误");
                });
        }, function () {
            ialert("加载下载目录出现错误");
        });
}

//停止下载文件
function stopProcessing(id) {
    iconfirm("确认取消下载么？",function(){
        for(var i = 0; i < loadingFile.length; i++) {
            if(loadingFile[i][0] == id) {
                loadingFile[i][3].abort();
                loadingFile.splice(i, 1);
                $('#_download'+id).hide();
                break;
            }
        }
    });
}

//文件下载完成
function doneLoading(id) {
    for(var i = 0; i < loadingFile.length; i++) {
        if(loadingFile[i][0] == id) {
            loadingFile.splice(i, 1);
            $('#_download'+id).hide();
            break;
        }
    }
}

//博客单元
function videoBlogList() {
    var dojohead = new dojoHead();
    dojohead.label = "播课单元列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("videoBlogList", "");
    dojohead.hasMenu = true;
    var postParam = {"courseId": courseId};

    getData('/microLessonUnitList.do', postParam, dojohead, 'videoBlogList');
    pullSetParm('/microLessonUnitList.do','bloglist','ajaxVideoBlogList');

}

function videoBlogResList(id, resId,type) {
    var dojohead = new dojoHead();
    dojohead.label = "播课单元";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("videoBlogResList", getBackParam([id, resId,type]));
    dojohead.hasMenu = true;
    dojohead.hasVideoForum = true;
    var postParam = {"unitId": id, "resActId": resId};
    var lastParam = {"autoPlay": true};
    if(resId == 0) {
        lastParam = {"autoPlay": false};
    }
    videoStart=0;
    videoPause=0;
    getData('/courseResActList.do', postParam, dojohead, 'videoBlogResList', lastParam);
}

function blogForumList(forumId) {
    var postParam = {"courseId":courseId, forumId:forumId};
    cordovaHTTP.post(hostUrl + "/forumThreadList.do", postParam, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
        function (response) {
            response = JSON.parse(response.data);
            if (response.status > 0) {
                var data = {
                    "comData": {"hostUrl": hostUrl, "userName": userName, "userRealName": userRealName, "courseId": courseId},
                    "list": response
                };
                clearBackForumMethod("blogForumList", getBackParam([forumId]));
                renderTemplateNoScrollTop("blogForumList", data,
                    function (html) {
                        $("#blogforum").html(html);
                        dojo.parser.parse(document.getElementById("blogforum"));
                        myScroll.refresh();
                    }
                );
            }
        },
        function (type) {
            ialert("网络不给力，请检查网络重试");
        });
    pullSetParm('/forumThreadList.do?forumId='+ forumId ,'threadlist','ajaxBlogForumList');
}

function viewBlogForum(tid){
    var postParam = {"courseId":courseId,"threadId":tid};
    cordovaHTTP.post(hostUrl + "/forumThreadView.do", postParam, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
        function (response) {
            response = JSON.parse(response.data);
            if (response.status > 0) {
                var data = {
                    "comData": {"hostUrl": hostUrl, "userName": userName, "userRealName": userRealName, "courseId": courseId},
                    "list": response
                };
                addBackForumMethod("viewBlogForum", getBackParam([tid]));
                renderTemplateNoScrollTop("viewBlogForum", data,
                    function (html) {
                        $("#blogforum").html(html);
                        dojo.parser.parse(document.getElementById("blogforum"));
                        myScroll.refresh();
                    }
                );
            }
        },
        function (type) {
            ialert("网络不给力，请检查网络重试");
        });
    pullSetParm('/forumThreadView.do?threadId='+ tid ,'forumReplyList','ajaxViewBlogForum');
}

function replyBlogForum(parentId, subject){
    $("#forumadd").show();
    var data = {"hostUrl": hostUrl,"courseId": courseId, "parentId": parentId, "subject":subject};
    renderTemplateNoScrollTop("blogForumReply", data,
        function (html) {
            $("#forumadd").html(html);
            dojo.parser.parse(document.getElementById("forumadd"));
        }
    );
}

function blogForumEssenceList(forumId) {
    var param = {"courseId":courseId, forumId:forumId,"taxon":2 };
    cordovaHTTP.post(hostUrl + "/forumThreadList.do", param, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID},
        function (response) {
            response = JSON.parse(response.data);
            if (response.status > 0) {
                var data = {
                    "comData": {"hostUrl": hostUrl, "userName": userName, "userRealName": userRealName, "courseId": courseId},
                    "list": response
                };
                clearBackForumMethod("blogForumEssenceList", getBackParam([forumId]));
                renderTemplateNoScrollTop("blogForumEssenceList", data,
                    function (html) {
                        $("#blogforum").html(html);
                        dojo.parser.parse(document.getElementById("blogforum"));
                        myScroll.refresh();
                    }
                );
            }
        },
        function (type) {
            ialert("网络不给力，请检查网络重试");
        });
    pullSetParm('/forumThreadList.do?forumId='+ forumId +  '&taxon='+2,'threadlist','ajaxBlogForumEssenceList');
}

function forumAdd(forumId){
    $("#forumadd").show();
    var data = {"hostUrl": hostUrl,"courseId": courseId, "forumId": forumId}
    renderTemplateNoScrollTop("blogForumAdd", data,
        function (html) {
            $("#forumadd").html(html);
            dojo.parser.parse(document.getElementById("forumadd"));
        }
    );
}

function forumSubmit(){
    if(document.getElementById("audioSpace")){
        if(document.getElementById("audioSpace").src.indexOf("record_stop") > 0){
            mediaRec.stopRecord();
            recordStatus = 0;
            document.getElementById("audioSpace").src = "style/img/record_start.png";
            var predata = {"audio": true, "fullPath": mediaSrc};
            renderTemplateNoScrollTop("preFile", predata, function (html) {
                $("#preFile").html(html);
                dojo.parser.parse(document.getElementById("preFile"));
            });
        }
    }
    dijit.registry.byId("underlay").show();
    var data = {};
    if($.trim($("input[name='subject']").val()) != ""){
        data["subject"] = encodeURI($("input[name='subject']").val());
        data["content"] = encodeURI($("textarea[name='content']").val());
    }else{
        ialert("标题不能为空！");
        dijit.registry.byId("underlay").hide();
        return false;
    }
    if((document.getElementsByName("_photos") && document.getElementsByName("_photos").length > 0)||(document.getElementById("_camera") && document.getElementsByName("_camera").length > 0)||(document.getElementById("_audio") && document.getElementsByName("_audio").length > 0)||(document.getElementById("_video") && document.getElementsByName("_video").length > 0)) {

        var postFiles = [];
        var url = $("input[name='url']").val();
        var count=0;
        if(document.getElementsByName("_photos") && document.getElementsByName("_photos").length > 0)
        {
            for(var i = 0; i < document.getElementsByName("_photos").length; i++){
                postFiles[count] = {"fileUrl": document.getElementsByName("_photos")[i].src};
                count=count+1;
            }
        }
        if(document.getElementsByName("_camera") && document.getElementsByName("_camera").length > 0)
        {

            for(var i = 0; i < document.getElementsByName("_camera").length; i++){
                postFiles[count] = {"fileUrl": document.getElementsByName("_camera")[i].src};
                count=count+1;
            }
        }
        if(document.getElementsByName("_audio") && document.getElementsByName("_audio").length > 0)
        {
            data["fileType"] = "audio";
            //ANDROID
            postFiles[count] = {"fileUrl": mediaSrc};
            //IOS
            //postFiles[count] = {"fileUrl": document.getElementsByName("_audio") [0].src};
            count=count+1;
        }
        if(document.getElementsByName("_video") && document.getElementsByName("_video").length > 0)
        {
            data["fileVideo"] = "video";
            postFiles[count] = {"fileUrl": videopath};
        }

        cordovaHTTP.uploadFile(url, data, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID}, postFiles, "postFiles",
            function(e) {
                dijit.registry.byId("underlay").hide();
                response = JSON.parse(e.data);
                if(response.status==0||response.status=="0")
                {
                    ialert(response.message);
                    return ;
                }

                if($("input[name='formActType']").val() == "forumThreadAdd" || $("input[name='formActType']").val() == "forumThreadTeaAdd"){     //添加新话题
                    ialert("添加新话题成功");
                }else if($("input[name='formActType']").val() == "forumThreadReply" || $("input[name='formActType']").val() == "forumThreadTeaReply"){    //回复话题
                    ialert("回复话题成功");
                }else{
                    ialert("上传成功");
                }
                $("#forumadd").hide();
                var submitUrl = getBackForumMethod();
                delBackForumMethod(1);
                (new Function(submitUrl))();
            },
            function() {dijit.registry.byId("underlay").hide(); ialert("上传失败");});
    }else{
        var url = $("input[name='url']").val();
        data["subject"] = $("input[name='subject']").val();
        data["content"] = $("textarea[name='content']").val();
        cordovaHTTP.post(url, data, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function(e) {
                dijit.registry.byId("underlay").hide();
                response = JSON.parse(e.data);
                if(response.status==0||response.status=="0")
                {
                    ialert(response.message);
                    return ;
                }
                if($("input[name='formActType']").val() == "forumThreadAdd" || $("input[name='formActType']").val() == "forumThreadTeaAdd"){     //添加新话题
                    ialert("添加新话题成功");
                }else if($("input[name='formActType']").val() == "forumThreadReply" || $("input[name='formActType']").val() == "forumThreadTeaReply"){    //回复话题
                    ialert("回复话题成功");
                }else{
                    ialert("上传成功");
                }
                $("#forumadd").hide();
                var submitUrl = getBackForumMethod();
                delBackForumMethod(1);
                (new Function(submitUrl))();
            },
            function() {dijit.registry.byId("underlay").hide(); ialert("上传失败");});
    }
}

/* 课程搜索*/
function courseSearch(searchKey) {
//    if(logonFlag) {
    if(hostUrl == "") {
        schoolList("courseSearch");
    }else {
        if (searchKey == "") {
            ialert("请输入搜索条件");
            return;
        } else {
            var dojohead = new dojoHead();
            dojohead.label = "课程搜索";
            dojohead.hasBack = true;
            dojohead.backUrl = getBackMethod();
            if (searchKey)
                addBackMethod("courseSearch", getBackParam([searchKey]));
            else
                addBackMethod("courseSearch", "");
            var postParam = {"nameorcode": searchKey};
            getData('/searchCourseList.do', postParam, dojohead, 'courseSearch', postParam);
        }
    }
//    }else {
//        var data = {
//            "list": {"username": mySet.username, "autologon": mySet.autologon},
//            "hostName": hostName!=""?hostName:"学校设置",
//            "redirect": "courseSearch"
//        };
//        renderTemplate("logon", data,
//            function(html) {
//                $("#iscroll").html(html);
//                dojo.parser.parse(document.getElementById("iscroll"));
//                var dojohead = new dojoHead();
//                dojohead.label = "登录";
//                getHead(dojohead);
//            }
//        );
//    }
}

//课程简介
function courseContent(id, name, searchKey) {
    var dojohead = new dojoHead();
    dojohead.label = name;
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("courseContent", getBackParam([id, name, searchKey]));
    var postParam = {"courseId": id};
    getData('/courseDetail.do', postParam, dojohead, 'courseContent');
}

//加入课程
function joinCourse(id, name) {
    iconfirm("确认加入课程《"+name+"》么？",function(){
        var postParam = {"courseId": id};
        dijit.registry.byId("underlay").show();
        cordovaHTTP.post(hostUrl + '/selectCourse.do', postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
            function(response){
                response = JSON.parse(response.data);
                dijit.registry.byId("underlay").hide();
                if (response.status == 0) {
                    if(response.message) {
                        ialert("课程《" + name + "》," + response.message);
                        var submitUrl = getBackMethod();
                        delBackMethod(1);
                        (new Function(submitUrl))();
                    }
                } else if (response.status == -2) {
                    var bMethod = "loadedCourse";
                    if (backMethod.length > 0)
                        bMethod = backMethod[0];
                    var data = {
                        "list": {"username": mySet.username, "autologon": mySet.autologon},
                        "hostName": hostName!=""?hostName:"学校设置",
                        "redirect": bMethod
                    };
                    ialert("登录超时，请重新登录");
                    renderTemplate("logon", data,
                        function (html) {
                            $("#iscroll").html(html);
                            dojo.parser.parse(document.getElementById("iscroll"));
                            myScroll.refresh();
                            var dojohead = new dojoHead();
                            dojohead.label = "登录";
                            getHead(dojohead);
                        }
                    );
                } else if (response.status == -3) {
                    ialert("无权限访问");
                } else {
                    if(response.error) {
                        ialert(response.error);
                    } else {
                        ialert("数据错误");
                    }
                }

            },
            function(type){
                dijit.registry.byId("underlay").hide();
                ialert("网络不给力，请检查网络重试");
            });
    });
}

/* 登录*/
function logon(username, password, redirect) {
//    var postParam = {"j_username": username, "j_password": $.md5(password), "deviceModel": "", "devicePlatform": "", "deviceUuid": "", "deviceVersion": "", "appVersion": ""};
    if(transcode=="2")    //md5
        var postParam = {"j_username": username, "j_password":$.md5(password),"deviceName": device.model, "devicePlatform": device.platform, "deviceUuid": device.uuid, "deviceVersion": device.version, "appVersion": version};
    if(transcode=="1")   // 明文
        var postParam = {"j_username": username, "j_password":password,"deviceName": device.model, "devicePlatform": device.platform, "deviceUuid": device.uuid, "deviceVersion": device.version, "appVersion": version};
    dijit.registry.byId("underlay").show();


    cordovaHTTP.post(hostUrl + "/getSessionId.do", postParam, { Authorization: "OAuth2: token"},
        function (response) {
            response = JSON.parse(response.data);
            JSESSIONID = response.sessionid;
            cordovaHTTP.post(hostUrl + "/login_check.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
                function(response) {
                    response = JSON.parse(response.data);
                    JSESSIONID = response.sessionid;
                    dijit.registry.byId("underlay").hide();
                    if(response.status && response.datas) {
                        if (response.status == 1) {
                            if(response.datas.userinfo && response.datas.userinfo.user) {
                                totalPreTime = new Date();
                                logonFlag = true;
                                clearInterval(totalInt);
                                totalInt=setInterval(logTotalTime,60000);
                                if(response.datas.userrole){
                                    userRole = response.datas.userrole;
                                    if(userRole == 1){

                                        var t = {};
                                        if(redirect == "courseList"){
                                            t = {"courseList":true};
                                        }else if(redirect == "userCenter"){
                                            redirect = "teaUserCenter";
                                            t = {"userCenter":true};
                                        }   else if(redirect == "inClassStu") {
                                            redirect = "inClass";
                                            t = {"inclass": true};
                                        }
                                        changeTeaMenu(t);

                                    }

                                }else{
                                    userRole = 0;
                                }

                                userName = username;
                                photoFileId = response.datas.userinfo.photoFileId;
                                userRealName = response.datas.userinfo.user.realname;
                                loginTimes = response.datas.userinfo.loginTimes;
                                lastLoginDate = response.datas.userinfo.lastLoginDate;
                                setChange("username", {"username": username, "password": password});
                                (new Function(redirect + "()"))();
                            } else {
                                ialert("数据错误");
                            }
                        } else {
                            var data = {
                                "list": {"username": response.datas.username, "autologon": mySet.autologon},
                                "errorMessage": response.datas.errorMessage,
                                "hostName": hostName!=""?hostName:"学校设置",
                                "redirect": redirect
                            };
                            renderTemplate("logon", data,
                                function (html) {
                                    $("#iscroll").html(html);
                                    dojo.parser.parse(document.getElementById("iscroll"));
                                    myScroll.refresh();
                                    var dojohead = new dojoHead();
                                    dojohead.label = "登录";
                                    getHead(dojohead);
                                }
                            );
                        }
                    } else {
                        ialert("数据错误");
                    }
                },
                function(response) {
                    dijit.registry.byId("underlay").hide();
                    ialert("网络不给力，请检查网络重试");
                });
        },
        function(response) {
            dijit.registry.byId("underlay").hide();
            ialert("网路不给力或学校服务故障！");
        }
    );




}

//个人中心
function userCenter() {
    clearBackMethod("userCenter", "");

    if(hostUrl == "") {
        schoolList("userCenter");
    }else {
        if (logonFlag) {
            var dojohead = new dojoHead();
            dojohead.label = "个人中心";
//            dojohead.userCenter = true;
            var postParam = {"groupId": 0,"photoFileId":dojohead.photoFileId,"userRealName":dojohead.userRealName,"loginTimes":dojohead.loginTimes,"lastLoginDate":dojohead.lastLoginDate};
            getData('/stuReminderList.do', postParam, dojohead, 'userCenter',postParam);
        } else {
            var data = {
                "list": {"username": mySet.username, "autologon": mySet.autologon},
                "hostName": hostName!=""?hostName:"学校设置",
                "redirect": "userCenter"
            };
            renderTemplate("logon", data,
                function (html) {
                    $("#iscroll").html(html);
                    dojo.parser.parse(document.getElementById("iscroll"));
                    myScroll.refresh();
                    var dojohead = new dojoHead();
                    dojohead.label = "登录";
                    getHead(dojohead);
                }
            );
        }
    }
}

function infoSet(){
    var dojohead = new dojoHead();
    dojohead.label = "编辑信息";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("infoSet", "");
    if(userRole == 1)
        getData('/tea/userInfoMod.do', null, dojohead, 'teacher/userInfoMod');
    else
        getData('/userInfoMod.do', null, dojohead, 'userInfoMod');
}

function saveUserInfo(){
    dijit.registry.byId("underlay").show();
    var data = {};
    data["realName"] = encodeURI($("input[name='realName']").val());
    data["mail"] = encodeURI($("input[name='mail']").val());
    data["phone"] = encodeURI($("input[name='phone']").val());
    data["mobile"] = encodeURI($("input[name='mobile']").val());
    var postFiles = [];
    if(document.getElementById("_photo").src.indexOf("http")<0 && document.getElementById("_photo").src.indexOf("style")<0) {
        postFiles[0] = {"fileUrl": document.getElementById("_photo").src};
    }
    if(postFiles.length>0) {
        var options = new FileUploadOptions();
        options.fileKey = "postFiles";
        options.fileName = document.getElementById("_photo").src.substr(document.getElementById("_photo").src.lastIndexOf('/')+1);
        if(options.fileName.indexOf("?")>0)
            options.fileName =  options.fileName.substr(0, options.fileName.indexOf("?"));
        options.mimeType = "multipart/form-data";
        options.params = data;
        options.headers = {Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID};
        var ft = new FileTransfer();
        ft.upload(
            document.getElementById("_photo").src,
            hostUrl + "/saveUserInfo.do",
            function(response){
                response = JSON.parse(response.response);
                dijit.registry.byId("underlay").hide();
                photoFileId = response.datas.fileId;
                userRealName = response.datas.realName;
                delBackMethod(1);
                var submitUrl = getBackMethod();
                delBackMethod(1);
                (new Function(submitUrl))();
            },
            function(){
                dijit.registry.byId("underlay").hide();
                ialert("保存失败");
            },
            options
        );
    }else{
        cordovaHTTP.uploadFile(hostUrl + "/saveUserInfo.do", data, { Authorization: "OAuth2: token", "Cookie": "JSESSIONID=" + JSESSIONID}, postFiles, "postFiles",
            function (response) {
                response = JSON.parse(response.data);
                dijit.registry.byId("underlay").hide();
                userRealName = response.datas.realName;
                delBackMethod(1);
                var submitUrl = getBackMethod();
                delBackMethod(1);
                (new Function(submitUrl))();
            },
            function () {
                dijit.registry.byId("underlay").hide();
                ialert("保存失败");
            });
    }
}


/* 学习提醒*/
function noticeList() {
    var dojohead = new dojoHead();
    dojohead.label = "通知公告";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("noticeList", "");
    var postParam = {"role": userRole};
    getData('/stuUnreadCourseNoticeList.do', postParam, dojohead, 'noticeList');
}

//邮件列表
function mailList() {
    var dojohead = new dojoHead();
    dojohead.label = "最新邮件";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("mailList", "");
    getData('/unreadMailList.do', null, dojohead, 'mailList');
}

//邮件内容
function mailContent(id, title) {
    var dojohead = new dojoHead();
    dojohead.label = title;
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("mailContent", getBackParam([id, title]));
    var postParam = {"id": id};
    getData('/mailView.do', postParam, dojohead, 'mailContent');
}

function taskList() {
    var dojohead = new dojoHead();
    dojohead.label = "未完成任务列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("taskList", "");
    getData('/stuUnDoTaskList.do', null, dojohead, 'taskList');
}

//问卷列表
function queList() {
    var dojohead = new dojoHead();
    dojohead.label = "未参与问卷列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("queList", "");
    getData('/stuUncommitPaperList.do', null, dojohead, 'queList');
}

//作业列表
function workList() {
    var dojohead = new dojoHead();
    dojohead.label = "未提交作业列表";
    dojohead.hasBack = true;
//    dojohead.backUrl = "userCenter()";
    dojohead.backUrl = getBackMethod();
    addBackMethod("workList", "");
    getData('/stuUndoHWList.do', null, dojohead, 'workList');
}

//测试列表
function testList() {
    var dojohead = new dojoHead();
    dojohead.label = "未提交测试列表";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("testList", "");
    getData('/stuUncommitTestList.do', null, dojohead, 'testList');
}

/* 通知公告*/
function topicList() {
    var dojohead = new dojoHead();
    dojohead.label = "通知公告";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("topicList", "");
    var postParam = {"groupId": 0};
    getData('/bulletinList.do', postParam, dojohead, 'topicList');
}

//通知公告内容
function topicContent(id, title, flag) {
    var dojohead = new dojoHead();
    dojohead.label = "通知公告";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("topicContent", getBackParam([id, title, flag]));
    var postParam = {"id": id};
    getData('/bulletinView.do', postParam, dojohead, 'topicContent');
}

/* 应用管理*/
function downManage() {
    var data = {
        "list": loadingFile
    };
    renderTemplate("downManage", data, function(html) {
        $("#iscroll").html(html);
        dojo.parser.parse(document.getElementById("iscroll"));
        myScroll.refresh();
        var dojohead = new dojoHead();
        dojohead.label = "下载管理";
        dojohead.hasBack = true;
        dojohead.backUrl = getBackMethod();
        addBackMethod("downManage", "");
        getHead(dojohead);
    });
}

//删除缓存
function delTemp() {
    iconfirm("清除缓存将删除在线打开的缓存资源，确定清除么？",function(){
        window.requestFileSystem(LocalFileSystem.PERSISTENT, 0,
            function(fileSystem) {
                fileSystem.root.getDirectory(mySet.dir + "/temp", null,
                    function(dirEntry) {
                        dirEntry.removeRecursively(
                            function() {ialert("已清除缓存");},
                            function() {ialert("删除目录出现错误");}
                        );
                    },
                    function() {ialert("无缓存");}
                );
            },
            function() {ialert("加载文件系统出现错误");}
        );
    });
}

//系统设置
function appSetting() {
    var data = {
        "list": {"autologon": mySet.autologon, "wifi": mySet.wifi, "3g": mySet.cell, "username": mySet.username, "dir": mySet.dir, "version":version}
    };
    renderTemplate("appSetting", data, function(html) {
        $("#iscroll").html(html);
        dojo.parser.parse(document.getElementById("iscroll"));
        myScroll.refresh();
        var dojohead = new dojoHead();
        dojohead.label = "系统设置";
        dojohead.hasBack = true;
        dojohead.backUrl = getBackMethod();
        addBackMethod("appSetting", "");
        getHead(dojohead);
    });
}

//常见问题
function comQueList() {
    var dojohead = new dojoHead();
    dojohead.label = "常见问题";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("comQueList", "");
    var postParam = {"id": -1};
    getData('/articleDetail.do', postParam, dojohead, 'comQueList');
}

//意见反馈
function sugList() {
    var dojohead = new dojoHead();
    dojohead.label = "意见反馈";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("sugList", "");
    getPage(dojohead, 'sugList');
}

//发送意见
function sendSug(content) {
    var postParam = {"feedback": content};
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/userFeedback.do", postParam, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            ialert("发送成功");
            delBackMethod(2);
            appSetting();
        },
        function(type) {
            dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

//关于我们
function aboutUs() {
    var dojohead = new dojoHead();
    dojohead.label = "关于我们";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("aboutUs", "");
    var postParam = {"id": -2};
    getData('/articleDetail.do', postParam, dojohead, 'aboutUs');
}

//退出
function logout() {
    var data = {
        "list": {"username": mySet.username, "autologon": mySet.autologon},
        "hostName": hostName!=""?hostName:"学校设置",
        "redirect": "courseList"
    };
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/logout_check.do", {}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            changeMenu({});
            renderTemplate("logon", data,
                function(html) {
                    logonFlag = false;
                    userName = "";
                    userRealName = "";
                    userRole = 0;
                    loginTimes = "";
                    courseId = "";
                    $("#iscroll").html(html);
                    dojo.parser.parse(document.getElementById("iscroll"));
                    myScroll.refresh();
                    var dojohead = new dojoHead();
                    dojohead.label = "登录";
                    getHead(dojohead);
                }
            );
        },
        function(type){
            dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function laboratory(){
    dijit.registry.byId("underlay").show();

    cordovaHTTP.post(hostUrl + "/laboratory.jsp", {}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            dijit.registry.byId("underlay").hide();
            $("#iscroll").html(response.data);
            dojo.parser.parse(document.getElementById("iscroll"));
            myScroll.refresh();
            var dojohead = new dojoHead();
            dojohead.hasBack = true;
            dojohead.label = "实验室";
            dojohead.backUrl = getBackMethod();
            addBackMethod("laboratory", "");

            getHead(dojohead);

        },
        function(type){
            dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });

}