function viewCourseStat(){
    var dojohead = new dojoHead();
    dojohead.label = "课程统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewCourseStat", '');
    dojohead.hasMenu = true;
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/tea/courseLoginStat.do", {"courseId": courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            renderTemplate("teacher/courseStat", {}, function (html) {
                $("#iscroll").html(html);
                dojo.parser.parse(document.getElementById("iscroll"));
//                document.getElementById("container1").style.height = 30*response.datas.xAxisData2.length+"px";
                myScroll.refresh();
                if (dojohead != null) {
                    dojohead.renderTemplate();
                }

                var myChart = echarts.init(document.getElementById('container1'));
                var schema = [
                    {name: 'loginCount', index: 0, text: '登录次数'},
                    {name: 'loginTime', index: 1, text: '登录时长'},
                    {name: 'username', index: 2, text: '用户名'}

                ];
                var itemStyle = {
                    normal: {
                        opacity: 0.8,
                        shadowBlur: 10,
                        shadowOffsetX: 0,
                        shadowOffsetY: 0,
                        shadowColor: 'rgba(0, 0, 0, 0.5)'
                    }
                };
                option = {
                    title : {
                        text: '课程学生访问统计',
                        left: 'center'
                    },
                    tooltip: {
                        padding: 10,
                        backgroundColor: '#222',
                        borderColor: '#777',
                        borderWidth: 1,
                        formatter: function (obj) {
                            var value = obj.value;
                            return '<div style="border-bottom: 1px solid rgba(255,255,255,.3); font-size: 18px;padding-bottom: 7px;margin-bottom: 7px">'
                                + schema[2].text + ' ' + value[2]
                                + '</div>'
                                + schema[0].text + '：' + value[0] + '<br>'
                                + schema[1].text + '：' + value[1] + '<br>';
                        }
                    },
                    grid: {
                        left: '70px',
                        right: '70px',
                        bottom: '30px'
                    },
                    xAxis : [
                        {
                            minInterval: 1,
                            type : 'value',
                            name: '登录次数',
                            scale:true,
                            axisLabel : {
                                formatter: '{value} '
                            },
                            splitLine: {
                                lineStyle: {
                                    type: 'dashed'
                                }
                            }
                        }
                    ],
                    yAxis : [
                        {
                            minInterval: 1,
                            type : 'value',
                            name: '登录时长',
                            scale:true,
                            axisLabel : {
                                formatter: '{value} 分钟'
                            },
                            splitLine: {
                                lineStyle: {
                                    type: 'dashed'
                                }
                            }
                        }
                    ],
                    series : [
                        {
                            name:'课程学生访问统计',
                            type:'scatter',
                            data: response.datas.seriesData1


                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart.setOption(option);

                var myChart2 = echarts.init(document.getElementById('container2'));

                option2 = {
                    tooltip : {
                        trigger: 'axis'
                    },
                    title : {
                        text: '学生访问人数',
                        left: 'center'
                    },
//        legend: {
//            data:['学生访问人数']
//        },
                    grid: {
                        left: '70px',
                        right: '70px',
                        bottom: '30px'
                    },
                    calculable : true,
                    xAxis : [
                        {
                            type : 'category',
                            name: '日期',
                            boundaryGap : false,
                            data : response.datas.xAxisData2
                        }
                    ],
                    yAxis : [
                        {
                            minInterval: 1,
                            type : 'value',
                            name: '学生访问人数'
                        }
                    ],
                    series : [
                        {
                            name:'学生访问人数',
                            type:'line',
                            stack: '总量',
                            itemStyle: {normal: {areaStyle: {type: 'default'}}},
                            data:response.datas.seriesData2
                        }
                    ]
                };
                // 为echarts对象加载数据
                myChart2.setOption(option2);


                myScroll.refresh();
            });
        },
        function(type) {
                dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function viewVideoStat(){
    var dojohead = new dojoHead();
    dojohead.label = "播课统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewVideoStat", '');
    dojohead.hasMenu = true;
//    getData('/tea/courseSyllabus.do', postParam,dojohead, 'courseSyllabus', null);
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/tea/microUnitStat.do", {"courseId": courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
    renderTemplate("teacher/videoStat", {}, function (html) {
        $("#iscroll").html(html);
        dojo.parser.parse(document.getElementById("iscroll"));
        myScroll.refresh();
        if (dojohead != null) {
            dojohead.renderTemplate();
        }
        var myChart1 = echarts.init(document.getElementById('container1'));
        var option1 = {
            title: [
                {
                    text: '视频访问前十',
                    left: 'center'
                }
            ],
            tooltip: {
                show: true
            },
//        legend: {
//            data:['作业提交率']
//        },
            grid: {
                left: '70px',
                right: '70px',
                bottom: '30px'
            },
            xAxis : [
                {
                    name: '视频',
                    axisLabel :{
                        interval:0
                    },
                    type : 'category',
                    data : response.datas.xAxisData1
                }
            ],
            yAxis : [
                {
                    minInterval: 1,
                    name: '访问次数',
                    type : 'value'
                }
            ],
            series : [
                {
                    "name":"访问次数",
                    "type":"bar",
                    "data":response.datas.seriesData1
                }
            ]
        };

        // 为echarts对象加载数据
        myChart1.setOption(option1);


        var myChart2 = echarts.init(document.getElementById('container2'));
        var option = {
            title: [
                {
                    text: '用户访问前十',
                    left: 'center'
                }
            ],
            tooltip: {
                show: true
            },
//        legend: {
//            data:['作业提交率']
//        },
            grid: {
                left: '70px',
                right: '70px',
                bottom: '30px'
            },
            xAxis : [
                {
                    name: '用户',
                    axisLabel :{
                        interval:0
                    },
                    type : 'category',
                    data : response.datas.xAxisData2
                }
            ],
            yAxis : [
                {
                    minInterval: 1,
                    name: '访问次数',
                    type : 'value'
                }
            ],
            series : [
                {
                    "name":"访问次数",
                    "type":"bar",
                    "data":response.datas.seriesData2
                }
            ]
        };

        // 为echarts对象加载数据
        myChart2.setOption(option);
        myScroll.refresh();
    });
        },
        function(type) {
                dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function viewTestStat(){
    var dojohead = new dojoHead();
    dojohead.label = "测试统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewTestStat", '');
    dojohead.hasMenu = true;
//    getData('/tea/courseSyllabus.do', postParam,dojohead, 'courseSyllabus', null);
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/tea/testStat.do", {"courseId": courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
                dijit.registry.byId("underlay").hide();
            renderTemplate("teacher/testStat", {}, function (html) {
                    $("#iscroll").html(html);
                    dojo.parser.parse(document.getElementById("iscroll"));
                    myScroll.refresh();
                    if (dojohead != null) {
                        dojohead.renderTemplate();
                    }

                var myChart1 = echarts.init(document.getElementById('container1'));
                var option1 = {
                    title: [
                        {
                            text: '测试成绩分布图',
                            left: 'center'
                        }
                    ],
                    tooltip: {
                        trigger: 'item',
                        axisPointer: {
                            type: 'shadow'
                        }
                    },
                    grid: {
                        left: '70px',
                        right: '70px',
                        bottom: '30px'
                    },
                    xAxis: {
                        name: '测试',
                        type: 'category',
                        data: response.datas.xAxisData1,
                        axisLabel: {
                            interval:0,
                            rotate:-45
                        }

                    },
                    yAxis: {
                        minInterval: 1,
                        type: 'value',
                        name: '分数(转为百分制)',
                        splitArea: {
                            show: true
                        }
                    },
                    series: [
                        {
                            name: 'boxplot',
                            type: 'boxplot',
                            data:  response.datas.seriesData1,
                            tooltip: {
                                formatter: function (param) {
                                    return [
                                            param.name + ': ',
                                            '最高分:' + param.data[9],
                                            '四分之三位:' + param.data[8],
                                            '中位数:' + param.data[7],
                                            '四分之一位:' + param.data[6],
                                            '最低分:' + param.data[5]
                                    ].join('<br/>')
                                }
                            }
                        }
                    ]
                };

                myChart1.setOption(option1);

                var myChart2 = echarts.init(document.getElementById('container2'));
                var option = {
                    title: [
                        {
                            text: '测试提交率',
                            left: 'center'
                        }
                    ],
                    tooltip: {
                        show: true
                    },
//        legend: {
//            data:['作业提交率']
//        },
                    xAxis : [
                        {
                            name: '测试',
                            axisLabel :{
                                interval:0,
                                rotate:-45
                            },
                            type : 'category',
                            data : response.datas.xAxisData2
                        }
                    ],
                    grid: {
                        left: '70px',
                        right: '70px',
                        bottom: '30px'
                    },
                    yAxis : [
                        {
                            minInterval: 1,
                            type : 'value',
                            name: '提交率（%）',
                            splitArea: {
                                show: true
                            }
                        }
                    ],
                    series : [
                        {
                            "name":"提交率（%）",
                            "type":"bar",
                            "data":response.datas.seriesData2
                        }
                    ]
                };

                // 为echarts对象加载数据
                myChart2.setOption(option);
                myScroll.refresh();
            });
        },
        function(type) {
                dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function viewHomeworkStat(){
    var dojohead = new dojoHead();
    dojohead.label = "作业统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewHomeworkStat", '');
    dojohead.hasMenu = true;
//    getData('/tea/courseSyllabus.do', postParam,dojohead, 'courseSyllabus', null);
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/tea/hwTaskStat.do", {"courseId": courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();



    renderTemplate("teacher/homeworkStat", {}, function (html) {
        $("#iscroll").html(html);
        dojo.parser.parse(document.getElementById("iscroll"));
        document.getElementById("container1").style.height = 30*18+"px";
        myScroll.refresh();
        if (dojohead != null) {
            dojohead.renderTemplate();
        }
        var myChart1 = echarts.init(document.getElementById('container1'));
        var option1 = {
            title: [
                {
                    text: '作业成绩分布图',
                    left: 'center'
                }
            ],
            tooltip: {
                trigger: 'item',
                axisPointer: {
                    type: 'shadow'
                }
            },
            grid: {
                left: '70px',
                right: '70px',
                bottom: '30px'
            },
            xAxis: {
                type: 'category',
                name: '作业',
//                    name:'课程作业',
                data: response.datas.xAxisData1,

                axisLabel: {
                    interval:0,
                    rotate:-45
                }
            },
            yAxis: {
                minInterval: 1,
                type: 'value',
                name: '分数（转为百分制）',
                splitArea: {
                    show: true
                }
            },
            series: [
                {
                    name: 'boxplot',
                    type: 'boxplot',
                    data:  response.datas.seriesData1,
                    tooltip: {
                        formatter: function (param) {
                            return [
                                    param.name + ': ',
                                    '最高分:' + param.data[9],
                                    '四分之三位:' + param.data[8],
                                    '中位数:' + param.data[7],
                                    '四分之一位:' + param.data[6],
                                    '最低分:' + param.data[5]
                            ].join('<br/>')
                        }
                    }
                }
            ]
        };

        myChart1.setOption(option1);

        var myChart2 = echarts.init(document.getElementById('container2'));
        var option = {
            title: [
                {
                    text: '作业提交率',
                    left: 'center'
                }
            ],
            tooltip: {
                show: true
            },
//        legend: {
//            data:['作业提交率']
//        },
            xAxis : [
                {
                    type : 'category',
                    name:'作业',
                    data : response.datas.xAxisData2,
                    axisLabel: {
                        interval:0,
                        rotate:-45
                    }
                }
            ],
            grid: {
                left: '70px',
                right: '70px',
                bottom: '30px'
            },
            yAxis : [
                {
                    minInterval: 1,
                    type : 'value',
                    name: '提交率（%）',
                    splitArea: {
                        show: true
                    }
                }
            ],
            series : [
                {
                    "name":"提交率(%)",
                    "type":"bar",
                    "data":response.datas.seriesData2
                }
            ]
        };

        // 为echarts对象加载数据
        myChart2.setOption(option);

        myScroll.refresh();
    });
        },
    function(type) {
                dijit.registry.byId("underlay").hide();
        ialert("网络不给力，请检查网络重试");
    });
}

function viewForumStat(){
    var dojohead = new dojoHead();
    dojohead.label = "论坛统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewForumStat", '');
    dojohead.hasMenu = true;
//    getData('/tea/courseSyllabus.do', postParam,dojohead, 'courseSyllabus', null);
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/tea/forumStat.do", {"courseId": courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();

    renderTemplate("teacher/forumStat", {}, function (html) {
        $("#iscroll").html(html);
        dojo.parser.parse(document.getElementById("iscroll"));
        myScroll.refresh();
        if (dojohead != null) {
            dojohead.renderTemplate();
        }
        var myChart1 = echarts.init(document.getElementById('container1'));

        var schema = [
            {name: 'threadCount', index: 0, text: '发帖数'},
            {name: 'replyCount', index: 1, text: '回帖数'},
            {name: 'username', index: 2, text: '用户名'}

        ];


        var itemStyle = {
            normal: {
                opacity: 0.8,
                shadowBlur: 10,
                shadowOffsetX: 0,
                shadowOffsetY: 0,
                shadowColor: 'rgba(0, 0, 0, 0.5)'
            }
        };

        option1 = {
            title : {
                text: '论坛学生活跃情况' ,
                left: 'center'
            },
            tooltip: {
                padding: 10,
                backgroundColor: '#222',
                borderColor: '#777',
                borderWidth: 1,
                formatter: function (obj) {
                    var value = obj.value;
                    return '<div style="border-bottom: 1px solid rgba(255,255,255,.3); font-size: 18px;padding-bottom: 7px;margin-bottom: 7px">'
                        + schema[2].text + ' ' + value[2]
                        + '</div>'
                        + schema[0].text + '：' + value[0] + '<br>'
                        + schema[1].text + '：' + value[1] + '<br>';
                }
            },
            grid: {
                left: '70px',
                right: '70px',
                bottom: '30px'
            },
            xAxis : [
                {
                    minInterval: 1,
                    type : 'value',
                    name: '发帖数',
                    scale:true,
                    axisLabel : {
                        formatter: '{value} '
                    },
                    splitLine: {
                        lineStyle: {
                            type: 'dashed'
                        }
                    }
                }
            ],
            yAxis : [
                {
                    minInterval: 1,
                    type : 'value',
                    name: '回帖数',
                    scale:true,
                    axisLabel : {
                        formatter: '{value}'
                    },
                    splitLine: {
                        lineStyle: {
                            type: 'dashed'
                        }
                    }
                }
            ],
            series : [
                {
                    name:'论坛学生活跃情况',
                    type:'scatter',
                    data: response.datas.seriesData1


                }
            ]
        };
        // 为echarts对象加载数据
        myChart1.setOption(option1);

        var myChart2 = echarts.init(document.getElementById('container2'));

        option2 = {
            tooltip : {
                trigger: 'axis'
            },
            title : {
                text: '话题数时序图',
                left: 'center'
            },
            legend: {
                data:['话题数时序图']
            },
            grid: {
                left: '70px',
                right: '70px',
                bottom: '30px'
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    name: '日期',
                    boundaryGap : false,
                    data : response.datas.xAxisData2
                }
            ],
            yAxis : [
                {
                    minInterval: 1,
                    name: '总话题数',
                    type : 'value'
                }
            ],
            series : [
                {
                    name:'话题数',
                    type:'line',
                    stack: '总量',
                    itemStyle: {normal: {areaStyle: {type: 'default'}}},
                    data:response.datas.seriesData2
                }
            ]
        };
        // 为echarts对象加载数据
        myChart2.setOption(option2);
        myScroll.refresh();
    });
        },
        function(type) {
                dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function viewSurveyStat(){
    var dojohead = new dojoHead();
    dojohead.label = "问卷统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewSurveyStat", '');
    dojohead.hasMenu = true;
//    getData('/tea/courseSyllabus.do', postParam,dojohead, 'courseSyllabus', null);
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/tea/paperStat.do", {"courseId": courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();

    renderTemplate("teacher/surveyStat", {}, function (html) {
        $("#iscroll").html(html);
        dojo.parser.parse(document.getElementById("iscroll"));
        myScroll.refresh();
        if (dojohead != null) {
            dojohead.renderTemplate();
        }
        var myChart1 = echarts.init(document.getElementById('container1'));

        var option1 =  {
            tooltip : {
                trigger: 'axis',
                axisPointer : {            // 坐标轴指示器，坐标轴触发有效
                    type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
                }
            },
            legend: {
                data: response.datas.xAxisData1
            },
            grid: {
                y:'100px',
                x: '30px',
                right: '30px',
                bottom: '10px',
                containLabel: true
            },
            xAxis : [
                {
                    type : 'category',
                    data : ['问卷']
                }
            ],
            yAxis : [
                {
                    name: "提交率（%）",
                    type : 'value'
                }
            ],
            series :  response.datas.displayMap

        };

        // 为echarts对象加载数据
        myChart1.setOption(option1);
        myScroll.refresh();
    });
        },
        function(type) {
                dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function viewStudyStat(id){
    var dojohead = new dojoHead();
    dojohead.label = "学习统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewStudyStat", getBackParam([id]));
    dojohead.hasMenu = true;
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/tea/stuStudyInfoStat.do", {"courseId": courseId, "studentId":id}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            renderTemplate("teacher/studyStat", {}, function (html) {
                $("#iscroll").html(html);
                dojo.parser.parse(document.getElementById("iscroll"));
//                document.getElementById("container1").style.height = 30*response.datas.xAxisData2.length+"px";
                myScroll.refresh();
                if (dojohead != null) {
                    dojohead.renderTemplate();
                }
                var myChart1 = echarts.init(document.getElementById('container-score'));
                var option1 = {
                    title : {
                        text: '成绩',
                        left: 'center',
                        top:'80%',
                        textStyle: {
                            color: '#353535',
                            fontSize: 18,
                            fontWeight: 'bold',
                        }
                    },
                    tooltip: {
                        formatter: "{a}: {c}"

                    },
                    series: [
                        {
                            name: '成绩',
                            type: 'gauge',
                            detail: {formatter: '{value}',
                                textStyle: {
                                    color: '#353535',
                                    fontSize: 18,
                                    fontWeight: 'bolder',
                                }
                            },
                            pointer: {  width: 5},
                            max: 100,
                            //                    startAngle: 0,
                            //                    endAngle: 360,

                            axisLine: { //仪表盘轴线样式
                                lineStyle: {
                                    width: 5
                                }
                            },
                            axisTick: {            // 坐标轴小标记
                                length: 10,        // 属性length控制线长
                                lineStyle: {       // 属性lineStyle控制线条样式
                                    color: 'auto',
                                    shadowColor: 'transparent', //默认透明
                                    shadowBlur: 10
                                }
                            },
                            axisLabel: { // 坐标轴文本标签，详见axis.axisLabel
                                textStyle: { // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                                    color: 'auto',
                                    fontSize: 10
                                }
                            },

                            splitLine: {           // 分隔线
                                length: 15,         // 属性length控制线长
                                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                                    width: 3,
                                    color: '#fff',
                                    shadowColor: '#fff', //默认透明
                                    shadowBlur: 10
                                }
                            },

                            data: [
                                {value: response.datas.seriesData1}
                            ]
                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart1.setOption(option1);


                var myChart2 = echarts.init(document.getElementById('container-forum'));
                option2 = {
                    title : {
                        text: '论坛发文数',
                        left: 'center',
                        top:'80%',
                        textStyle: {
                            color: '#353535',
                            fontSize: 18,
                            fontWeight: 'bold',
                        }
                    },
                    tooltip: {
                        formatter: "{a}: {c}"

                    },

                    series: [
                        {
                            name: '论坛发文数',
                            type: 'gauge',
                            detail: {formatter: '{value}',
                                textStyle: {
                                    color: '#353535',
                                    fontSize: 18,
                                    fontWeight: 'bolder',
                                }
                            },
                            pointer: {  width: 5},
                            max: response.datas.xAxisData2,
                            //                    startAngle: 0,
                            //                    endAngle: 360,

                            axisLine: { //仪表盘轴线样式
                                lineStyle: {
                                    width: 5
                                }
                            },
                            axisTick: {            // 坐标轴小标记
                                length: 10,        // 属性length控制线长
                                lineStyle: {       // 属性lineStyle控制线条样式
                                    color: 'auto',
                                    shadowColor: 'transparent', //默认透明
                                    shadowBlur: 10
                                }
                            },
                            axisLabel: { // 坐标轴文本标签，详见axis.axisLabel
                                textStyle: { // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                                    color: 'auto',
                                    fontSize: 10
                                }
                            },

                            splitLine: {           // 分隔线
                                length: 15,         // 属性length控制线长
                                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                                    width: 3,
                                    color: '#fff',
                                    shadowColor: '#fff', //默认透明
                                    shadowBlur: 10
                                }
                            },

                            data: [
                                {value: response.datas.seriesData2}
                            ]
                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart2.setOption(option2);

                var myChart3 = echarts.init(document.getElementById('container-notice'));
                option3 = {
                    title : {
                        text: '笔记数',
                        left: 'center',
                        top:'80%',
                        textStyle: {
                            color: '#353535',
                            fontSize: 18,
                            fontWeight: 'bold',
                        }
                    },
                    tooltip: {
                        formatter: "{a}: {c}"

                    },

                    series: [
                        {
                            name: '笔记数',
                            type: 'gauge',
                            detail: {formatter: '{value}',
                                textStyle: {
                                    color: '#353535',
                                    fontSize: 18,
                                    fontWeight: 'bolder',
                                }
                            },
                            pointer: {  width: 5},
                            max: response.datas.xAxisData3,
                            //                    startAngle: 0,
                            //                    endAngle: 360,

                            axisLine: { //仪表盘轴线样式
                                lineStyle: {
                                    width: 5
                                }
                            },
                            axisTick: {            // 坐标轴小标记
                                length: 10,        // 属性length控制线长
                                lineStyle: {       // 属性lineStyle控制线条样式
                                    color: 'auto',
                                    shadowColor: 'transparent', //默认透明
                                    shadowBlur: 10
                                }
                            },
                            axisLabel: { // 坐标轴文本标签，详见axis.axisLabel
                                textStyle: { // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                                    color: 'auto',
                                    fontSize: 10
                                }
                            },

                            splitLine: {           // 分隔线
                                length: 15,         // 属性length控制线长
                                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                                    width: 3,
                                    color: '#fff',
                                    shadowColor: '#fff', //默认透明
                                    shadowBlur: 10
                                }
                            },

                            data: [
                                {value: response.datas.seriesData3}
                            ]
                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart3.setOption(option3);

                var myChart4 = echarts.init(document.getElementById('container-faq'));
                option4 = {
                    title : {
                        text: '提交问题数',
                        left: 'center',
                        top:'80%',
                        textStyle: {
                            color: '#353535',
                            fontSize: 18,
                            fontWeight: 'bold',
                        }
                    },
                    tooltip: {
                        formatter: "{a}: {c}"

                    },

                    series: [
                        {
                            name: '提交问题数',
                            type: 'gauge',
                            detail: {formatter: '{value}',
                                textStyle: {
                                    color: '#353535',
                                    fontSize: 18,
                                    fontWeight: 'bolder',
                                }
                            },
                            pointer: {  width: 5},
                            max: response.datas.xAxisData4,
                            //                    startAngle: 0,
                            //                    endAngle: 360,

                            axisLine: { //仪表盘轴线样式
                                lineStyle: {
                                    width: 5
                                }
                            },
                            axisTick: {            // 坐标轴小标记
                                length: 10,        // 属性length控制线长
                                lineStyle: {       // 属性lineStyle控制线条样式
                                    color: 'auto',
                                    shadowColor: 'transparent', //默认透明
                                    shadowBlur: 10
                                }
                            },
                            axisLabel: { // 坐标轴文本标签，详见axis.axisLabel
                                textStyle: { // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                                    color: 'auto',
                                    fontSize: 10
                                }
                            },

                            splitLine: {           // 分隔线
                                length: 15,         // 属性length控制线长
                                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                                    width: 3,
                                    color: '#fff',
                                    shadowColor: '#fff', //默认透明
                                    shadowBlur: 10
                                }
                            },

                            data: [
                                {value: response.datas.seriesData4}
                            ]
                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart4.setOption(option4);


                myScroll.refresh();
            });
        },
        function(type) {
                        dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function viewResStat(){
    var dojohead = new dojoHead();
    dojohead.label = "资源统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewResStat", "");
    dojohead.hasMenu = true;
    dijit.registry.byId("underlay").show();
    cordovaHTTP.post(hostUrl + "/tea/courseResStat.do", {"courseId": courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            renderTemplate("teacher/resStat", {}, function (html) {
                $("#iscroll").html(html);
                dojo.parser.parse(document.getElementById("iscroll"));
//                document.getElementById("container1").style.height = 30*response.datas.xAxisData2.length+"px";
                myScroll.refresh();
                if (dojohead != null) {
                    dojohead.renderTemplate();
                }

                var myChart = echarts.init(document.getElementById('container'));



                var schema = [
                    {name: 'visitCount', index: 0, text: '访问次数'},
                    {name: 'visitTime', index: 1, text: '访问时长'},
                    {name: 'resname', index: 2, text: '资源名'}

                ];


                var itemStyle = {
                    normal: {
                        opacity: 0.8,
                        shadowBlur: 10,
                        shadowOffsetX: 0,
                        shadowOffsetY: 0,
                        shadowColor: 'rgba(0, 0, 0, 0.5)'
                    }
                };

                option = {
                    title : {
                        text: '资源访问情况',
                        left: 'center'
                    },
                    tooltip: {
                        padding: 10,
                        backgroundColor: '#222',
                        borderColor: '#777',
                        borderWidth: 1,
                        formatter: function (obj) {
                            var value = obj.value;
                            return '<div style="border-bottom: 1px solid rgba(255,255,255,.3); font-size: 18px;padding-bottom: 7px;margin-bottom: 7px">'
                                + schema[2].text + ' ' + value[2]
                                + '</div>'
                                + schema[0].text + '：' + value[0] + '<br>'
                                + schema[1].text + '：' + value[1] + '<br>';
                        }
                    },
                    grid: {
                        left: '70px',
                        right: '70px',
                        bottom: '30px'
                    },
                    xAxis : [
                        {
                            minInterval: 1,
                            type : 'value',
                            name: '访问次数',
                            scale:true,
                            axisLabel : {
                                formatter: '{value} '
                            },
                            splitLine: {
                                lineStyle: {
                                    type: 'dashed'
                                }
                            }
                        }
                    ],
                    yAxis : [
                        {
                            minInterval: 1,
                            name: '访问时长',
                            type : 'value',
                            scale:true,
                            axisLabel : {
                                formatter: '{value} 分钟'
                            },
                            splitLine: {
                                lineStyle: {
                                    type: 'dashed'
                                }
                            }
                        }
                    ],
                    series : [
                        {
                            name:'资源名',
                            type:'scatter',
                            data: response.datas.seriesData1


                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart.setOption(option);

                myScroll.refresh();
            });
        },
        function(type) {
            //                dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}

function viewMyStat(){
    var dojohead = new dojoHead();
    dojohead.label = "学习统计";
    dojohead.hasBack = true;
    dojohead.backUrl = getBackMethod();
    addBackMethod("viewMyStat", "");
    dojohead.hasMenu = true;

    cordovaHTTP.post(hostUrl + "/myStudyInfoStat.do", {"courseId": courseId}, { Authorization: "OAuth2: token","Cookie": "JSESSIONID="+JSESSIONID},
        function(response) {
            response = JSON.parse(response.data);
            dijit.registry.byId("underlay").hide();
            renderTemplate("teacher/studyStat", {}, function (html) {
                $("#iscroll").html(html);
                dojo.parser.parse(document.getElementById("iscroll"));
//                document.getElementById("container1").style.height = 30*response.datas.xAxisData2.length+"px";
                myScroll.refresh();
                if (dojohead != null) {
                    dojohead.renderTemplate();
                }
                var myChart1 = echarts.init(document.getElementById('container-score'));
                option1 = {
                    title : {
                        text: '成绩',
                        left: 'center',
                        top:'80%',
                        textStyle: {
                            color: '#353535',
                            fontSize: 18,
                            fontWeight: 'bold',
                        }
                    },
                    tooltip: {
                        formatter: "{a}: {c}"

                    },
                    series: [
                        {
                            name: '成绩',
                            type: 'gauge',
                            detail: {formatter: '{value}',
                                        textStyle: {
                                            color: '#353535',
                                            fontSize: 18,
                                            fontWeight: 'bolder',
                                }
                            },
                            pointer: {  width: 5},
                            max: 100,
                            //                    startAngle: 0,
                            //                    endAngle: 360,

                            axisLine: { //仪表盘轴线样式
                                lineStyle: {
                                    width: 10
                                }
                            },
                            axisTick: {            // 坐标轴小标记
                                length: 10,        // 属性length控制线长
                                lineStyle: {       // 属性lineStyle控制线条样式
                                    color: 'auto',
                                    shadowColor: 'transparent', //默认透明
                                    shadowBlur: 10
                                }
                            },
                            axisLabel: { // 坐标轴文本标签，详见axis.axisLabel
                                textStyle: { // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                                    color: 'auto',
                                    fontSize: 10
                                }
                            },

                            splitLine: {           // 分隔线
                                length: 15,         // 属性length控制线长
                                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                                    width: 3,
                                    color: '#fff',
                                    shadowColor: '#fff', //默认透明
                                    shadowBlur: 10
                                }
                            },

                            data: [
                                {value: response.datas.seriesData1}
                            ]
                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart1.setOption(option1);


                var myChart2 = echarts.init(document.getElementById('container-forum'));
                option2 = {
                    title : {
                        text: '论坛发文数',
                        left: 'center',
                        top:'80%',
                        textStyle: {
                            color: '#353535',
                            fontSize: 18,
                            fontWeight: 'bold',
                        }
                    },
                    tooltip: {
                        formatter: "{a}: {c}"

                    },

                    series: [
                        {
                            name: '论坛发文数',
                            type: 'gauge',
                            detail: {formatter: '{value}',
                                textStyle: {
                                    color: '#353535',
                                    fontSize: 18,
                                    fontWeight: 'bolder',
                                }
                            },
                            pointer: {  width: 5},
                            max: response.datas.xAxisData2,
                            //                    startAngle: 0,
                            //                    endAngle: 360,

                            axisLine: { //仪表盘轴线样式
                                lineStyle: {
                                    width: 5
                                }
                            },
                            axisTick: {            // 坐标轴小标记
                                length: 10,        // 属性length控制线长
                                lineStyle: {       // 属性lineStyle控制线条样式
                                    color: 'auto',
                                    shadowColor: 'transparent', //默认透明
                                    shadowBlur: 10
                                }
                            },
                            axisLabel: { // 坐标轴文本标签，详见axis.axisLabel
                                textStyle: { // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                                    color: 'auto',
                                    fontSize: 10
                                }
                            },

                            splitLine: {           // 分隔线
                                length: 15,         // 属性length控制线长
                                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                                    width: 3,
                                    color: '#fff',
                                    shadowColor: '#fff', //默认透明
                                    shadowBlur: 10
                                }
                            },

                            data: [
                                {value: response.datas.seriesData2}
                            ]
                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart2.setOption(option2);

                var myChart3 = echarts.init(document.getElementById('container-notice'));
                option3 = {
                    title : {
                        text: '笔记数',
                        left: 'center',
                        top:'80%',
                        textStyle: {
                            color: '#353535',
                            fontSize: 18,
                            fontWeight: 'bold',
                        }
                    },
                    tooltip: {
                        formatter: "{a}: {c}"

                    },

                    series: [
                        {
                            name: '笔记数',
                            type: 'gauge',
                            detail: {formatter: '{value}',
                                textStyle: {
                                    color: '#353535',
                                    fontSize: 18,
                                    fontWeight: 'bolder',
                                }
                            },
                            pointer: {  width: 5},
                            max: response.datas.xAxisData3,
                            //                    startAngle: 0,
                            //                    endAngle: 360,

                            axisLine: { //仪表盘轴线样式
                                lineStyle: {
                                    width: 5
                                }
                            },
                            axisTick: {            // 坐标轴小标记
                                length: 10,        // 属性length控制线长
                                lineStyle: {       // 属性lineStyle控制线条样式
                                    color: 'auto',
                                    shadowColor: 'transparent', //默认透明
                                    shadowBlur: 10
                                }
                            },
                            axisLabel: { // 坐标轴文本标签，详见axis.axisLabel
                                textStyle: { // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                                    color: 'auto',
                                    fontSize: 10
                                }
                            },

                            splitLine: {           // 分隔线
                                length: 15,         // 属性length控制线长
                                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                                    width: 3,
                                    color: '#fff',
                                    shadowColor: '#fff', //默认透明
                                    shadowBlur: 10
                                }
                            },

                            data: [
                                {value: response.datas.seriesData3}
                            ]
                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart3.setOption(option3);

                var myChart4 = echarts.init(document.getElementById('container-faq'));
                option4 = {
                    title : {
                        text: '提交问题数',
                        left: 'center',
                        top:'80%',
                        textStyle: {
                            color: '#353535',
                            fontSize: 18,
                            fontWeight: 'bold',
                        }
                    },
                    tooltip: {
                        formatter: "{a}: {c}"

                    },

                    series: [
                        {
                            name: '提交问题数',
                            type: 'gauge',
                            detail: {formatter: '{value}',
                                textStyle: {
                                    color: '#353535',
                                    fontSize: 18,
                                    fontWeight: 'bolder',
                                }
                            },
                            pointer: {  width: 5},
                            max: response.datas.xAxisData4,
                            //                    startAngle: 0,
                            //                    endAngle: 360,

                            axisLine: { //仪表盘轴线样式
                                lineStyle: {
                                    width: 5
                                }
                            },
                            axisTick: {            // 坐标轴小标记
                                length: 10,        // 属性length控制线长
                                lineStyle: {       // 属性lineStyle控制线条样式
                                    color: 'auto',
                                    shadowColor: 'transparent', //默认透明
                                    shadowBlur: 10
                                }
                            },
                            axisLabel: { // 坐标轴文本标签，详见axis.axisLabel
                                textStyle: { // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                                    color: 'auto',
                                    fontSize: 10
                                }
                            },

                            splitLine: {           // 分隔线
                                length: 15,         // 属性length控制线长
                                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                                    width: 3,
                                    color: '#fff',
                                    shadowColor: '#fff', //默认透明
                                    shadowBlur: 10
                                }
                            },

                            data: [
                                {value: response.datas.seriesData4}
                            ]
                        }
                    ]
                };


                // 为echarts对象加载数据
                myChart4.setOption(option4);


                myScroll.refresh();
            });
        },
        function(type) {
            dijit.registry.byId("underlay").hide();
            ialert("网络不给力，请检查网络重试");
        });
}